2014-07-11  Tim Bishop  <tim@bishnet.net>

    Update for 0.91 release.

    
  Hash: d8d6c819ee007eb03bc95a48a614bcefec229b42
  Files affected:

    NEWS
    configure.ac

2014-07-07  Tim Bishop  <tim@bishnet.net>

    Update for 0.91-rc2.

    
  Hash: 28151cc18d65bc0dc3568b2f48d1a528bb296e9d
  Files affected:

    configure.ac

2014-07-07  Tim Bishop  <tim@bishnet.net>

    statgrab.h should not be bundled in dist

    It's generated from statgrab.h.in.

  Hash: 02d6f44ab99bdc7164ae668d7b8aba19459b0788
  Files affected:

    src/libstatgrab/Makefile.am

2014-07-07  Tim Bishop  <tim@bishnet.net>

    Use STATGRABCPPFLAGS.

    This is exported by the configure script so we should use it here. Even
    if it has nothing in it now it'll avoid confusion later.

  Hash: 726909452ad72a9c5844ac47d983b8427458d378
  Files affected:

    src/statgrab/Makefile.am

2014-07-06  Jens Rehsack  <sno@netbsd.org>

    fix ChangeLog is tried to rebuild for non-devs

    Only maintainer shall rebuild ChangeLog - all the rest should take the 
    deployed one or dig deeper.

  Hash: 65b5fab6b7b899b39bba73aa91c195288af772a5
  Files affected:

    Makefile.am

2014-07-06  Jens Rehsack  <sno@netbsd.org>

    introduce STATGRAB(LIBS|CPPFLAGS) for additional

    while statgrab itself gets more complex, requirements becoming tricky,
    too. introduce common place to merge build requirement check results and
    it's first customer is failing isnan symbol on AIX when lining statgrab.

  Hash: 58d73da0bc7631336543e2b68873dea0db62bc5a
  Files affected:

    configure.ac
    src/statgrab/Makefile.am

2014-07-06  Jens Rehsack  <sno@netbsd.org>

    prefer AS_IF over handcrafted if/then/fi

    
  Hash: 09aaf6822055475fdf2a3765cc98fde01eaaa663
  Files affected:

    configure.ac

2014-07-06  Jens Rehsack  <sno@netbsd.org>

    fix requirement of existing ChangeLog for autoconf

    Add a rule to generate a ChangeLog (make ChangeLog) to avoid the file 
    must exist before auto(re)conf is invoked

  Hash: 5b709454e6c5e64f6240cb74c8d7809501a72638
  Files affected:

    Makefile.am

2014-06-12  Tim Bishop  <tim@bishnet.net>

    Prepare for 0.91 release.

    This includes a note in README that covers the RPATH/ldconfig issue 
    found #37, and also a note for the parallel installation discussion in 
    issue #25.

  Hash: b8698cb49858f03804a54fd4a7a1f02363b7175c
  Files affected:

    NEWS
    PLATFORMS
    README
    configure.ac
    src/libstatgrab/Makefile.am

2014-06-17  Tim Bishop  <tim@bishnet.net>

    Don't modify behaviour on non-Windows platforms.

    
  Hash: 3eb18de850702b382a25be331ef258ee806bf872
  Files affected:

    src/libstatgrab/tools.h

2014-02-26  Brent Cook  <brent@boundary.com>

    Resurrect CPU counters for Win32

    Performance Data Helpers may be nonsense, but are better than nothing

  Hash: efe3473a2e829a78ebb7343ad8b800cddce5da34
  Files affected:

    src/libstatgrab/cpu_stats.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Fix build errors if pthreads are not present

    
  Hash: f745b61abdd10d694fb1a16d23b147594dca3418
  Files affected:

    src/libstatgrab/globals.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Fix various win32 build errors with memory_stats

    
  Hash: 40496292546f5dd5574588a2aa1a9c6f559745d2
  Files affected:

    src/libstatgrab/memory_stats.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Fix various win32 build errors with network_stats

    
  Hash: 27fe91d4177aa1a2284d79cb74e76404517083ed
  Files affected:

    src/libstatgrab/network_stats.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Fix various win32 build errors in os_info

    
  Hash: d2edc3d6b0b0f108f19db899a3526cd3ed016112
  Files affected:

    src/libstatgrab/os_info.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Implement sg_get_sys_page_size on win32

    
  Hash: cb7722fa0af42bcafed6b9d58aaeed2cd2ed2d10
  Files affected:

    src/libstatgrab/tools.h

2014-02-26  Brent Cook  <brent@boundary.com>

    Update user_stats error handling on win32

    
  Hash: 1f73da02fd7b95d2b27799648eebeabee4f7180d
  Files affected:

    src/libstatgrab/user_stats.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Update win32 error handling

    
  Hash: 2f802c9f32e86ac5dbad7a84b07f085684b0922b
  Files affected:

    src/libstatgrab/win32.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Rename stat_type enumerations

    Rename stat_type enumerations in example program to not conflict with 
    builtin Windows types

    Windows defines typedefs for INT, FLOAT, etc. that conflight with the 
    stat_type enumeration. Add STAT_TYPE to these so they can build on 
    Windows (tested in mingw on Ubuntu 13.10)

  Hash: 77e7dc625a7c5ee4bdb1d10d08a209314aa00a43
  Files affected:

    src/statgrab/statgrab.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Fix Win32 compile errors in disk_stats

    
  Hash: df38a07b74293e592e70a98383fd0960fc674361
  Files affected:

    src/libstatgrab/disk_stats.c

2014-02-26  Brent Cook  <brent@boundary.com>

    Bump Win32 API level to Windows 2003 0x502

    
  Hash: 4003c775c00392a87b9df83729325229fd68b830
  Files affected:

    configure.ac

2014-02-26  Brent Cook  <brent@boundary.com>

    Support config with mingw cross-compiled on Linux

    prefer lower-case header and dll names

  Hash: f5b785945f3fd0cf4cccb7eeeb5edb6f9494d469
  Files affected:

    configure.ac

2014-06-16  Jens Rehsack  <sno@netbsd.org>

    add support for system-wide logging properties

    * when installing libstatgrab with log4cplus, enable search in
    sysconfdir
     for properties files, too
    * deploy default properties when log4cplus enabled

  Hash: 5ab2b74558f1a93083736b350ced9b22c2066556
  Files affected:

    Makefile.am
    saidar.properties
    saidar.properties.in
    src/libstatgrab/Makefile.am
    src/libstatgrab/tools.c
    statgrab.properties.in

2014-06-16  Jens Rehsack  <sno@netbsd.org>

    install typical distribution documentation

    NEWS, PLATFORMS, README, AUTHORS, COPYING and COPYING.LGPL are now
    installed under share/doc/libstatgrab

  Hash: 8502ad9f9a1c6e5d7df6522a2ac7dcc708c84123
  Files affected:

    Makefile.am

2014-06-15  Jens Rehsack  <sno@netbsd.org>

    improve division by zero fix

    
  Hash: 0b4cdbe0eca52a42725b4aab35722e9e09ebb05c
  Files affected:

    src/saidar/saidar.c

2014-06-13  Tim Bishop  <tim@bishnet.net>

    Fix divide by zero.

    This fixes the divide by zero display problem (where -nan is displayed 
    in saidar's output) and displays a simple '-' instead.

    Fixes #34.

  Hash: 1c80cd80bc340b8e610e5d660b27b18fe4e92905
  Files affected:

    src/saidar/saidar.c

2014-06-13  Tim Bishop  <tim@bishnet.net>

    A few fixes and style cleanups for graphite code.

    
  Hash: bfdd4d4d0f2b2046dae79266a5cafbb3ef5b214a
  Files affected:

    src/statgrab/statgrab.c

2014-06-11  JohnLyman  <jlyman@jlyman-powerpc>

    Added option for Graphite-compatible output

    
  Hash: 80e70e3cc7f1385f61e78536d53d9418dcb0fd89
  Files affected:

    src/statgrab/statgrab.c

2014-06-13  Tim Bishop  <tim@bishnet.net>

    Fix tests when using a VPATH build.

    The problem is that App::Prove (or whatever it uses) doesn't chdir to
    the directory before running the tests. So the relative include path in
    the .t file is only valid if you're inside the single_threaded or
    multi_threaded directories. Running the tests from there works fine, but
    if you run it from the directory above the relative path points to the
    wrong place and it breaks. This change uses an absolute path so it works
    in both cases.

    An alternative fix would be to modify the Makefile in tests to chdir to
    each sub-directory before launching App::Prove, or if App::Prove has a
    way of doing the chdir itself that'd also work.

    Fixes #43.

  Hash: ca146cf817e7baca71cd7b5e6618a5f7fdcd4053
  Files affected:

    tests/multi_threaded/Makefile.am
    tests/single_threaded/Makefile.am

2014-06-13  Tim Bishop  <tim@bishnet.net>

    Enable logging check if --with-log4cplus is given.

    
  Hash: 3af8c5f1608289db5b2a2e3b34f4063808f2d809
  Files affected:

    configure.ac

2014-06-13  Tim Bishop  <tim@bishnet.net>

    Set logging to check with maintainer mode.

    This fixes part of #54.

  Hash: 00763d65cfd6d391c0f39d3070db085c60e58449
  Files affected:

    configure.ac

2014-06-11  Tim Bishop  <tim@bishnet.net>

    Display new device_canonical field.

    A new field has been added to the filesystem statistics in libstatgrab. 
    The device_canonical field holds the real device name after resolving 
    symlinks. The original device_name field remains unchanged and holds 
    whatever is given by the operating system. When device_name is not a 
    symlink both fields are the same.

    Here's an example of where it's useful:

    /dev/disk/by-uuid/ee2f048d-68f6-428a-a95a-c949d3c05d67 -> ../../sda2

    In this case, device_name contains the left-hand side and 
    device_canonical contains "/dev/sda2".

  Hash: f34588d5fb1cd3633d85e46fe628f9f33aeda3a8
  Files affected:

    src/statgrab/statgrab.c

2014-06-11  Jens Rehsack  <sno@netbsd.org>

    change default logging behavior from check to no

    
  Hash: ba3f0134488b6e930e93f9819e3beaed929835c0
  Files affected:

    configure.ac

2014-06-11  Jens Rehsack  <sno@netbsd.org>

    ensure buffers are reasonable flushed

    When a reasonable way to configure stdio streams being line buffered, 
    configure them. Otherwise flush after all desired stats are printed.

  Hash: 4a4d8fce0338bc02b17acdcdbf91ffb7aafcb728
  Files affected:

    src/statgrab/statgrab.c

2014-06-11  Jens Rehsack  <sno@netbsd.org>

    prove whether setvbuf or a fallback is available

    XPG6 specifies setvbuf for configuring stdio streams buffering behavior. 
    When no setvbuf is available, check for existence of setlinebuf which 
    could be a reasonable fallback.

  Hash: 315ef579cb35b2d483c9afef6c9f09fd3e2a507f
  Files affected:

    configure.ac

2014-06-11  Jens Rehsack  <sno@netbsd.org>

    add device_canonical for resolved device_name

    If, however, necessary to resolve a device path, the resolved fqpn is 
    stored in device_canonical attribute. Otherwise, device_canonical 
    contains the same value as device_name.

  Hash: 4b65b609da1a4dc2a1d31aa9637a244f0dd48a1f
  Files affected:

    configure.ac
    src/libstatgrab/disk_stats.c
    src/libstatgrab/statgrab.h.in

2014-06-06  Jens Rehsack  <sno@netbsd.org>

    fix man-page build configuration

    
  Hash: ed1a282e07653896b6a242f77e0b32b80e6dbdc3
  Files affected:

    configure.ac

2014-06-05  Jens Rehsack  <sno@netbsd.org>

    don't resolve disk-device symlinks

    * enable symlink resolving when mnttab points to somewhere in /proc or
    user
     or packager enables it manually

  Hash: 11260a012882ec18f5ee60fc2517d06ca8b3e718
  Files affected:

    configure.ac
    src/libstatgrab/disk_stats.c

2014-06-04  Jens Rehsack  <sno@netbsd.org>

    disable automatic build of examples

    except if in maintainer mode

  Hash: 76a985d0a95c6ba62f262db420eaf084865ed952
  Files affected:

    configure.ac

2014-06-03  Jens Rehsack  <sno@netbsd.org>

    fix unused variable for logging ...

        process_stats.c:772:11: warning: unused variable 'failing_pid'
       process_stats.c:1070:10: warning: variable 'p' set but not used
    [-Wunused-but-set-variable]

  Hash: cdd044b5da3da3924a1ce59e6041944c8895affc
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/trace.h

2014-06-03  Jens Rehsack  <sno@netbsd.org>

    fix compiler warning

    This fix is to eliminate:

        full_stats.c:134:10: warning: passing argument 1 of
    'get_testable_functions' from incompatible pointer type
       full_stats.c:134:68: warning: incompatible pointer types passing
    'unsigned long *' to parameter of type 'size_t *' (aka 'unsigned int *')
    [-Wincompatible-pointer-types]

  Hash: dbbf814c76be6e714f6dfc581dc8389a011910da
  Files affected:

    tests/multi_threaded/diff_stats.c
    tests/multi_threaded/full_stats.c

2014-06-02  Jens Rehsack  <sno@netbsd.org>

    add strlcat/strlcpy checks

    Without them tools.h will always pretend sg_strlcat should be strlcat 
    which causes redefinition warnings. Remove libstatgrab-wide export of 
    internal strlcat - helpers sg_log_init is integrated and the routines 
    are internal only now.

  Hash: 078f1871f6f125c7853d8f0e17e4cf9fcb63c995
  Files affected:

    configure.ac
    src/libstatgrab/network_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2014-06-02  Jens Rehsack  <sno@netbsd.org>

    eliminate some -Wunused-result warnings

    
  Hash: 62b2a65734ba181552f36db75673ae2e28b44aba
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c

2014-06-02  Jens Rehsack  <sno@netbsd.org>

    resolve symbolic links on device names

    If a device name is a link, resolve the link and compute canonical path 
    name from it. Some modern systems use device-independent identifiers 
    with a symlink to the physical device to avoid different order of
    registering during boot causes trouble.

  Hash: dc1381dc89e4e8774c7264f2176cf9f9e737cbf8
  Files affected:

    configure.ac
    src/libstatgrab/disk_stats.c

2014-05-30  Tim Bishop  <tim@bishnet.net>

    Fix compiler warning created in commit dd23b3b.

      process_stats.c:189:6: warning: comparison of integers of different
    signs: 'unsigned long' and 'ssize_t' (aka 'long') [-Wsign-compare]
             if( PIPD_IS_FULL( pipd, sys_page_size ) ) {
                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
     process_stats.c:182:95: note: expanded from macro 'PIPD_IS_FULL'
     #define PIPD_IS_FULL(pipd,size) (offsetof(struct pids_in_proc_dir_t,
    items[(pipd)->nitems+1]) > (size))
                                     
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^

  Hash: a9d940c32a10ef4910a1ae5743d69be3b626e4df
  Files affected:

    src/libstatgrab/process_stats.c

2014-05-22  Tim Bishop  <tim@bishnet.net>

    Fix PIPD_IS_FULL.

    PIPD_IS_FULL wasn't correctly identifying pipd being full which resulted
    in the add_pid_to_pids_in_proc_dir function walking off the end of the
    allocated memory structure. This caused the breakage seen in #38.

    The problem was found using the Solaris watchmalloc library.

  Hash: dd23b3bedf85e59a4a2bc52fb1978c322a6b5cbe
  Files affected:

    src/libstatgrab/process_stats.c

2013-08-12  Tim Bishop  <tim@bishnet.net>

    Add missing brackets in AC_INIT.

    This was suggested by autoupdate.

  Hash: b18b8e7532f5eccfc23d75307712f5a56b76ef66
  Files affected:

    configure.ac

2013-08-12  Tim Bishop  <tim@bishnet.net>

    Break the ChangeLog generation up.

    This used to be split over multiple lines when it was in the Makefile, 
    but I concatenated it by mistake when bringing it across to here.

  Hash: e5702436f8c4f14bebf6d22ecea9720bf23a4bc1
  Files affected:

    autogen.sh

2013-08-12  Tim Bishop  <tim@bishnet.net>

    Make sure the test target builds dependencies.

    The test target can only be run after the tests and the libstatgrab 
    library have been built, otherwise it reports that there's nothing to
    test:

    Result: NOTESTS

    This change only builds the required dependencies, so it won't build the
    examples or manpages.

  Hash: 6a36e40262d5368fabf804213aa568d43bf04be9
  Files affected:

    tests/Makefile.am
    tests/multi_threaded/Makefile.am
    tests/single_threaded/Makefile.am

2014-03-13  Tim Bishop  <tim@bishnet.net>

    Add support for FreeBSD 11+.

    This change adds support for FreeBSD 11, and onwards up to 19. I've also
    changed the comment to correct reflect that it's FreeBSD 5+, rather than
    specifically 5 to 11.

    Mostly solves #26.

  Hash: 73f7fac3e8b72fb34799b17aa111a34bd835e909
  Files affected:

    configure.ac

2014-03-13  Jens Rehsack  <sno@netbsd.org>

    fix missing "x" typo

    
  Hash: 66f4120bbb305139b71beafbdd90f63ee1f289a5
  Files affected:

    configure.ac

2014-03-13  Jens Rehsack  <sno@netbsd.org>

    fix configure gives --with-mnttab a higher prio

    
  Hash: fc1751ba310c91db9dad7bdc11e7dbba5821c294
  Files affected:

    configure.ac

2014-03-13  Manuel A. Fernandez Montecelo  <mafm@debian.org>

    Fix FTBFS in many arches due to FS tests

    The cause is that it cannot find /etc/mtab (or equivalent) in some
    arches.  The new standard place for this is '/proc/self/mounts'. 
    "./configure
    --with-mnttab='/proc/self/mounts'" does not seem to work.

  Hash: 1ffe0b322e2c58e222ce918099dd0f2acfdcd9fa
  Files affected:

    src/libstatgrab/disk_stats.c

2013-08-12  Adam Sampson  <ats@offog.org>

    Update the FSF's address in the licensing notices.

    The FSF moved several years ago; this updates all the mentions of their 
    address in the GPL/LGPL copies (for which I've just taken the latest 
    plain-text copy of the GPLv2 and LGPLv2.1 from the FSF web site) and the 
    licensing headers in our files.

  Hash: c5af9952a306194e93a650183eba4b0fca565179
  Files affected:

    COPYING
    COPYING.LGPL
    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/filesys_snapshot.c
    examples/helpers.c
    examples/helpers.h
    examples/load_stats.c
    examples/network_iface_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_snapshot.c
    examples/process_stats.c
    examples/user_list.c
    examples/valid_filesystems.c
    examples/vm_stats.c
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/error.h
    src/libstatgrab/globals.c
    src/libstatgrab/globals.h
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h.in
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/trace.h
    src/libstatgrab/user_stats.c
    src/libstatgrab/vector.c
    src/libstatgrab/vector.h
    src/saidar/saidar.c
    src/statgrab/statgrab-make-mrtg-config.in
    src/statgrab/statgrab-make-mrtg-index.in
    src/statgrab/statgrab.c
    tests/multi_threaded/diff_stats.c
    tests/multi_threaded/full_stats.c
    tests/single_threaded/diff_stats.c
    tests/single_threaded/full_stats.c
    tests/testlib/err.c
    tests/testlib/opt.c
    tests/testlib/routines.c
    tests/testlib/testlib.h

2013-08-09  Adam Sampson  <ats@offog.org>

    Fix list miscounting in sg_set_valid_filesystems.

    Previously this counted the NULL entry that terminated the list -- so 
    the length was set to be one too high, and reading the list back with 
    sg_get_valid_filesystems would produce a spurious NULL at the end.

  Hash: 1d430074b2206012794ab65937d1c3418eafc3f0
  Files affected:

    src/libstatgrab/disk_stats.c

2013-08-03  Jens Rehsack  <sno@netbsd.org>

    Fix vector creation for 1 element vectors.

    
  Hash: beb0e2be3fb9994d90194b032b96e218b73be463
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/globals.h

2013-08-03  Jens Rehsack  <sno@netbsd.org>

    Skip CTL_HW.HW_MACHINE_ARCH error in some cases.

    Be quiet when CTL_HW.HW_MACHINE_ARCH fails, but CTL_HW.HW_MACHINE works.

  Hash: 7880116baf3f6590b33137ff8a4d3f257825479c
  Files affected:

    src/libstatgrab/os_info.c

2013-08-02  Tim Bishop  <tim@bishnet.net>

    Update version number for final release.

    
  Hash: da0893f656c19ad35f3bd9fcabd4dd0e621a1ced
  Files affected:

    configure.ac

2013-08-02  Tim Bishop  <tim@bishnet.net>

    Update the README, NEWS and PLATFORMS files.

    Remove $Id$, since it's no longer expanded.

  Hash: 5f01fdde1b381ac82bd00a06978d1a116ec9b696
  Files affected:

    NEWS
    PLATFORMS
    README
    README.CVS
    README.git

2013-08-02  Jens Rehsack  <sno@netbsd.org>

    Update NEWS - prepare for sync with tdb@.

    
  Hash: 456d2defee7c0d9157298f3ac83272bb3ce03b08
  Files affected:

    NEWS

2013-07-31  Tim Bishop  <tim@bishnet.net>

    Final RC build, libstatgrab-0.90-rc4.

    
  Hash: d56179a5d028255f0ee8042ec49bfe3c3c38bc15
  Files affected:

    TESTING
    configure.ac

2013-07-31  Tim Bishop  <tim@bishnet.net>

    Fix Solaris check.

    Solaris is known as solaris2.N not solarisN. Need two sets of brackets.

  Hash: a55788694a91bc92e022a0bd12aacc179fb46d1f
  Files affected:

    configure.ac

2013-07-31  Jens Rehsack  <sno@netbsd.org>

    Introduce ability to skip def printf/scanf fmt.

    
  Hash: ed7ff9df7fa2bd15a652672dc6f084417f8142ed
  Files affected:

    configure.ac
    m4/ax_types.m4

2013-07-31  Jens Rehsack  <sno@netbsd.org>

    Refactor AX_APPEND_TO_VAR.

    * Extract "function" macro: AX_VAR_CONTAINS_IF_ELSE
     from AX_APPEND_TO_VAR.
    * Introduce macro AX_VAR_CONTAINS_ANY_IF_ELSE analogue
     to AX_VAR_CONTAINS_IF_ELSE.

  Hash: afa36180d224131589be872d8096d9b7ca2fab93
  Files affected:

    m4/ax_shellvars.m4

2013-07-30  Jens Rehsack  <sno@netbsd.org>

    Correct some minor nits.

    
  Hash: 3c8f958231ea306de3b6530bec2350df109ebfd8
  Files affected:

    src/libstatgrab/globals.c

2013-07-30  Jens Rehsack  <sno@netbsd.org>

    Improve / document type format checks.

    According to expected failed -Werror support in autoconf for non-gnu 
    compilers, the format check was rewritten. Due touching it anyway, some
    tidying, documenting and polishing was done.

  Hash: d5a5984fe17999a894a6fac37448d880882c00fb
  Files affected:

    m4/ax_types.m4

2013-07-30  Jens Rehsack  <sno@netbsd.org>

    Similar to pid_t fmt check add some for [s]size_t.

    
  Hash: 97c50b2206ec9e2733e7db0c25a6f160404bda29
  Files affected:

    configure.ac
    m4/ax_types.m4
    src/libstatgrab/disk_stats.c
    src/libstatgrab/globals.c

2013-07-29  Jens Rehsack  <sno@netbsd.org>

    Remove unnecessary size_t usage to avoid crashes.

    
  Hash: 73ec085999d4bad294f7e20d739e9cdfd0bb348b
  Files affected:

    tests/multi_threaded/diff_stats.c
    tests/multi_threaded/full_stats.c

2013-07-29  Jens Rehsack  <sno@netbsd.org>

    process_stats fixes.

    * reduce message severity for passes away processes from ERROR to INFO.
    * clear mib structure before trying to fetch processes again.

  Hash: 5c882454746ccac63bd77ee3ef2afd8ef78ac6ee
  Files affected:

    src/libstatgrab/process_stats.c

2013-07-19  Tim Bishop  <tim@bishnet.net>

    Ready for rc3.

    
  Hash: ae7fafa946ca4716113ee2aae1be09c2a7782cd0
  Files affected:

    TESTING
    configure.ac

2013-07-18  Reini Urban  <rurban@cpanel.net>

    Error in tempfile() using template /tmp//...

    Use basename to strip a fullpath self->{exename} in the perl testlib.

  Hash: 640c76e6dcdb5902dff4b0c7b75eb92596df13fa
  Files affected:

    tests/testlib/run_tests.pm

2013-07-19  Jens Rehsack  <sno@netbsd.org>

    Fix finding of pkgsrc/mk/check-portability.awk:

    ERROR: [check-portability.awk] => Found test ... == ...: ERROR:
    [check-portability.awk] configure: if test
    "x$ac_cv_unspecified_size_last_struct_member" == "xyes"; then : ERROR:
    [check-portability.awk] configure: if test "x$ac_cv_zero_array_size" ==
    "xyes"; then :

    Explanation:
    =========================================================================== 
    The "test" command, as well as the "[" command, are not required to know 
    the "==" operator. Only a few implementations like bash and some 
    versions of ksh support it.

  Hash: 9bec82a23a3b3de6525b2e038716b7ee5ac218fe
  Files affected:

    configure.ac

2013-07-18  Tim Bishop  <tim@bishnet.net>

    Ready for 0.90-rc2.

    
  Hash: a08937a48ec352830cd31648b8fb870a524757c3
  Files affected:

    TESTING
    configure.ac

2013-07-18  Jens Rehsack  <sno@netbsd.org>

    Don't add "." extension separator twice.

    
  Hash: ce057f680f67b6fcbdbc2643e4cc690d274f5389
  Files affected:

    m4/ax_lib.m4

2013-07-18  Tim Bishop  <tim@bishnet.net>

    TODO has been moved to the GitHub issue tracker.

    https://github.com/i-scream/libstatgrab/issues

  Hash: 2e605d79b454ee61a46c1ece2e1d20e2c1bb88c1
  Files affected:

    TODO

2013-07-17  Jens Rehsack  <sno@netbsd.org>

    Add libtool support to sg_log_init.

    sg_log_init will now remove trailing "/.libs" from dirname(argv[0]) when
    searching for properties file. That allows developers to forget about
    that .libs hidden subdir of libtool stuff.

  Hash: 9ff8d668b615429da5f3a0ef763aeb2f855d1eef
  Files affected:

    src/libstatgrab/tools.c

2013-07-17  Jens Rehsack  <sno@netbsd.org>

    Control log targets when log4cplus is used.

    For those environments with log4cplus support, the test controller now
    prepares special non-conflicting log-properties to guarantee proper test
    working.

    Further, in case of errors, the diagnostics improves.

  Hash: cd3afa5fb1e8f208e2800e3164b35139c8a36b62
  Files affected:

    tests/testlib/run_tests.pm

2013-07-17  Jens Rehsack  <sno@netbsd.org>

    Add append mode for created log-files by default.

    
  Hash: de318e08d13b0c773f9d8fc998d579480a2801c4
  Files affected:

    tests/multi_threaded/libstatgrab-test.properties
    tests/single_threaded/libstatgrab-test.properties

2013-07-17  Jens Rehsack  <sno@netbsd.org>

    Give more information about where we're running.

    
  Hash: 6ff05acbf6f0cd1ba4bac530c615fbaa7379cbd7
  Files affected:

    tests/testlib/run_tests.pm

2013-07-17  Jens Rehsack  <sno@netbsd.org>

    Prefer __PACKAGE_->can() over accessing namespace.

    
  Hash: db2fd70e3e6c07329a39d7f4250b08b5b12de399
  Files affected:

    tests/testlib/run_tests.pm

2013-07-17  Jens Rehsack  <sno@netbsd.org>

    Fix configure internal check regarding uvm/uvm.h.

    
  Hash: dcd18c633b17a3e88660e188eb0212b8ae9da7f6
  Files affected:

    configure.ac

2013-07-16  Jens Rehsack  <sno@netbsd.org>

    Fix ugly typo.

    
  Hash: 0194d68ae99a873e8a54050639fdf5c44ae8ac53
  Files affected:

    src/libstatgrab/process_stats.c

2013-07-16  Jens Rehsack  <sno@netbsd.org>

    Add support for compilers without unspec array len.

    There are compilers out there complaining about

    struct foo {
       char *bar;
       unsigned many[];
    };

    Provide tests and workarounds for hopefully all situations.

  Hash: 625fdce29d3d94fbe30e152582b37e670cbfbfb7
  Files affected:

    configure.ac
    src/libstatgrab/process_stats.c

2013-07-16  Jens Rehsack  <sno@netbsd.org>

    Deal with old and/or broken ethtool.h.

    
  Hash: f340b3601de83e9bd9e5da392557c8f60a3faf29
  Files affected:

    configure.ac
    src/libstatgrab/network_stats.c
    src/libstatgrab/tools.h

2013-07-16  Jens Rehsack  <sno@netbsd.org>

    Fix some ANSI C issues.

    
  Hash: 584cdbceb117adeb745d9524d2511e94a63b8837
  Files affected:

    src/libstatgrab/globals.c
    src/statgrab/statgrab.c

2013-07-15  Jens Rehsack  <sno@netbsd.org>

    Don't +1 strlen too often.

    
  Hash: 0334609fcaee962433c43b47485da7a8ba67b671
  Files affected:

    src/libstatgrab/tools.c
    src/libstatgrab/user_stats.c

2013-07-15  Jens Rehsack  <sno@netbsd.org>

    Use strnlen in sg_lupdate_string.

    If no strnlen is provided, use own one.

  Hash: a11142f588317cdc63b3135280f5c28b8ed4d793
  Files affected:

    configure.ac
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2013-07-15  Jens Rehsack  <sno@netbsd.org>

    Explain why only AC_CANONICAL_HOST.

    Explain (for dumb maintainers like me) why we only need 
    AC_CANONICAL_HOST and why it's dumb to use --target.

  Hash: 37d0194fd48e655eeba9d1a2e333d7be2f9e983c
  Files affected:

    configure.ac

2013-07-15  Jens Rehsack  <sno@netbsd.org>

    Try to guess when a fixed sized buffer is used.

    When a fixed sized buffer is used in struct utmpx and/or struct utmp,
    use only the size of the source.

  Hash: 18233d3ec16539f648926970eb95830c89cc6e2b
  Files affected:

    src/libstatgrab/user_stats.c

2013-07-11  Tim Bishop  <tim@bishnet.net>

    For consistent behaviour add config.{guess,sub}.

    This makes it consistent across build platforms, and ensures that anyone
    checking out our Git repository gets the same versions of these files as
    we do. They match upstream so can be updated when needed.

    It'd be nice to be able to rely on the operating system provided ones 
    being current, but at least in FreeBSD they're replaced by old ones. I 
    consider that a bug, but it's not been resolved yet.

    They're sourced from here:

    http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=HEAD 
    http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.sub;hb=HEAD

  Hash: 6252f81d0ca56b18b3c9da30acbbe59875356d89
  Files affected:

    .gitignore
    autogen.sh
    config.guess
    config.sub

2013-07-11  Tim Bishop  <tim@bishnet.net>

    Move the ChangeLog generation out of the Makefile.

    Having it in the Makefile broke the distcheck target. The specific 
    failure case is if you do a VPATH configure, and then use the make dist
    target, it regenerates the ChangeLog file rather than using the one in
    $(srcdir) as it does for other distributed files. The reason it does
    this is because there's a ChangeLog target in the Makefile.

    This doesn't feel like a perfect solution, but it only makes life a 
    little harder for devs, and fixes potential breakages for users.

  Hash: 426e76b4bbddf81a92308c2e4531687fa3bfbbc2
  Files affected:

    Makefile.am
    autogen.sh

2013-07-11  Tim Bishop  <tim@bishnet.net>

    Only clean manpages with maintainer-clean.

    We don't distribute the source files for rebuilding these, so it makes 
    no sense to clean them, or even distclean them. They're not intended to
    be rebuilt be users of the tarball, only by people working from the git
    sources.

  Hash: cb978e7f39f80b744a21b8448be5a81d8aa8de93
  Files affected:

    docs/libstatgrab/Makefile.am
    docs/saidar/Makefile.am
    docs/statgrab/Makefile.am

2013-07-10  Tim Bishop  <tim@bishnet.net>

    Make check an alias for test.

    Ideally, the test suite would use the make check stuff properly, but 
    this is sufficient to allow things like "make distcheck" to work.

  Hash: d21f938c9d257b774b7b2444e74c3a9d3c17f7be
  Files affected:

    Makefile.am

2013-07-10  Tim Bishop  <tim@bishnet.net>

    Only enable setuid/setgid binaries if requested.

    Prior to this commit, if required to collect statistics by the operating
    system, binaries were installed with the setuid or setgid bit set. Since
    the actual cases where this is needed are rare, and since it leaves a
    hole for exploitation, we now only do this if the user explicitly
    requests it when building.

    So setuid and setgid binaries are still available, you just need to use
    --enable-setuid-binaries or --enable-setgid-binaries to enable them.
    These options have no effect if the operating system has no need for
    setuid or setgid binaries to collect statistics.

  Hash: e571f4234036f8c8ca75be481b4179d03fee24fe
  Files affected:

    configure.ac

2013-07-04  Jens Rehsack  <sno@netbsd.org>

    Fix wrong item traced and rewrite func_name getter.

    
  Hash: 331c8eb7701b37f52d9d1ac50d14bc8d17b6297d
  Files affected:

    tests/testlib/routines.c

2013-07-04  Jens Rehsack  <sno@netbsd.org>

    Fix stack overflow.

    Fix stack overflow caused by not caring for:
       String input conversions store a null terminator ('\0') to mark the
    end
       of the input; the maximum field width does not include this
    terminator.

  Hash: 98c1fea6928ba8e3f61927ac51105fb4af150d99
  Files affected:

    src/libstatgrab/process_stats.c

2013-07-04  Jens Rehsack  <sno@netbsd.org>

    Check buffer size before reading "char *".

    Check buffer size before reading "char *" to detect proc_cmdline quirks.

  Hash: 8e945de64604ef3e64f0c79100121473a68847a9
  Files affected:

    src/libstatgrab/process_stats.c

2013-07-02  Tim Bishop  <tim@bishnet.net>

    Update TESTING notes.

    
  Hash: 275dfff412b8b32100271d32ca57b10a697ad32a
  Files affected:

    TESTING

2013-07-03  Jens Rehsack  <sno@netbsd.org>

    Fix format of size_t.

    
  Hash: 5d352e2b420be8bb68c7f72037aeed0d8ca6125c
  Files affected:

    src/libstatgrab/disk_stats.c

2013-07-02  Tim Bishop  <tim@bishnet.net>

    Add testing notes.

    
  Hash: d505c28bee1a7971ed971b8db99d3b7fa49e5761
  Files affected:

    TESTING

2013-06-25  Tim Bishop  <tim@bishnet.net>

    Prepare for 0.90-rc1.

    
  Hash: 2fb2d45db9c1a3a22ef1e3c001b229cbab687090
  Files affected:

    configure.ac

2013-06-25  Tim Bishop  <tim@bishnet.net>

    On Solaris don't prepend none to the flags.

    
  Hash: ce1cacbf63f4fdda3118597443930066e0b7477b
  Files affected:

    m4/ax_pthread.m4

2013-06-22  Jens Rehsack  <sno@netbsd.org>

    Central log initialization.

    
  Hash: c69cd38611f8990236e23f5a1ac382bf691162ac
  Files affected:

    configure.ac
    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/filesys_snapshot.c
    examples/helpers.c
    examples/helpers.h
    examples/load_stats.c
    examples/network_iface_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_snapshot.c
    examples/process_stats.c
    examples/user_list.c
    examples/valid_filesystems.c
    examples/vm_stats.c
    saidar.properties
    src/libstatgrab/statgrab.h.in
    src/libstatgrab/tools.c
    src/saidar/saidar.c
    src/statgrab/statgrab.c
    tests/multi_threaded/diff_stats.c
    tests/multi_threaded/full_stats.c
    tests/single_threaded/diff_stats.c
    tests/single_threaded/full_stats.c
    tests/testlib/Makefile.am
    tests/testlib/log.c
    tests/testlib/testlib.h

2013-06-21  Tim Bishop  <tim@bishnet.net>

    Update TODO.

    
  Hash: a0cb1a02d690f27ae129a4d863f69f6479b679f8
  Files affected:

    TODO

2013-06-21  Tim Bishop  <tim@bishnet.net>

    Update bug reporting locations.

    
  Hash: 40c4d2705257095a35946a8f927864fd031e0993
  Files affected:

    README
    configure.ac

2013-06-21  Jens Rehsack  <sno@netbsd.org>

    Don't fail when a process dies.

    Don't fail when a process passes away while refining the process list 
    fetched from kernel. Simply skip the process in such cases.

  Hash: 8c8e0e2d93506d6c201e12c701a0032698acf859
  Files affected:

    src/libstatgrab/process_stats.c

2013-06-21  Jens Rehsack  <sno@netbsd.org>

    Improve error messaging on error during tests.

    
  Hash: 391cf512ef36e1e32bafb11ee17590f3bbd6de1d
  Files affected:

    tests/testlib/routines.c

2013-06-21  Jens Rehsack  <sno@netbsd.org>

    Whine one error.

    
  Hash: 8f9f37cadcc348793923544a3063083fe19f7a73
  Files affected:

    tests/testlib/run_tests.pm

2013-06-20  Tim Bishop  <tim@bishnet.net>

    Document new sg_get_fs_stats_diff functions.

    
  Hash: 903d7a645e6d5e3fb222a2f24e142cec7a15c4ae
  Files affected:

    docs/libstatgrab/Makefile.am
    docs/libstatgrab/sg_get_fs_stats.xml

2013-06-20  Jens Rehsack  <sno@netbsd.org>

    Trace (note) func success for non-threaded tests.

    Trace (note) func success for single threaded tests too. This should 
    help digging errors when something fails.

  Hash: 81458c7b6f1bc8f09213ffdac1e436b006139323
  Files affected:

    tests/single_threaded/diff_stats.c
    tests/single_threaded/full_stats.c

2013-06-20  Jens Rehsack  <sno@netbsd.org>

    Format / attribute names fixed when logging is on.

    
  Hash: 298a32ff88f1857ded0fada83eccce9ad813bc8c
  Files affected:

    tests/multi_threaded/diff_stats.c
    tests/multi_threaded/full_stats.c
    tests/testlib/routines.c

2013-06-20  Jens Rehsack  <sno@netbsd.org>

    Introduce sg_get_fs_stats_diff.

    
  Hash: cdf23c809a67103d3964266e4626a04af6b19ade
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/statgrab.h.in
    tests/testlib/routines.c

2013-06-20  Jens Rehsack  <sno@netbsd.org>

    Add some test TODO.

    
  Hash: 7f0a8457df10b4fa0739cd392133173d0d7f5dac
  Files affected:

    TODO

2013-06-20  Jens Rehsack  <sno@netbsd.org>

    Improve tests.

    * Renamed the existing tests to */full_test.t - pretending they
     test the statgrab calls providing full statistics (in contrary
     to difference statistics).
    * Introduced a way to test the stats differences (root cause for
     yesterdays missing disk names in saidar).
    * Added missing network_iface_stats test to the full tests.

  Hash: 6ba73b5848aba1455e62d7421f01d7595434a5d6
  Files affected:

    tests/multi_threaded/Makefile.am
    tests/multi_threaded/diff_stats.c
    tests/multi_threaded/full_stats.c
    tests/multi_threaded/multi_threaded_test.c
    tests/single_threaded/Makefile.am
    tests/single_threaded/diff_stats.c
    tests/single_threaded/full_stats.c
    tests/single_threaded/single_threaded_test.c
    tests/testlib/routines.c
    tests/testlib/testlib.h

2013-06-20  Jens Rehsack  <sno@netbsd.org>

    Include stats delivered into tests.

    (superfluous src/statgrab/statgrab cpu. mem. load. user. swap. general.
    fs. disk. net. page.)

  Hash: b1f3cc6f46ccbdd3669cf11419014e66a5bf961e
  Files affected:

    tests/multi_threaded/multi_threaded_test.c
    tests/single_threaded/single_threaded_test.c
    tests/testlib/routines.c
    tests/testlib/run_tests.pm
    tests/testlib/testlib.h

2013-06-19  Jens Rehsack  <sno@netbsd.org>

    Introduce --enable-logging.

    This will enforce fprintf(stderr, ...) when built without log4cplus.

  Hash: 83cc6f5e611d985d03a5a98e010bb921eb308b04
  Files affected:

    configure.ac
    src/libstatgrab/disk_stats.c
    src/libstatgrab/globals.c
    src/libstatgrab/trace.h

2013-06-19  Jens Rehsack  <sno@netbsd.org>

    Fix core because of fiddled vector functions.

    
  Hash: 31f220dabbefe27f6ecdb5559064cc5db3da6973
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/vector.c
    src/libstatgrab/vector.h

2013-06-19  Jens Rehsack  <sno@netbsd.org>

    Remove compiler warnings.

    
  Hash: 6c19ee2985d3e3e15dccb365ebd824bd5496c8ea
  Files affected:

    src/libstatgrab/memory_stats.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Fix reaction on integer overflow.

    
  Hash: 6c9a93eb6198cd03199dd35922037ab24070a18d
  Files affected:

    src/libstatgrab/disk_stats.c

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    OpenBSD and Darwin process_stats fixes.

    
  Hash: f5958a6ccbf13b471ec3c5d191a5c4d36796bd4f
  Files affected:

    src/libstatgrab/process_stats.c

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Consolidation...

    - fix extra warnings:
     -Wshadow -Wstrict-overflow -Wpointer-arith -Wbad-function-cast
     -Wcast-qual -Wcast-align -Wpadded -Wunreachable-code
     seen on Darwin, *BSD ... using system compiler.
    - consolidate pagesize and mach_host_self retrieval.

  Hash: 3ca75e1836f99268192320a65f49f4d128837512
  Files affected:

    TODO
    src/libstatgrab/error.h
    src/libstatgrab/globals.h
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/vector.c
    src/libstatgrab/vector.h

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Add Token Ring and 802.11 support.

    + detect FDDI - but no speed there...

  Hash: 499071aa0f70627dda6a987d0b7da5a5b4e337d3
  Files affected:

    src/libstatgrab/network_stats.c

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Alignment / network stats.

    * Fix alignment issues for network_iface stats.
    * Fix some stats related to network iface (speed etc.).

  Hash: 2870ac0d07156204f75d0152d58b89f4eaaf7ccd
  Files affected:

    examples/network_iface_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/statgrab.h.in
    src/statgrab/statgrab.c

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Fix probably unsafe assignments and warnings.

    
  Hash: cf8675b252b74996a835d95df579e4fd3bedb17a
  Files affected:

    src/libstatgrab/process_stats.c

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Remove more or less pointless warnings.

    
  Hash: d7446753e73a8ab154577d96fd1f08281c4c9ae4
  Files affected:

    src/libstatgrab/globals.c
    src/libstatgrab/tools.c
    src/libstatgrab/vector.c
    src/libstatgrab/vector.h

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Review Solaris device mapping initialization.

    -> readdir is okay, sg_init() should be called from main.
      (if we want support sg_init() can be called from threads, we must
       fix that, otherwise we'll get stack overflow)
    -> cleanup code a bit to understand better what's going on.

  Hash: 0bca044cfe79201014050e0711ad2c4fb7d05039
  Files affected:

    src/libstatgrab/tools.c

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Fix another overflow bug.

    
  Hash: f30f1d34857c8b34bf3d3ac02d812299943d0906
  Files affected:

    src/libstatgrab/globals.c

2013-06-18  Jens Rehsack  <sno@netbsd.org>

    Fixing the broken readdir_r with stack dirent too.

    
  Hash: de9e7878570f9147494e982a007fcf23b74499a5
  Files affected:

    src/libstatgrab/disk_stats.c

2013-06-17  Jens Rehsack  <sno@netbsd.org>

    Fix pointless type warning.

    
  Hash: 338068c62fb88b1bf2e4eb1c0cf0fb2fd17162b1
  Files affected:

    src/libstatgrab/user_stats.c

2013-06-17  Jens Rehsack  <sno@netbsd.org>

    Remove BSD quirks and API changes from TODO.

    
  Hash: 02f2d26bc3ed41d25257d9c62b831e2a59f5927f
  Files affected:

    TODO

2013-06-17  Jens Rehsack  <sno@netbsd.org>

    Document entries parameter in SYNOPSIS.

    
  Hash: 7a91e12d6453305aa1f11cea7c51047798b26104
  Files affected:

    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml

2013-06-17  Jens Rehsack  <sno@netbsd.org>

    Cleanup memory even without threads.

    
  Hash: 91966c2b57917bd981478666f595b4696eaa18a0
  Files affected:

    src/libstatgrab/globals.c

2013-06-17  Jens Rehsack  <sno@netbsd.org>

    Fix user-stats on DragonFly BSD.

    DragonFly BSD seems to be the only one that comes with getutxent() and 
    getutent() and depending on system setup one works or the other.

  Hash: 9877f4dd6a8f89076e875d39e284c217d958d3f8
  Files affected:

    configure.ac
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c

2013-06-17  Jens Rehsack  <sno@netbsd.org>

    Fix broken process stats on OpenBSD.

    This fix includes an adaption to an early behaviour common to OpenBSD 
    and DragonflyBSD. OpenBSD improves and needs different (but hard to 
    check) behaviour. Currently we have a state working on both recent 
    releases - further tests on -STABLE might show what remains...

  Hash: f2819bcb67c51c8655a4051a4e18d92f64d2fd3a
  Files affected:

    src/libstatgrab/process_stats.c

2013-06-17  Jens Rehsack  <sno@netbsd.org>

    Review memory stats.

    Review memory stats related to "Belongs cached to free?"
    * http://simon.zekar.com/2009/01/30/understanding-freebsd-memory-usage/

    Even if FreeBSD currently always reports "0" for cached, we might be 
    safer for future versions. Similar is to expect for other BSD's.

  Hash: 718d6758d60065563c68a1533638e1111f86fe05
  Files affected:

    src/libstatgrab/memory_stats.c

2013-06-14  Jens Rehsack  <sno@netbsd.org>

    In case something went wrong free got ifaddrs.

    
  Hash: d33064e19bd6f577824c40034e1094e8911f49a3
  Files affected:

    src/libstatgrab/network_stats.c

2013-06-13  Tim Bishop  <tim@bishnet.net>

    TODO updates.

    
  Hash: 0352d080ae432883312764118b336d4054d90875
  Files affected:

    TODO

2013-06-13  Tim Bishop  <tim@bishnet.net>

    Remove support for deprecated interfaces.

    As we head towards 1.0 this is no longer needed. With all the other 
    changes it becomes irrelevant anyway.

  Hash: 570db97a244cf56d1ced638dc3015d395f37ced2
  Files affected:

    configure.ac
    src/libstatgrab/Makefile.am
    src/libstatgrab/network_stats.c
    src/libstatgrab/statgrab.h.in
    src/libstatgrab/statgrab_deprecated.c
    src/libstatgrab/statgrab_deprecated.h

2013-06-13  Jens Rehsack  <sno@netbsd.org>

    Add Darwin support for disk-I/O based on I/O-Kit.

    
  Hash: 43bb39cfd55e527d3f39403807c4ffb87b3deaf7
  Files affected:

    src/libstatgrab/disk_stats.c

2013-06-13  Jens Rehsack  <sno@netbsd.org>

    Add file:line to error output (for tracing).

    
  Hash: ec3e84ee440d1448f1a5bcca6ece9d178a2e272c
  Files affected:

    src/libstatgrab/error.h

2013-06-13  Jens Rehsack  <sno@netbsd.org>

    Add error for IO.Kit errors.

    
  Hash: 57147832e09e8ebf86f8e4842f1edf54a8a05ec2
  Files affected:

    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h.in

2013-06-13  Jens Rehsack  <sno@netbsd.org>

    Explicitly take darwin out of vmtotal mem stats.

    Darwin is Mach based, we're using host_statistics() instead.

  Hash: b758b29e56ed758328758b588ca732de1f8745fb
  Files affected:

    src/libstatgrab/memory_stats.c

2013-06-13  Tim Bishop  <tim@bishnet.net>

    Bump version in preparation for new release.

    We've decided to go to 0.90 because there are a number of changes to the
    API that will require programs to be changed. We've put changes in that
    aren't strictly necessary yet to get all the currently planned API
    changes done in one go.

    Also bump the shared library version accordingly.

  Hash: 3670306614a688367fb1bb1820b9288d30846c7f
  Files affected:

    configure.ac
    src/libstatgrab/Makefile.am

2013-06-13  Jens Rehsack  <sno@netbsd.org>

    Update and refine TODO.

    
  Hash: 604baed8fe1a2f903f14f3d34b382784d516659b
  Files affected:

    TODO

2013-06-13  Jens Rehsack  <sno@netbsd.org>

    Improve paging stats.

    * use mach stats like for memory on Mach systems.
    * use uvmexp/evmexp_sysctl explicitly where supported and no
     dirty rough OS detection based fallback like fbsd forces
     it because sysctlbyname() cannot be reasonable checked
     (think cross-compiling).

  Hash: bde7a2c4f2fdcee310b0ac63414823992203e846
  Files affected:

    src/libstatgrab/page_stats.c

2013-06-13  Jens Rehsack  <sno@netbsd.org>

    If HW_MACHINE_ARCH unusable try HW_MACHINE.

    
  Hash: 0ae724c9a2bf44440634059cb5b07cc239c4f562
  Files affected:

    src/libstatgrab/os_info.c

2013-06-13  Jens Rehsack  <sno@netbsd.org>

    Remove completed items.

    
  Hash: ce306b236c38d9fea855d3cfd4c392d9a42fa1a3
  Files affected:

    TODO

2013-06-12  Jens Rehsack  <sno@netbsd.org>

    Correct indention level and fix core on HP-UX.

    
  Hash: 3ae26a96701062d41e3fbc4f9bdf09a09706b12f
  Files affected:

    src/libstatgrab/globals.c

2013-06-12  Jens Rehsack  <sno@netbsd.org>

    Fix 32-/64-bit issue found thanks to HP-UX.

    
  Hash: d3ec41c2788bbc53b233d339b9978fa500909be4
  Files affected:

    tests/multi_threaded/multi_threaded_test.c

2013-06-12  Jens Rehsack  <sno@netbsd.org>

    Silence most HP-ANSI C Compiler warnings.

    
  Hash: 3c45fa103329d9cb458491771ad544e33f79ca06
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/vector.h

2013-06-12  Jens Rehsack  <sno@netbsd.org>

    Unify API - all stats grabbers now output entries.

    In former times, only those stats grabbers which return (likely)
    multiple items had an optional size_t output argument "entries".
    Meanwhile, it would be possible to grab cpu stats per CPU, load stats
    per CPU, swap stats per swap device etc.

    Even if the content of those stats might be worth being discussed, 
    breaking API multiple times isn't recommended. With coming release, most 
    developers have to fix their callers anyway (from int * => size_t *), 
    having some additional fix points doesn't bother more.

  Hash: 01fc0cab83cb36d46ab50f9ac8602fabcc8f97c0
  Files affected:

    examples/cpu_usage.c
    examples/load_stats.c
    examples/os_info.c
    examples/page_stats.c
    examples/vm_stats.c
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/globals.h
    src/libstatgrab/statgrab.h.in
    src/saidar/saidar.c
    src/statgrab/statgrab.c
    tests/testlib/routines.c
    tests/testlib/testlib.h

2013-06-12  Jens Rehsack  <sno@netbsd.org>

    Make scaled output a bit more natural looking.

    16376MB -> 16GB, instead of 15GB

  Hash: 417ad5b0fa5da8add49bd1b2ea5a35114b5ef608
  Files affected:

    src/statgrab/statgrab.c

2013-06-11  Jens Rehsack  <sno@netbsd.org>

    Update TODO.

    
  Hash: ec16741fff24831d1f5b806e0422b9bccffda9eb
  Files affected:

    TODO

2013-06-11  Jens Rehsack  <sno@netbsd.org>

    Print errors to stderr.

    
  Hash: f6bf7249c9c7442639edd8d37030dcb9e0df5b8d
  Files affected:

    src/statgrab/statgrab.c

2013-06-11  Jens Rehsack  <sno@netbsd.org>

    Add reminder to TODO.

    
  Hash: fbde9b66e60c6eed39442d1563bae7c8f88fd9db
  Files affected:

    TODO

2013-06-11  Jens Rehsack  <sno@netbsd.org>

    Darwin fixes.

    
  Hash: 20a9c01373125265448477d3c1464a281a07c70c
  Files affected:

    configure.ac
    src/libstatgrab/memory_stats.c
    src/libstatgrab/swap_stats.c

2013-06-11  Jens Rehsack  <sno@netbsd.org>

    De-facto don't use vmmeter - it's deprecated.

    
  Hash: 7a6101d36d908bbf0ff3955e433f5e9be7bd445b
  Files affected:

    src/libstatgrab/cpu_stats.c

2013-06-11  Jens Rehsack  <sno@netbsd.org>

    Fix typo.

    
  Hash: 5b7cf34b3eedcf10e28fcdaf5407c16c133a70e6
  Files affected:

    src/libstatgrab/error.h

2013-06-11  Jens Rehsack  <sno@netbsd.org>

    Temporarily increase FBSD > HAVE_STRUCT_VMTOTAL.

    
  Hash: f93fd49e00f8d06ad91f23566d21d0e92f3ce020
  Files affected:

    src/libstatgrab/memory_stats.c

2013-06-11  Jens Rehsack  <sno@netbsd.org>

    Recognize hw.usermem.

    In case the system provides an hw.usermem in addition to hw.physmem, 
    increase used memory by the difference of usermem to physmem.

  Hash: fa69ad066ceb03005b61ba900b8dbd78c83bc8bd
  Files affected:

    src/libstatgrab/memory_stats.c

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Try to get rid of bogus isspace warnings.

    Improve isspace invocation as recommended in 
    http://netbsd.2816.n7.nabble.com/Casting-ctype-lookups-td268928.html

  Hash: cd3b5f9241d79920e42f9604118dcfb6cd4358c0
  Files affected:

    src/saidar/saidar.c
    src/statgrab/statgrab.c

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Try alignment helper check with long long.

    
  Hash: 94694528decead052c7499b8ee976b5ab4af0f11
  Files affected:

    m4/ax_types.m4

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Solve overflow calculation hopefully clearer.

    
  Hash: 51da4e542d1923253ab67a32e11f240b95d365a0
  Files affected:

    src/libstatgrab/network_stats.c

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Fix some warnings.

    
  Hash: f453f5a91e1a7dafc6c4583d36bc942b3102484f
  Files affected:

    src/libstatgrab/os_info.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Use sg_get_sys_page_size().

    
  Hash: 41d2f044a73dcfc9c3178f21ee72beb136b89268
  Files affected:

    src/libstatgrab/memory_stats.c

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Fix typo.

    
  Hash: 239beb5723426a70ce6b470f524f0126f33b0518
  Files affected:

    src/libstatgrab/globals.h

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    ERROR_OVERRIDE_PROTECTION without vsnprintf only.

    define ERROR_OVERRIDE_PROTECTION only without vsnprintf.

  Hash: df8fdfe605f637bd350a9c58380cf76329605650
  Files affected:

    src/libstatgrab/error.c

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Fix typo on pthread_mutex_timedwait().

    
  Hash: 7ba72dcab94d9c591fa7cff050f1e322db682287
  Files affected:

    tests/multi_threaded/multi_threaded_test.c

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Use special address arithmetic only as necessary.

    
  Hash: 7a33b818ea1b97ff5198f795ae093fae924430d1
  Files affected:

    configure.ac
    m4/ax_types.m4
    src/libstatgrab/vector.h

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Unify offsetof code - should work on any target.

    
  Hash: 14dcbdc35054dec7f106e52c668378b738b6c691
  Files affected:

    src/libstatgrab/tools.h

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Consolidate type checks in one file.

    
  Hash: 3c51fe9ab228fcd02cf6a98eee5dd7496c28b065
  Files affected:

    m4/ax_type_fmt.m4
    m4/ax_types.m4

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Improve format string checker.

    
  Hash: f02814491f1af5899c240dc433cbce385cd8aae7
  Files affected:

    configure.ac
    m4/ax_type_fmt.m4
    m4/ax_types.m4

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Rollback type conv changes that break some BSDs.

    
  Hash: 4e9da99796989065477e91ada22f174d34922ead
  Files affected:

    src/libstatgrab/disk_stats.c

2013-06-10  Jens Rehsack  <sno@netbsd.org>

    Check for right type for printf/scanf types.

    To avoid warnings for correct type formatter used when printf/scanf 
    pid_t, uid_t, gid_t or time_t.

  Hash: 25a62d207388988f6ef7ee7dc1275eeecc76917b
  Files affected:

    configure.ac
    m4/ax_type_fmt.m4
    src/libstatgrab/process_stats.c

2013-06-09  Jens Rehsack  <sno@netbsd.org>

    Remove some clang warnings.

    
  Hash: 19eb3538d314aa75c25c780f41fce8143b8d10e2
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/tools.h
    src/libstatgrab/vector.h

2013-06-09  Tim Bishop  <tim@bishnet.net>

    Fix warnings with PTHREAD_ONCE_INIT on Solaris.

    On Solaris PTHREAD_ONCE_INIT needs to be in braces. This change adds a
    configure check to test if this is needed and add it where appropriate.
    Do the same for PTHREAD_MUTEX_INITIALIZER.

    This change is derived from: (as it is of today's date)

    http://git.savannah.gnu.org/gitweb/?p=guile.git;a=blob_plain;f=configure.ac;hb=HEAD

  Hash: 20999dcecc894b099b1193b3e0ff0d3e3b01e9b8
  Files affected:

    configure.ac
    src/libstatgrab/globals.c
    tests/multi_threaded/multi_threaded_test.c

2013-06-09  Jens Rehsack  <sno@netbsd.org>

    Eliminate signed and unsigned integer comparisons.

    
  Hash: 8767385673e21a2b68f7b240dfd17b9ce655bb77
  Files affected:

    src/libstatgrab/swap_stats.c

2013-06-09  Tim Bishop  <tim@bishnet.net>

    Remove warnings: variable unused after assignment.

    In both cases the result of a function is assigned to a variable, but
    that variable is never used. This change removes the compiler warning
    this generates, but it should probably be reviewed to check if instead
    we should be doing something with the variable.

  Hash: 61bb360e4f7e095f7577d22e380e02fe77109e49
  Files affected:

    src/libstatgrab/process_stats.c
    src/saidar/saidar.c

2013-06-09  Tim Bishop  <tim@bishnet.net>

    isspace needs <ctype.h>.

    
  Hash: 9e12be293802a9860b08b2035a2aca1909a8b090
  Files affected:

    src/saidar/saidar.c

2013-06-09  Tim Bishop  <tim@bishnet.net>

    Remove warning: pid may not be an int, so cast it.

    
  Hash: fe32905cfebf0426a467276931f7130e5e686c72
  Files affected:

    examples/user_list.c
    src/libstatgrab/process_stats.c

2013-06-08  Tim Bishop  <tim@bishnet.net>

    Fix build when threads are disabled.

    
  Hash: 7dec315c48d7fcf190e36b241abbada58d994f69
  Files affected:

    src/libstatgrab/globals.c
    src/libstatgrab/os_info.c
    src/libstatgrab/user_stats.c

2013-06-08  Tim Bishop  <tim@bishnet.net>

    Revert change to saidar includes to fix build.

    
  Hash: 52444f72fe425aa93a51e17d5c7d0e1c6dccd042
  Files affected:

    src/saidar/saidar.c

2013-06-07  Tim Bishop  <tim@bishnet.net>

    Add todo for FreeBSD memory stats.

    
  Hash: 3576341e6a52cb53593598d0818cdb20eb55067d
  Files affected:

    TODO

2013-06-07  Jens Rehsack  <sno@netbsd.org>

    Clean up evaluation of test success.

    
  Hash: 35078dbeb887e06c0c8fa7af1ebefea3d379fa57
  Files affected:

    tests/testlib/run_tests.pm

2013-06-07  Jens Rehsack  <sno@netbsd.org>

    Remove warnings when compiling without logging.

    
  Hash: 24f5062ff669511ec50f2ce86e72120700b978fb
  Files affected:

    src/libstatgrab/globals.h

2013-06-07  Jens Rehsack  <sno@netbsd.org>

    Catch Darwin's shared objects too.

    
  Hash: 6c65dabcb684f9ed025dc4df0f5778078152cece
  Files affected:

    m4/ax_lib.m4

2013-06-07  Tim Bishop  <tim@bishnet.net>

    Remove DOCTYPE from the DocBook manual pages.

    For me they build exactly the same but don't make a bunch of network 
    calls to www.oasis-open.org. This is a lot quicker and more reliable
    (I frequently got build failures due to network problems before).

  Hash: 70a22adf3c3f71c6bfc0b926070aaed3fd36be75
  Files affected:

    docs/libstatgrab/sg_comp_init.xml
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/libstatgrab/sg_get_error.xml
    docs/libstatgrab/sg_get_fs_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/sg_get_user_stats.xml
    docs/libstatgrab/sg_init.xml
    docs/libstatgrab/sg_internal-intro.xml
    docs/libstatgrab/sg_intro.xml
    docs/libstatgrab/sg_lock_mutex.xml
    docs/libstatgrab/sg_set_error.xml
    docs/libstatgrab/sg_vector_create.xml
    docs/libstatgrab/statgrab.xml
    docs/saidar/saidar.xml
    docs/statgrab/statgrab-make-mrtg-config.xml
    docs/statgrab/statgrab-make-mrtg-index.xml
    docs/statgrab/statgrab.xml

2013-06-07  Jens Rehsack  <sno@netbsd.org>

    Add temporary file to track open issues.

    
  Hash: 170eabac87a76f75ab7e9eadacae36c98440c893
  Files affected:

    TODO

2013-06-06  Jens Rehsack  <sno@netbsd.org>

    Clean up scanned fs names.

    
  Hash: 863d6c887ce3e4bc1200809d679eb74dc96beed9
  Files affected:

    src/saidar/saidar.c
    src/statgrab/statgrab.c

2013-06-06  Jens Rehsack  <sno@netbsd.org>

    Provide strndup replacement.

    
  Hash: 5733c7eea94ebf3930d177cd3b66de038202841e
  Files affected:

    configure.ac
    src/saidar/saidar.c
    src/statgrab/statgrab.c

2013-06-06  Jens Rehsack  <sno@netbsd.org>

    Improve speed of mt-tests.

    
  Hash: c2154f075d1bbc6e83ea2deab697160b889d206a
  Files affected:

    tests/multi_threaded/multi_threaded_test.c

2013-06-06  Jens Rehsack  <sno@netbsd.org>

    Improve output from tests.

    1) Tell the executed command. 2) Reduce un-needed reports.

  Hash: 32c155d8577b1f38588605128a300cbcce63098a
  Files affected:

    tests/multi_threaded/multi_threaded_test.c
    tests/testlib/run_tests.pm

2013-06-06  Jens Rehsack  <sno@netbsd.org>

    Introduce file system filtering.

    
  Hash: 5477ba9d64f7c0b8c5549ee7d88c7ccc4470de85
  Files affected:

    src/saidar/saidar.c
    src/statgrab/statgrab.c

2013-06-06  Jens Rehsack  <sno@netbsd.org>

    Avoid having uninitialized clone target on fail.

    
  Hash: 04b3fdeab02bb0cef643b785c1a39424fda3bf67
  Files affected:

    src/libstatgrab/vector.c

2013-06-06  Jens Rehsack  <sno@netbsd.org>

    optarg is declared in <unistd.h>.

    
  Hash: 5098a8bc86a778ee5dd88b4805a40d3aaf54831c
  Files affected:

    examples/user_list.c

2013-06-05  Jens Rehsack  <sno@netbsd.org>

    Lock mutex before starting threads.

    Lock mutex before starting threads avoids threads running before 
    everything is set up.

  Hash: 828900b5fd9576d34e12925c21e4627fc36a9b99
  Files affected:

    tests/multi_threaded/multi_threaded_test.c

2013-06-04  Jens Rehsack  <sno@netbsd.org>

    Make sys_page_size static.

    When having static sg_get_sys_page_size(), sys_page_size must be static
    too (duplicated symbol otherwise).

  Hash: f9336eb41c49978734b720f9c5db618c2afb1c72
  Files affected:

    src/libstatgrab/tools.h

2013-06-04  Jens Rehsack  <sno@netbsd.org>

    xsw_usage wasn't approved - done with Darwin.

    
  Hash: 2f45c35e1aaf30a32c38cc2c207ae50bb0ef4436
  Files affected:

    src/libstatgrab/swap_stats.c

2013-06-04  Jens Rehsack  <sno@netbsd.org>

    File system stats fixes for Darwin.

    
  Hash: 7202a0160e253428a0c46930a2e199e3aedc5383
  Files affected:

    src/libstatgrab/disk_stats.c

2013-06-04  Jens Rehsack  <sno@netbsd.org>

    Fix calling convention.

    
  Hash: d261d852ceeca9acf2b3bf41af8a2f903f6b31c3
  Files affected:

    src/libstatgrab/cpu_stats.c

2013-06-04  Jens Rehsack  <sno@netbsd.org>

    Fix detecting right mach include files.

    
  Hash: 9c404aab0e347229ac6f9058b068ad32d90d5fba
  Files affected:

    configure.ac
    src/libstatgrab/tools.h

2013-06-04  Jens Rehsack  <sno@netbsd.org>

    Move mark_func to avoid race conditions.

    Move mark_func in front of thread start to avoid race conditions while 
    waiting on systems with to many CPUs.

  Hash: 8340bbc4969e295457e1837a1f83a9600d05da78
  Files affected:

    tests/multi_threaded/multi_threaded_test.c

2013-06-04  Jens Rehsack  <sno@netbsd.org>

    Fix typo in messages.

    
  Hash: f1b3feefc6fc512d32d03332de2c3cfacf8cfaad
  Files affected:

    tests/testlib/routines.c

2013-06-04  Tim Bishop  <tim@bishnet.net>

    Fix typos.

    
  Hash: 2b640747c295906a0af35272175b8c3857840877
  Files affected:

    m4/ax_ncurses.m4

2013-06-03  Jens Rehsack  <sno@netbsd.org>

    Make MP_WITH_CURSES autoconf macro -Werror safe.

    
  Hash: 389f535d5fcc9bfa64693f52fa1e4d79dc535371
  Files affected:

    m4/ax_ncurses.m4
    src/saidar/saidar.c

2013-06-03  Jens Rehsack  <sno@netbsd.org>

    Disable threading by default on DragonFly BSD.

    This is because of strange looking malloc behavior.

  Hash: 52d392beb46c5be7f8e86d61e1ff5e527de97fb9
  Files affected:

    configure.ac

2013-06-03  Jens Rehsack  <sno@netbsd.org>

    fabs(3) needs -lm on HP-UX too.

    
  Hash: e541562a3732ee6818f3c1364d806dd6b672166a
  Files affected:

    configure.ac

2013-06-03  Jens Rehsack  <sno@netbsd.org>

    Fix __VA_ARGS__ use to make more like STDC.

    
  Hash: 62d22daee7d771313100f880e41f6006a61fe334
  Files affected:

    src/libstatgrab/error.h
    src/libstatgrab/trace.h

2013-06-02  Jens Rehsack  <sno@netbsd.org>

    Fix kinfo_proc related issues with OpenBSD 5.3.

    
  Hash: 8e819e1f5944b393d6eabde28b97f2f0655d0e56
  Files affected:

    configure.ac
    src/libstatgrab/process_stats.c

2013-06-01  Tim Bishop  <tim@bishnet.net>

    Update copyright year.

    
  Hash: 38a83a568825d2daba0b49bba5fe121b3267d15c
  Files affected:

    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/filesys_snapshot.c
    examples/helpers.c
    examples/helpers.h
    examples/load_stats.c
    examples/network_iface_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_snapshot.c
    examples/process_stats.c
    examples/user_list.c
    examples/valid_filesystems.c
    examples/vm_stats.c
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/error.h
    src/libstatgrab/globals.c
    src/libstatgrab/globals.h
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h.in
    src/libstatgrab/statgrab_deprecated.c
    src/libstatgrab/statgrab_deprecated.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/trace.h
    src/libstatgrab/user_stats.c
    src/libstatgrab/vector.c
    src/libstatgrab/vector.h
    src/saidar/saidar.c
    src/statgrab/statgrab-make-mrtg-config.in
    src/statgrab/statgrab-make-mrtg-index.in
    src/statgrab/statgrab.c
    tests/multi_threaded/multi_threaded_test.c
    tests/single_threaded/single_threaded_test.c
    tests/testlib/err.c
    tests/testlib/log.c
    tests/testlib/opt.c
    tests/testlib/routines.c
    tests/testlib/testlib.h

2013-05-31  Tim Bishop  <tim@bishnet.net>

    Manually pull the latest config.{guess,sub}.

    This is a temporary workaround.

  Hash: 85380029a6c690a6827b4379b837dde27dc66a95
  Files affected:

    autogen.sh

2013-05-31  Jens Rehsack  <sno@netbsd.org>

    Fix some Solaris crashes and linking issues.

    
  Hash: ca0fb5e4e46fa9aa21ca644b504838d579b8b05b
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.h

2013-05-31  Tim Bishop  <tim@bishnet.net>

    Use tty rather than username to group user stats.

    
  Hash: 94e49ba3f5adea6c30cd27e279abc4ebb894d75d
  Files affected:

    src/statgrab/statgrab.c

2013-05-31  Jens Rehsack  <sno@netbsd.org>

    Fix lifr used before initialized.

    (AIX network interface stats)

  Hash: 362e60afe0fa0487fd94665ea8e7588fe609368d
  Files affected:

    src/libstatgrab/network_stats.c

2013-05-31  Jens Rehsack  <sno@netbsd.org>

    Correct statgrab.c internal function prototypes.

    
  Hash: 291a2ea2e90290c1c43538e2bab8541193071b21
  Files affected:

    src/statgrab/statgrab.c

2013-05-31  Jens Rehsack  <sno@netbsd.org>

    Make sg_get_sys_page_size inline.

    This avoids possible warnings about unused function definitions.

  Hash: a6dc7502743476513fa6ac807e3780992544fd2c
  Files affected:

    src/libstatgrab/tools.h

2013-05-31  Jens Rehsack  <sno@netbsd.org>

    Prevent init errors on systems without vsnprintf.

    
  Hash: 1bb91ce5458c5dfa59cfa15cb523ae8f2fd9f995
  Files affected:

    src/libstatgrab/error.c

2013-05-31  Jens Rehsack  <sno@netbsd.org>

    Re-order header/function checks.

    
  Hash: 14bbd9a32802f39e47fe3aff9e876138d00e4770
  Files affected:

    configure.ac

2013-05-31  Tim Bishop  <tim@bishnet.net>

    Pull in <sys/param.h> before <sys/user.h>.

    On old FreeBSD (tested on 6), param.h is needed by user.h. Move the 
    order around accordingly. Will need to confirm this doesn't break other
    systems.

  Hash: a45cf7cfdc2bd74c6e05b65caefddd6572fbfefb
  Files affected:

    src/libstatgrab/tools.h

2013-05-31  Tim Bishop  <tim@bishnet.net>

    Add missing "test" to configure.ac.

    
  Hash: bf29196b88ca2ad65792712faf6c72979892ab3f
  Files affected:

    configure.ac

2013-05-30  Tim Bishop  <tim@bishnet.net>

    Fix typo.

    
  Hash: 80721fbd894c957724e0d8215052decce345ad37
  Files affected:

    src/statgrab/statgrab.c

2013-05-30  Tim Bishop  <tim@bishnet.net>

    Re-add user.num and user.names for compatibility.

    Libstatgrab no longer directly provides these statistics, so calculate 
    them within statgrab for compatibility with older versions.

  Hash: 750a51d9e306c29902ae8b1d0f73988cc4dec444
  Files affected:

    src/statgrab/statgrab.c

2013-05-30  Tim Bishop  <tim@bishnet.net>

    Add missing sg_prove_vector.3 manual page.

    
  Hash: 00739d27247ac0e788ddeb21c7748f7d71ca9f1a
  Files affected:

    docs/libstatgrab/Makefile.am

2013-05-30  Jens Rehsack  <sno@netbsd.org>

    Rework STDC header checks.

    
  Hash: e2f970594953ad62468fb1ddddbd6c966f9e0892
  Files affected:

    configure.ac
    src/libstatgrab/tools.h

2013-05-30  Jens Rehsack  <sno@netbsd.org>

    Ignore the DEVSTAT_TYPE_PASS flag.

    The device must have a type anyway.

  Hash: 707a657fc26c6ddc8ede04118ccda724d9dcc775
  Files affected:

    src/libstatgrab/disk_stats.c

2013-05-30  Jens Rehsack  <sno@netbsd.org>

    Add .gitignore file.

    
  Hash: 73730eea49fa87571a4786ebeb5278718780b09b
  Files affected:

    .gitignore

2013-05-30  Jens Rehsack  <sno@netbsd.org>

    Check for termios.h headers for saidar only.

    
  Hash: 5176533a6dc4daa7d1539e4b3f9f119c287fb7b5
  Files affected:

    configure.ac

2013-05-29  Tim Bishop  <tim@bishnet.net>

    Check for termios.h and sys/termios.h headers.

    
  Hash: e46534ac32659cd0ce005f780ffc232f13d696c9
  Files affected:

    configure.ac
    src/saidar/saidar.c

2013-05-29  Tim Bishop  <tim@bishnet.net>

    Put the correct date in manual pages.

    
  Hash: 7700a7ff3fa35cdfd10f01c97a6815ec03cb825c
  Files affected:

    docs/libstatgrab/Makefile.am
    docs/libstatgrab/sg_comp_init.xml
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/libstatgrab/sg_get_error.xml
    docs/libstatgrab/sg_get_fs_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/sg_get_user_stats.xml
    docs/libstatgrab/sg_init.xml
    docs/libstatgrab/sg_internal-intro.xml
    docs/libstatgrab/sg_intro.xml
    docs/libstatgrab/sg_lock_mutex.xml
    docs/libstatgrab/sg_set_error.xml
    docs/libstatgrab/sg_vector_create.xml
    docs/libstatgrab/statgrab.xml
    docs/saidar/Makefile.am
    docs/saidar/saidar.xml
    docs/statgrab/Makefile.am
    docs/statgrab/statgrab-make-mrtg-config.xml
    docs/statgrab/statgrab-make-mrtg-index.xml
    docs/statgrab/statgrab.xml

2013-05-29  Tim Bishop  <tim@bishnet.net>

    Various cleanups and corrections of manual pages.

    
  Hash: 1f9318031b10d32f986f999bc42c36335b873add
  Files affected:

    docs/libstatgrab/sg_comp_init.xml
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/libstatgrab/sg_get_error.xml
    docs/libstatgrab/sg_get_fs_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/sg_get_user_stats.xml
    docs/libstatgrab/sg_init.xml
    docs/libstatgrab/sg_internal-intro.xml
    docs/libstatgrab/sg_intro.xml
    docs/libstatgrab/sg_lock_mutex.xml
    docs/libstatgrab/sg_set_error.xml
    docs/libstatgrab/sg_vector_create.xml
    docs/libstatgrab/statgrab.xml

2013-05-29  Tim Bishop  <tim@bishnet.net>

    Looks like sys/timeb.h isn't used.

    
  Hash: fb43acc5acd0a1321500f0f3c10a9618f9e78ffd
  Files affected:

    configure.ac
    src/libstatgrab/tools.h

2013-05-29  Tim Bishop  <tim@bishnet.net>

    Add testlib.h header to dist.

    
  Hash: 4a40b47526affa359eec06a612bbd47d2fcda7b5
  Files affected:

    tests/testlib/Makefile.am

2013-05-29  Jens Rehsack  <sno@netbsd.org>

    Reintroduce -Werror automake flag.

    
  Hash: ea31edff4150dcbe0026e6d12cae521fda056ffe
  Files affected:

    configure.ac

2013-05-29  Jens Rehsack  <sno@netbsd.org>

    Rename ACX_* macros into AX_*, and remove gettext.

    
  Hash: 80b8621a3c46a67ec4f685b2973afbd671768a50
  Files affected:

    Makefile.am
    configure.ac
    m4/ax_lib.m4
    m4/ax_perl5.m4
    m4/ax_pthread.m4
    m4/ax_shellvars.m4
    m4/ax_visibility.m4
    m4/ax_win32.m4
    m4/ax_xopen.m4

2013-05-29  Jens Rehsack  <sno@netbsd.org>

    Renaming acx_*.m4 to ax_*.m4.

    
  Hash: 242afbfabbe9705f0884f53d9a755ff870a57954
  Files affected:

    m4/acx_lib.m4
    m4/acx_ncurses.m4
    m4/acx_perl5.m4
    m4/acx_pthread.m4
    m4/acx_visibility.m4
    m4/acx_win32.m4
    m4/acx_xopen.m4
    m4/ax_lib.m4
    m4/ax_ncurses.m4
    m4/ax_perl5.m4
    m4/ax_pthread.m4
    m4/ax_visibility.m4
    m4/ax_win32.m4
    m4/ax_xopen.m4

2013-05-29  Jens Rehsack  <sno@netbsd.org>

    Rename run_tests.pl.in to run_tests.t.in.

    
  Hash: 469bf91017701eaad9e23aeae675bf2d044dc404
  Files affected:

    tests/multi_threaded/Makefile.am
    tests/single_threaded/Makefile.am

2013-05-29  Jens Rehsack  <sno@netbsd.org>

    Remove -Werror until the gettext stuff is fixed.

    'warning: The 'AM_PROG_MKDIR_P' macro is deprecated, and will soon be
    removed.'

  Hash: 3a45027381651b4014b4c819ff19b863b395841a
  Files affected:

    configure.ac

2013-05-29  Jens Rehsack  <sno@netbsd.org>

    Enforce building manual pages for maintainers.

    
  Hash: a7698f998f30037d30aedde6f8dab13004c58693
  Files affected:

    configure.ac

2013-05-29  Tim Bishop  <tim@bishnet.net>

    Update configure.ac with changes from autoupdate.

    
  Hash: b4c776755c07482d33a9b91de75fce558b9ecf4a
  Files affected:

    configure.ac

2013-05-28  Tim Bishop  <tim@bishnet.net>

    Generate a ChangeLog file from the Git history.

    This is a first attempt at producing something. I wanted to do it 
    without relying on an external tool since there doesn't seem to be a 
    readily packaged one (like cvs2cl). This output looks near enough to the
    proper ChangeLog format to suffice.

  Hash: 1653929187b49d75307a9c1e404c8fd595472d9d
  Files affected:

    Makefile.am

2013-05-28  Tim Bishop  <tim@bishnet.net>

    Fix configure script.

    
  Hash: f1b22372603e730f23d1205f902f3e23107c4628
  Files affected:

    configure.ac

2013-05-28  Tim Bishop  <tim@bishnet.net>

    autoreconf does the job of all these tools now.

    autogen.sh can probably be removed, but it serves as a good reminder as
    to which command needs to be run.

  Hash: 26e1447f837c33c3e19d0d87a896f645b2136959
  Files affected:

    autogen.sh

2013-05-28  Jens Rehsack  <sno@netbsd.org>

    Eliminate some autoconf/automake warnings.

    
  Hash: e5bb7f73636e63ba788a6667b259c14a73d18a31
  Files affected:

    configure.ac
    m4/acx_lib.m4
    m4/acx_visibility.m4
    m4/acx_xopen.m4

2013-05-28  Jens Rehsack  <sno@netbsd.org>

    Rename configure.in to configure.ac.

    
  Hash: 8a370152e8af4189aff784add61cf5427211c966
  Files affected:

    configure.ac
    configure.in

2012-04-23  Jens Rehsack  <sno@netbsd.org>

    Adding disabled gettextize/autopoint.

    
  Hash: 798d242476d4543ad0830ea051b8ab30f522d15d
  Files affected:

    Makefile.am
    autogen.sh
    configure.in

2012-02-06  Jens Rehsack  <sno@netbsd.org>

    Fix compiler error.

    Fix empty va_list argument preparation for newer GNU compilers.

  Hash: f1dca0bf013b10744e232beb5a8521883ad23c24
  Files affected:

    src/libstatgrab/error.c

2012-02-04  Tim Bishop  <tim@bishnet.net>

    Must tell aclocal where our m4 files are.

    
  Hash: fdc535ff239b9cf50c729053b96178629b16a534
  Files affected:

    autogen.sh

2012-02-04  Tim Bishop  <tim@bishnet.net>

    These aren't needed.

    
  Hash: c0253c01ead200758a187f58c2a9c0424e0fd024
  Files affected:

    m4/lib-ld.m4
    m4/lib-link.m4
    m4/lib-prefix.m4
    m4/libtool.m4
    m4/ltoptions.m4
    m4/ltsugar.m4
    m4/ltversion.m4
    m4/lt~obsolete.m4

2012-01-16  Tim Bishop  <tim@bishnet.net>

    Add note to fix ChangeLog generation.

    
  Hash: 62b4d861fea336f7c738361f86e0b257e3a5d044
  Files affected:

    Makefile.am

2012-01-16  Tim Bishop  <tim@bishnet.net>

    Whitespace cleanups.

    Mostly using tabs instead of spaces to ident code, but also removing 
    some trailing whitespace from lines.

  Hash: 9f21cf9f00d7d74d6aed53a80fabf30dd5e2ef20
  Files affected:

    configure.in
    docs/libstatgrab/Makefile.am
    docs/libstatgrab/sg_comp_init.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/helpers.c
    examples/network_traffic.c
    examples/os_info.c
    examples/process_snapshot.c
    examples/process_stats.c
    examples/valid_filesystems.c
    examples/vm_stats.c
    m4/lt~obsolete.m4
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/globals.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h.in
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/user_stats.c
    src/libstatgrab/win32.c
    src/saidar/Makefile.am
    src/saidar/saidar.c
    src/statgrab/Makefile.am
    src/statgrab/statgrab.c
    tests/multi_threaded/multi_threaded_test.c
    tests/single_threaded/single_threaded_test.c
    tests/testlib/err.c
    tests/testlib/mix_tests.pm
    tests/testlib/routines.c
    tests/testlib/run_tests.pm
    tests/testlib/run_tests.t.in

2012-01-16  Tim Bishop  <tim@bishnet.net>

    Reapply support for FreeBSD 10.

    This was introduced originally in commit 
    e655fcededb9b4040a8716b24ad8bc2155e31444 but got reverted in the mega 
    patch.

  Hash: 2217954cd1baae4b9c0d85569d99ffa9d57e0a36
  Files affected:

    configure.in

2012-01-15  Jens Rehsack  <sno@netbsd.org>

    Merge Jens Rehsack's changes.

    * thread safety and reentrant functions
    * complete ports for HP-UX
    * add support for AIX and Darwin/MacOS X
    * add experimental support for tracing using log4cplus
    * remove explicit Linux 2.4 support
    * improve documentation
    * add basic test capabilities

    Thanks Jens!

  Hash: 63d61ad0541b1a3d88c011ea3e4f50a4bf3089c9
  Files affected:

    AUTHORS
    Makefile.am
    NEWS
    PLATFORMS
    README
    acinclude.m4
    configure.in
    docs/libstatgrab/Makefile.am
    docs/libstatgrab/sg_comp_init.xml
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/libstatgrab/sg_get_error.xml
    docs/libstatgrab/sg_get_fs_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/sg_get_user_stats.xml
    docs/libstatgrab/sg_init.xml
    docs/libstatgrab/sg_internal-intro.xml
    docs/libstatgrab/sg_intro.xml
    docs/libstatgrab/sg_lock_mutex.xml
    docs/libstatgrab/sg_set_error.xml
    docs/libstatgrab/sg_vector_create.xml
    docs/libstatgrab/statgrab.xml
    docs/saidar/Makefile.am
    docs/statgrab/Makefile.am
    examples/Makefile.am
    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/filesys_snapshot.c
    examples/helpers.c
    examples/helpers.h
    examples/load_stats.c
    examples/network_iface_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_snapshot.c
    examples/process_stats.c
    examples/user_list.c
    examples/valid_filesystems.c
    examples/vm_stats.c
    libstatgrab-examples.properties
    m4/acx_lib.m4
    m4/acx_ncurses.m4
    m4/acx_perl5.m4
    m4/acx_pthread.m4
    m4/acx_visibility.m4
    m4/acx_win32.m4
    m4/acx_xopen.m4
    m4/lib-ld.m4
    m4/lib-link.m4
    m4/lib-prefix.m4
    m4/libtool.m4
    m4/ltoptions.m4
    m4/ltsugar.m4
    m4/ltversion.m4
    m4/lt~obsolete.m4
    src/libstatgrab/Makefile.am
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/error.h
    src/libstatgrab/globals.c
    src/libstatgrab/globals.h
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/statgrab.h.in
    src/libstatgrab/statgrab_deprecated.c
    src/libstatgrab/statgrab_deprecated.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/trace.h
    src/libstatgrab/user_stats.c
    src/libstatgrab/vector.c
    src/libstatgrab/vector.h
    src/libstatgrab/win32.c
    src/libstatgrab/win32.h
    src/saidar/Makefile.am
    src/saidar/saidar.c
    src/statgrab/Makefile.am
    src/statgrab/statgrab-make-mrtg-config.in
    src/statgrab/statgrab-make-mrtg-index.in
    src/statgrab/statgrab.c
    tests/Makefile.am
    tests/multi_threaded/Makefile.am
    tests/multi_threaded/libstatgrab-test.properties
    tests/multi_threaded/multi_threaded_test.c
    tests/multi_threaded/run_tests.synopsis.in
    tests/single_threaded/Makefile.am
    tests/single_threaded/libstatgrab-test.properties
    tests/single_threaded/run_tests.synopsis.in
    tests/single_threaded/single_threaded_test.c
    tests/testlib/Makefile.am
    tests/testlib/err.c
    tests/testlib/log.c
    tests/testlib/mix_tests.pm
    tests/testlib/mk_run_tests.pl
    tests/testlib/opt.c
    tests/testlib/routines.c
    tests/testlib/run_tests.pm
    tests/testlib/run_tests.t.in
    tests/testlib/testlib.h

2011-11-11  Tim Bishop  <tim@bishnet.net>

    Add support for FreeBSD 10.

    
  Hash: e655fcededb9b4040a8716b24ad8bc2155e31444
  Files affected:

    configure.in

2011-10-16  Tim Bishop  <tim@bishnet.net>

    Fix typo.

    
  Hash: ab8d8b14d188de58f542e80422019ff46f51aea4
  Files affected:

    docs/saidar/saidar.xml

2010-10-03  Tim Bishop  <tim@bishnet.net>

    Add support for AIX 5.x - 9.x.

    Many thanks to Jens Rehsack <rehsack@googlemail.com> for providing the 
    patch for this work. Thanks!

  Hash: 86cfdc1b2d0f0ed6e3671997673bc7f58a1484aa
  Files affected:

    configure.in
    examples/Makefile.am
    examples/filesys_snapshot.c
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/saidar/saidar.c
    src/statgrab/statgrab.c

2010-06-09  Tim Bishop  <tim@bishnet.net>

    Add support for preliminary support for Debian GNU/kFreeBSD.

    Currently process statistics are broken, but everything else works.

    The following packages are needed: libkvm-dev libdevstat-dev
    (plus the usual build stuff required on Debian)

  Hash: 4997e2fdd9574258349f016b1d57cea5edaa180e
  Files affected:

    configure.in

2010-06-09  Tim Bishop  <tim@bishnet.net>

    Fix link speed on FreeBSD (and others?). Rather than using our own mask
    make use of the system macro to do it for us. Test on FreeBSD, but a
    look at if_media.h on the other BSDs suggests it'll work there too.

    
  Hash: 274e5fb4e7f59da243ae6d3b6c401eae555bf640
  Files affected:

    src/libstatgrab/network_stats.c

2010-02-21  Tim Bishop  <tim@bishnet.net>

    Add FreeBSD memory fix and correctly attribute other changes.

    
  Hash: 18979ed35c80c08da8dcfcf73f9f2e1f6ba1d6f1
  Files affected:

    NEWS

2010-02-21  Tim Bishop  <tim@bishnet.net>

    Support larger amounts of memory on FreeBSD.

    
  Hash: 6916ad736e417ea0213ed7b0606df3590dd12a73
  Files affected:

    src/libstatgrab/memory_stats.c

2010-02-20  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: 23867fd5271d2d6d1e95d63e02b6955c915d34af
  Files affected:

    configure.in

2010-02-20  Tim Bishop  <tim@bishnet.net>

    Bump library version and NEWS for next release.

    
  Hash: fbc7d1295f91ebce93ca5d4eed7beb85373fe9f4
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2010-02-20  Tim Bishop  <tim@bishnet.net>

    Support FreeBSD 9.

    
  Hash: 1dba0b7e3f4f8d4fee018714e6b21ae0236fbe72
  Files affected:

    configure.in

2010-02-20  Tim Bishop  <tim@bishnet.net>

    Support utmpx in user_stats as well as utmp.

    
  Hash: acbee191f83f95464ecfd7162889f717ffdf2c04
  Files affected:

    configure.in
    src/libstatgrab/user_stats.c

2009-12-04  Tim Bishop  <tim@bishnet.net>

    Make list of valid filesystem types dynamic on FreeBSD. Based on patch
    by Baptiste Daroussin.

    
  Hash: 4fb6be65cbd2e1dae174e796f67fd9ac0f171128
  Files affected:

    src/libstatgrab/disk_stats.c

2009-05-16  Tim Bishop  <tim@bishnet.net>

    FreeBSD has zfs these days.

    
  Hash: 41003587516bb24df54e6048e691ac6876d6b0e0
  Files affected:

    src/libstatgrab/disk_stats.c

2008-08-03  Tim Bishop  <tim@bishnet.net>

    Add zfs to allowed FSs on Solaris.

    
  Hash: b0da138dceee4e8cb6dbb68b37205bcf9a5f737a
  Files affected:

    src/libstatgrab/disk_stats.c

2008-06-17  Tim Bishop  <tim@bishnet.net>

    Linux version 2.5.41 or later provides iowait data in /proc/stat. Use it
    if it's available.

    
  Hash: 0a7c9de4ac5e715921b8c384b5f9ff3ec91dc438
  Files affected:

    src/libstatgrab/cpu_stats.c

2008-05-24  Adam Sampson  <ats@offog.org>

    Avoid a GNU-make-ism in the docs.

    
  Hash: 4c03ad2cd9c5934ae7e2bf41f567115b7fb2cd6a
  Files affected:

    docs/libstatgrab/Makefile.am
    docs/saidar/Makefile.am
    docs/statgrab/Makefile.am

2008-05-24  Adam Sampson  <ats@offog.org>

    Disable autoconf maintainer mode -- it's less broken in modern autoconf,
    so it's useful now.

    
  Hash: 71bc57980c403f4645fc46d1554d1184976811c0
  Files affected:

    configure.in

2008-03-17  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: fa68b2785208dc326ee8ccc4257a44aef9e86ac4
  Files affected:

    configure.in

2008-03-13  Tim Bishop  <tim@bishnet.net>

    Add NEWS entry for 0.16 release.

    
  Hash: cbdb7602b13bc13dbac8898bb861ef3ed5c74c3e
  Files affected:

    NEWS

2008-03-13  Tim Bishop  <tim@bishnet.net>

    Fix mrtg config generation on machines with no swap.

    Patch by: Tom Carlson

  Hash: acc7cc59339d0f02964a9d8b7d8a4fc84b3ac4a9
  Files affected:

    src/statgrab/statgrab-make-mrtg-config.in

2008-02-16  Tim Bishop  <tim@bishnet.net>

    saidar uses fabs which requires libm.

    
  Hash: 9665c26af5eae1f350ed3fd20312d2ebbdc5fb71
  Files affected:

    configure.in

2007-11-06  Tim Bishop  <tim@bishnet.net>

    Some GNU/Linux builds have a slightly different name, like
    linux-gnueabi. See Debian bug Bug#449586 for details.

    
  Hash: cc06585292b53174195e2092810cd7f32de45530
  Files affected:

    configure.in

2007-10-21  Tim Bishop  <tim@bishnet.net>

    FreeBSD's main development line is now at 8.

    
  Hash: dbc86028d0c0c069e6b10f7ab39b54bc9de9c55d
  Files affected:

    configure.in

2007-07-13  Tim Bishop  <tim@bishnet.net>

    Post-release version increment.

    
  Hash: c39b975fc2758e8be817a52d68245b355e6eb356
  Files affected:

    configure.in

2007-07-13  Tim Bishop  <tim@bishnet.net>

    Bump library revision for 0.15 release.

    
  Hash: 20c984e4b971003d9da5f5a7b8d63977a975c8f7
  Files affected:

    src/libstatgrab/Makefile.am

2007-07-13  Tim Bishop  <tim@bishnet.net>

    Update for 0.15 release.

    
  Hash: 6d12a57307a3549ecdee7196d664669c391fd654
  Files affected:

    NEWS

2007-07-05  Tim Bishop  <tim@bishnet.net>

    Last argument to sysctl is an integer not a pointer. It should be set to
    0 if the preceding argument is NULL.

    
  Hash: 00521c6c21905cfe757a92080b7422b7488c1575
  Files affected:

    src/libstatgrab/swap_stats.c

2007-06-18  Tim Bishop  <tim@bishnet.net>

    Update strlcat and strlcpy to latest OpenBSD versions. Remove last
    references to strcat and strcpy.

    Patch submitted by:	David Love <david@homeunix.org.uk>

  Hash: f8c0258b021909da257ad68068f2e8fb5446e8a1
  Files affected:

    src/libstatgrab/tools.c

2007-06-18  Tim Bishop  <tim@bishnet.net>

    Fix memory stats on OpenBSD - they were returning results in the wrong
    units.

    Patch submitted by:	David Love <david@homeunix.org.uk>

  Hash: fa3d92ab9c0bc06604347347aa98e6c7672368ad
  Files affected:

    src/libstatgrab/memory_stats.c

2007-01-06  Tim Bishop  <tim@bishnet.net>

    Fix bug in curses detection - LIBS was not properly reset. Also remove
    to redundant variable declarations.

    
  Hash: ced3ff7f2179f52c6a2cbb745039258d4aa339a8
  Files affected:

    acinclude.m4

2007-01-05  Tim Bishop  <tim@bishnet.net>

    Post-release version increment.

    
  Hash: 27f7e972a9975658b0774762a4e0b457a8ebac7b
  Files affected:

    configure.in

2007-01-05  Tim Bishop  <tim@bishnet.net>

    Add note about saidar bugfix, and set a release date.

    
  Hash: e9c69f732ae42ed1b1ab2369229934e05918526b
  Files affected:

    NEWS

2007-01-05  Tim Bishop  <tim@bishnet.net>

    Fix problem with saidar crashing when window is rapidly resized. Done by
    moving the code out of the signal handler and in to the main loop, and
    just having a global flag set by the signal handler.

    
  Hash: 3846294c0993c7242ee45eed5a491aa317d545ce
  Files affected:

    src/saidar/saidar.c

2006-12-17  Tim Bishop  <tim@bishnet.net>

    Hide cursor when possible.

    
  Hash: 3db666d188ed36303c00845c280fca8ac88392f3
  Files affected:

    src/saidar/saidar.c

2006-12-01  Tim Bishop  <tim@bishnet.net>

    Sort out curses detection. It'll now detect ncurses before curses, and
    cope with the header files being in include or include/ncurses. I think
    this will work in every case.

    
  Hash: 56763996e104e45db64d980bfddc985813cf09e7
  Files affected:

    NEWS
    acinclude.m4
    configure.in
    src/saidar/saidar.c

2006-12-01  Tim Bishop  <tim@bishnet.net>

    Colour is only supported if ncurses is being used.

    
  Hash: 4703501c2a3ccacdb37d6b3d3443cc3723854f5f
  Files affected:

    src/saidar/saidar.c

2006-12-01  Tim Bishop  <tim@bishnet.net>

    Standout doesn't work on all displays, so use bold too.

    
  Hash: 2da1bf6d5735d403834f3f7af0f29e874f196aae
  Files affected:

    src/saidar/saidar.c

2006-12-01  Tim Bishop  <tim@bishnet.net>

    Bump library version for 0.14.

    
  Hash: b10b439ed5957e4882879905d9ace0e8241174ac
  Files affected:

    src/libstatgrab/Makefile.am

2006-12-01  Tim Bishop  <tim@bishnet.net>

    Provisional NEWS entry.

    
  Hash: 7ef91a387788befcdb40e29b248133f2a364d1b9
  Files affected:

    NEWS

2006-11-30  Tim Bishop  <tim@bishnet.net>

    Add support for coloured fields in saidar. Optionally enabled by using
    the new -c flag. Manpage updated with details.

    Mostly taken from a patch supplied by Angelina Carlton
    <debian@magma.ca>, but I made minor changes to layout and function.

  Hash: c393156b674f0ad26c30345552bd36d828a9796e
  Files affected:

    docs/saidar/saidar.xml
    src/saidar/saidar.c

2006-11-30  Tim Bishop  <tim@bishnet.net>

    Whitespace cleanup.

    
  Hash: fcc1eafc7fbe0c390721c7e910248faf4d1a4c92
  Files affected:

    src/saidar/saidar.c

2006-10-30  Tim Bishop  <tim@bishnet.net>

    Fix compile problem in last commit.

    
  Hash: c8baa874c8cf01dc21ccd440b43d9fd1ef8231d4
  Files affected:

    src/libstatgrab/memory_stats.c

2006-10-29  Tim Bishop  <tim@bishnet.net>

    Fix memory stats on OpenBSD. Currently untested.

    Submitted by: bsd@openbsd.rutgers.edu

  Hash: 6b55a52d2e108e15f26dd16ec2dcf87925221e09
  Files affected:

    src/libstatgrab/memory_stats.c

2006-10-09  Tim Bishop  <tim@bishnet.net>

    When checking the interface up status check the link status as well.

    Suggested by: "Vassallo, Michelangelo (Michelangelo)"
    <vassallo@lucent.com>

  Hash: 49bc607420d5ace0c49155c32c43b74224ab839f
  Files affected:

    src/libstatgrab/network_stats.c

2006-10-09  Tim Bishop  <tim@bishnet.net>

    Move reading the interface name to earlier in the function. This fixes
    problems for us on a host with slightly peculiar interfaces.

    
  Hash: 1eaec37b6a964847045de5d1541858fac6ac65a1
  Files affected:

    src/libstatgrab/network_stats.c

2006-10-09  Tim Bishop  <tim@bishnet.net>

    Fix process time_spent on Linux.

    Spotted by: Fred Barnes

  Hash: 69f57af1b3b38fc6c2128a0ab9268adbce59b60f
  Files affected:

    src/libstatgrab/process_stats.c

2006-10-09  Tim Bishop  <tim@bishnet.net>

    Make sure we always close kstat.

    Spotted by: "Javier Donaire" <jyuyu@fraguel.org> (in load_stats.c)

  Hash: 5d1fbcf20eb4537b84505025e76472931a0ca326
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/tools.c

2006-10-09  Tim Bishop  <tim@bishnet.net>

    Attempt to fix cpu stats on solaris. It seems iowait covers all the
    various types of wait, including IO and swap. So instead we do: 
    iowait = cs.cpu_sysinfo.wait[W_IO] + cs.cpu_sysinfo.wait[W_PIO] 	swap
    = cs.cpu_sysinfo.wait[W_SWAP]

    I'm also not sure if cs.cpu_sysinfo.cpu[CPU_STATES] means anything.

  Hash: caf475b759fc2f77b13b6054d1cbb26c8ac9fd56
  Files affected:

    src/libstatgrab/cpu_stats.c

2006-04-24  Tim Bishop  <tim@bishnet.net>

    Allow to build on NetBSD 3.

    Submitted by:	Wijnand Wiersma <wijnand@nedbsd.nl>

  Hash: da4bc9dcf6ac7ff8cc725646bc59b31ad636be54
  Files affected:

    configure.in

2006-03-18  Tim Bishop  <tim@bishnet.net>

    Post-release version increment.

    
  Hash: 1aea7eea8b052ee67903dd9b605bc05e71ca8bbd
  Files affected:

    configure.in

2006-03-18  Tim Bishop  <tim@bishnet.net>

    Modify shared library version appropriately, I think.

    
  Hash: 82eecd0c49e2e8bd863a446f5bc498959c5226f9
  Files affected:

    src/libstatgrab/Makefile.am

2006-03-17  Tim Bishop  <tim@bishnet.net>

    Add latest changes to NEWS file.

    
  Hash: 4947f926fa33b8ba45c4d7437e63fae8c9b6c2a1
  Files affected:

    NEWS

2006-03-17  Adam Sampson  <ats@offog.org>

    Have nfs be a legal filesystem type on all platforms.

    
  Hash: 1e75ba6211ef53f718ea24524bfb6264ab3c4dbe
  Files affected:

    src/libstatgrab/disk_stats.c

2006-03-17  Adam Sampson  <ats@offog.org>

    Replace both spaces and dots with underscores in name components, so
    that filesystem paths containing dots work correctly.

    
  Hash: 9313f652715f1ac81865f8675439702d17902025
  Files affected:

    src/statgrab/statgrab.c

2006-03-11  Tim Bishop  <tim@bishnet.net>

    Provisional NEWS entry.

    
  Hash: 1103d2f073b698494663eab3b18ab72ff07ee543
  Files affected:

    NEWS

2006-03-11  Tim Bishop  <tim@bishnet.net>

    Nasty hack to make inclusion in C++ code easier. We seem to be getting
    regular reports of problems with C++, and this should fix them.

    
  Hash: 51cad204927960e713805f783ebb83599c24f4a9
  Files affected:

    src/libstatgrab/statgrab.h

2006-03-02  Tim Bishop  <tim@bishnet.net>

    Add AM_MAINTAINER_MODE.

    
  Hash: f485674dfe14e371530b2b2d0263603860e9360e
  Files affected:

    configure.in

2006-02-18  Tim Bishop  <tim@bishnet.net>

    Apply fix to Win32 code.

    Patch by:	"Tim Teulings" <rael@edge.ping.de>

  Hash: dd346e384a93d5c445d4078579889b15f30527d9
  Files affected:

    src/libstatgrab/win32.c

2006-01-22  Tim Bishop  <tim@bishnet.net>

    Fix bug on Solaris; network interfaces always seem to be up.

    Reported by:    joanmoraleda@ono.com

  Hash: 8f78fa32eaa755caa32631671757f5f8ce937253
  Files affected:

    src/libstatgrab/network_stats.c

2005-11-11  Tim Bishop  <tim@bishnet.net>

    If configure options used not to install tools then don't install
    manpages for them either. Noticed by looking at NetBSD pkg :-)

    
  Hash: 5fa54041fd8d2f1e67a3f905f5b0637d319698c4
  Files affected:

    docs/saidar/Makefile.am
    docs/statgrab/Makefile.am

2005-09-24  Tim Bishop  <tim@bishnet.net>

    Add WIN32 support via MINGW. We'll need to add stuff to the README file
    about what this requires to build.

    All the hard work done by: skel

  Hash: ff401956bc615edea6e1fb1e222edaf99a88c4b7
  Files affected:

    configure.in
    examples/cpu_usage.c
    src/libstatgrab/Makefile.am
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c
    src/libstatgrab/win32.c
    src/libstatgrab/win32.h
    src/statgrab/statgrab.c

2005-09-07  Tim Bishop  <tim@bishnet.net>

    Simple hack to truncate disk/interface/mount names to fit in to the
    field. Before this they just overwrote stuff and it got messy.

    Hardly an elegant fix, btw ;)

  Hash: ad97997f6ae1fc6396579641c63731b4ce550ec7
  Files affected:

    src/saidar/saidar.c

2005-07-30  Adam Sampson  <ats@offog.org>

    Use <asm/types.h> to define __u32 etc., and always define u32 etc.
    because the Debian 2.6.0-test9 headers still use them in ethtool.h.

    
  Hash: 0075a5a83881a42d51ee2e3e331245eb41ad1404
  Files affected:

    src/libstatgrab/network_stats.c

2005-07-30  Tim Bishop  <tim@bishnet.net>

    Post-release version increment.

    
  Hash: 4d71e2f2b695d66ef7cd604d0dd8546bb5e5bcdd
  Files affected:

    configure.in

2005-07-30  Tim Bishop  <tim@bishnet.net>

    Put in the date for the 0.12 release.

    
  Hash: 8b9ab433a2768d4b96a87dc9c1600f45f2a5ffe9
  Files affected:

    NEWS

2005-07-18  Adam Sampson  <ats@offog.org>

    Fix a typo.

    
  Hash: b43a7ba231d89407a42a1cb86c1a889ee67b315e
  Files affected:

    NEWS

2005-07-18  Tim Bishop  <tim@bishnet.net>

    Prepare for 0.12 release.

    
  Hash: d1611f47eda23b8508f24319486ccb52959270fb
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2005-07-13  Tim Bishop  <tim@bishnet.net>

    Add support for FreeBSD 7 (which is exactly like 6 at the moment, so
    it's bound to work :)

    
  Hash: 0699772b770027ed966e90412445b745d3c61a83
  Files affected:

    configure.in

2005-07-13  Tim Bishop  <tim@bishnet.net>

    Add more fs stats.

    Patches provided by: Roman Neuhauser

  Hash: 4bd3cbc12c90f125fbee40314c5f7ff7de54a940
  Files affected:

    docs/libstatgrab/sg_get_fs_stats.xml
    src/libstatgrab/disk_stats.c
    src/libstatgrab/statgrab.h
    src/statgrab/statgrab.c

2005-07-13  Tim Bishop  <tim@bishnet.net>

    Change the name of the duplex value from "dup" to "duplex". This will
    break the ABI, but we're changing the fs stats anyway. The API change is
    minimal, so hopefully won't affect too many people.

    
  Hash: 3d3cf605620c27a64f06a4406f09e0c07ddb7824
  Files affected:

    docs/libstatgrab/sg_get_network_iface_stats.xml
    examples/network_iface_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/statgrab.h
    src/statgrab/statgrab.c

2005-04-26  Tim Bishop  <tim@bishnet.net>

    Bit more detail about saidar.

    
  Hash: 42024c1b8b4607ef8f39a829e496b4929e9e8330
  Files affected:

    docs/saidar/saidar.xml

2005-04-25  Tim Bishop  <tim@bishnet.net>

    Apply patch from Scott Lampert to make the network ethtool bits compile
    on Linux 2.6.

    
  Hash: 774c1cd98c2e2788a72b3c8581c4891e40d2cc8b
  Files affected:

    src/libstatgrab/network_stats.c

2005-04-25  Tim Bishop  <tim@bishnet.net>

    Add manpages for the various tools.

    
  Hash: e2de012878943d398ce2ea29cfd01508411ee89a
  Files affected:

    configure.in
    docs/Makefile.am
    docs/libstatgrab/Makefile.am
    docs/saidar/Makefile.am
    docs/saidar/saidar.xml
    docs/statgrab/Makefile.am
    docs/statgrab/statgrab-make-mrtg-config.xml
    docs/statgrab/statgrab-make-mrtg-index.xml
    docs/statgrab/statgrab.xml

2005-04-25  Tim Bishop  <tim@bishnet.net>

    Fix consistency problem in usage output.

    
  Hash: 71ace6085b9cf459d158bfb0bec5de765b34e404
  Files affected:

    src/statgrab/statgrab.c

2005-04-25  Tim Bishop  <tim@bishnet.net>

    Move by repocopy the libstatgrab docs in to a subdirectory. This is so I
    can create separate directories for statgrab/saidar docs.

    
  Hash: 545afc1a9367712df24138844089c8410ba6ba47
  Files affected:

    docs/sg_get_cpu_stats.xml
    docs/sg_get_disk_io_stats.xml
    docs/sg_get_fs_stats.xml
    docs/sg_get_host_info.xml
    docs/sg_get_load_stats.xml
    docs/sg_get_mem_stats.xml
    docs/sg_get_network_iface_stats.xml
    docs/sg_get_network_io_stats.xml
    docs/sg_get_page_stats.xml
    docs/sg_get_process_stats.xml
    docs/sg_get_user_stats.xml
    docs/statgrab.xml

2005-04-25  Tim Bishop  <tim@bishnet.net>

    Nuke sgps - Pete's decided it's actually rather pointless as it doesn't
    offer anything that other ps programs don't.

    
  Hash: 974258b83900952613c73ca5116a739d97bcc496
  Files affected:

    configure.in
    src/Makefile.am
    src/sgps/Makefile.am
    src/sgps/sgps.c

2005-04-25  Tim Bishop  <tim@bishnet.net>

    Update list of platforms - we've tested on Solaris 10.

    
  Hash: e0c4104a0676143a11ad537c0fa51ef2001f014a
  Files affected:

    PLATFORMS

2005-04-13  Adam Sampson  <ats@offog.org>

    Rework Linux partition detection to detect devices called "c0d0" (etc.)
    and not assume they're partitions -- the DAC* and Compaq RAID devices do
    this.

    
  Hash: 7eb74cf671ba032f9fb785acccb2f11be66cf72c
  Files affected:

    src/libstatgrab/disk_stats.c

2005-04-07  Peter Saunders  <pajs@i-scream.org>

    Added support for user and added usage. Also made headers go on stderr,
    so if going thru some parsing script, it doesn't need to strip off the
    first line.

    
  Hash: ea7821dff425a2974969cc226519344859c8c44f
  Files affected:

    src/sgps/sgps.c

2005-04-04  Tim Bishop  <tim@bishnet.net>

    Add build bits for sgps.

    
  Hash: 0ccbed2414d865ce0355304536b125ccad0832fe
  Files affected:

    configure.in
    src/Makefile.am
    src/sgps/Makefile.am

2005-04-04  Peter Saunders  <pajs@i-scream.org>

    Initial version. Only compiled on solaris - but seems to work.

    Makes use of efA flags, and also a 'o' flag for sorting..

    ps -o cpu ps -o mem

    will sort by that type.

    Need to do the -n flag still (not look up names - although, is there 
    much point to that?)

  Hash: 19bd2f09d13a321fa83d7a2b1b24eca50b345022
  Files affected:

    src/sgps/sgps.c

2005-03-01  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: ccc08f554af0acf670aeeb6661b00f9dde6e6f06
  Files affected:

    configure.in

2005-03-01  Tim Bishop  <tim@bishnet.net>

    Update for new release.

    
  Hash: 5622e1c439d11174786a0dd685e9774accd94334
  Files affected:

    src/libstatgrab/Makefile.am

2005-03-01  Tim Bishop  <tim@bishnet.net>

    Prepare NEWS for new release.

    
  Hash: 751ecc0e8bcefa894d046f60aee8cfe4cf3c38f6
  Files affected:

    NEWS

2005-02-24  Tim Bishop  <tim@bishnet.net>

    The labels in this case statement were the wrong way round, so the
    duplex settings were being reported incorrectly on linux. Use the
    defines instead of the values so we can be sure they're right.

    Spotted by Pete.

  Hash: 231fce82c1231554aa068747a3d1bff0d2d0db3d
  Files affected:

    src/libstatgrab/network_stats.c

2005-02-24  Tim Bishop  <tim@bishnet.net>

    Add NFS to list of file systems that we return information for.

    
  Hash: 91911540f400d2c6c4e8143c7db6b0ca447fcb0b
  Files affected:

    src/libstatgrab/disk_stats.c

2005-01-17  Tim Bishop  <tim@bishnet.net>

    Make size_conv deal with negative numbers too (it does happen :-).

    
  Hash: 93c722b0edbe088e0248ab0a06beb7be7b800758
  Files affected:

    src/saidar/saidar.c

2004-11-08  Tim Bishop  <tim@bishnet.net>

    Give Roy credit for the work on HP-UX.

    
  Hash: a85bc603f33ef393803fbc248a19751c137b973a
  Files affected:

    NEWS

2004-11-08  Tim Bishop  <tim@bishnet.net>

    Post-release version increment.

    
  Hash: 5b10c42203ea95105d8f0f4c48752e89b0097b0c
  Files affected:

    configure.in

2004-11-08  Tim Bishop  <tim@bishnet.net>

    Reword NEWS slightly.

    
  Hash: a99dfcae9ada9080f614b7aea9e3eadc9be63051
  Files affected:

    NEWS

2004-11-08  Tim Bishop  <tim@bishnet.net>

    Update NEWS for new release.

    
  Hash: c909b9a275eee11748fea2db68d9a473ae30bed0
  Files affected:

    NEWS

2004-11-08  Adam Sampson  <ats@offog.org>

    Raise SG_ERROR_UNSUPPORTED for interface stats on Cygwin and HP-UX.

    
  Hash: aac8d545f021d7c872ab4476865af6517cbaf478
  Files affected:

    src/libstatgrab/network_stats.c

2004-11-07  Adam Sampson  <ats@offog.org>

    HP-UX disk IO calculation, version 3.

    
  Hash: 833fe5d79a374408caa9857c936b50367dcc9824
  Files affected:

    src/libstatgrab/disk_stats.c

2004-11-07  Adam Sampson  <ats@offog.org>

    Put back the dummy argument -- I know it's not used, but signal handlers
    have to have it.

    
  Hash: b2ff4f170282f5761806bd36bf7042faad6c8e93
  Files affected:

    src/saidar/saidar.c

2004-11-07  Adam Sampson  <ats@offog.org>

    Linux always has atoll, but Cygwin doesn't.

    
  Hash: a6caba1d030b9b126f77c333d003c00cfcf0b857
  Files affected:

    src/libstatgrab/tools.c

2004-11-07  Adam Sampson  <ats@offog.org>

    Always include string.h (for strcmp).

    
  Hash: cb7504899f715ff8c0df1ef4346b5b5a7e0dd9e6
  Files affected:

    src/libstatgrab/process_stats.c

2004-11-07  Adam Sampson  <ats@offog.org>

    Add tools.h include.

    
  Hash: 1ed8d331f0b3dccbe7f0e2f46caf6425acba5e23
  Files affected:

    src/libstatgrab/os_info.c

2004-11-07  Adam Sampson  <ats@offog.org>

    HP-UX can't do network stats.

    
  Hash: 2c1649266b8fd1d351ceac27aa7c4fefdc1608f2
  Files affected:

    src/libstatgrab/network_stats.c

2004-11-07  Adam Sampson  <ats@offog.org>

    loadav is only needed on non-HP-UX.

    
  Hash: 30c2fc7fed9c60b78abf62ea4f127ebb483a2153
  Files affected:

    src/libstatgrab/load_stats.c

2004-11-06  Tim Bishop  <tim@bishnet.net>

    Cast numbers to be the same type when doing a comparison.

    
  Hash: 32246e4a448117673b9beb29e0576654715a3c73
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c

2004-11-06  Tim Bishop  <tim@bishnet.net>

    atoll is only used in one place in libstatgrab, so move it's definition
    to before that one use. Given this hasn't caused us problems I'm
    guessing that atoll is actually available on Linux and Cygwin, which
    would make having the function here void.

    If so, it can simply be removed instead.

  Hash: 24904a372d766ee11f1dc31191ffe1c7b7872a98
  Files affected:

    src/libstatgrab/tools.c

2004-11-06  Tim Bishop  <tim@bishnet.net>

    Remove another unused parameter.

    
  Hash: 865ad8982037cbb0023bd6a66fa68028286d68d1
  Files affected:

    src/saidar/saidar.c

2004-11-06  Tim Bishop  <tim@bishnet.net>

    Remove a couple of unused parameters.

    
  Hash: 7c4f9b8ed07c5d4fe51937008de1f11a5f095d03
  Files affected:

    examples/os_info.c
    examples/vm_stats.c

2004-11-06  Adam Sampson  <ats@offog.org>

    Rework the HP-UX swap stats code to fetch batches of swap devices.
    (Untested.)

    
  Hash: 299c900bb2610a4f380b7632d9331728e287b1c3
  Files affected:

    src/libstatgrab/swap_stats.c

2004-11-06  Adam Sampson  <ats@offog.org>

    Add a FIXME (it'd be preferable to avoid the /dev/dsk search when
    possible).

    
  Hash: 6f92c93c76a591eee01ecd22c230eadf8900d02e
  Files affected:

    src/libstatgrab/disk_stats.c

2004-11-06  Adam Sampson  <ats@offog.org>

    Fix IO bytes calculation -- the value returned is in 16-bit words, so
    divide by two to get bytes.

    
  Hash: 00192a0628b8fe3d6f6560496f8ff49aa4985af1
  Files affected:

    src/libstatgrab/disk_stats.c

2004-11-06  Adam Sampson  <ats@offog.org>

    Rework the HP-UX disk stats code to fetch batches of disks. (Untested.)

    
  Hash: 9efb37610bce8d10f4688b90cc1446ae6c4af889
  Files affected:

    src/libstatgrab/disk_stats.c

2004-11-06  Adam Sampson  <ats@offog.org>

    Oops -- make the loop work. (Untested.)

    
  Hash: 5a9dbad39003418055c784dddf600f2d40e7be95
  Files affected:

    src/libstatgrab/process_stats.c

2004-11-06  Adam Sampson  <ats@offog.org>

    Rework the HP-UX process stats code to fetch batches of processes in
    fewer system calls. (Untested.)

    
  Hash: c55ebe06c48e4d3ef30c94a7075561087262de6f
  Files affected:

    src/libstatgrab/process_stats.c

2004-11-06  Adam Sampson  <ats@offog.org>

    Add sg_get_pstat_static for HP-UX. (Untested.)

    
  Hash: 1792201bc0af8cab104ce1f665bc7dc0dab9ae30
  Files affected:

    src/libstatgrab/memory_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2004-11-01  Adam Sampson  <ats@offog.org>

    Correct comment.

    
  Hash: e0c516acd87c3f6cbe2445855dbc0617f925dd25
  Files affected:

    src/libstatgrab/disk_stats.c

2004-11-01  Adam Sampson  <ats@offog.org>

    We don't need the realloc workaround -- we don't rely on the GNU
    behaviour.

    
  Hash: 3eb6e4903bcf30deba7bd2dbfb29386e67f91c06
  Files affected:

    configure.in
    src/libstatgrab/tools.c

2004-11-01  Tim Bishop  <tim@bishnet.net>

    Lets not forget the documentation.

    
  Hash: f93b1a51994c3d3fa916a71ce4ac48c869cddf51
  Files affected:

    docs/libstatgrab/statgrab.xml
    docs/statgrab.xml

2004-11-01  Tim Bishop  <tim@bishnet.net>

    Next release will be 0.11.

    
  Hash: 452f5bdc02b5bdd9369c70a3d6e06713d076ef4c
  Files affected:

    configure.in
    src/libstatgrab/Makefile.am

2004-11-01  Tim Bishop  <tim@bishnet.net>

    Merge in patch to provide support for HP-UX 11.11.

    Contributed by Roy Keene - thanks Roy!

  Hash: e11976bb874abbba2f36466ecb62776413cf91f3
  Files affected:

    PLATFORMS
    configure.in
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/user_stats.c

2004-10-23  Adam Sampson  <ats@offog.org>

    The maximum value must be an integer.

    
  Hash: a4e1c50c3cbee5e48e8f724cd92c5ecb629bc4ee
  Files affected:

    src/statgrab/statgrab-make-mrtg-config.in

2004-10-11  Tim Bishop  <tim@bishnet.net>

    Fix when used percentage hits 100%.

    
  Hash: 9f18e3c34a0213442c95570adf17dc9c2ed0b1db
  Files affected:

    src/saidar/saidar.c

2004-09-10  Adam Sampson  <ats@offog.org>

    Fix some nasty repeated if()s (reported by Fred Barnes).

    
  Hash: 899f7a3b094a5cfb6f9fefc3ebbf31718ac844ab
  Files affected:

    src/libstatgrab/process_stats.c

2004-08-24  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: c67f007f4687a749ab349d5ccfc3670e8abca314
  Files affected:

    configure.in

2004-08-24  Tim Bishop  <tim@bishnet.net>

    Add mention of FreeBSD 6.0 -CURRENT support.

    
  Hash: d772f1a5a6c5c91b42456235e550983aa2450985
  Files affected:

    NEWS

2004-08-24  Tim Bishop  <tim@bishnet.net>

    Add support for FreeBSD 6.0. Drop version back to get this into the new
    release.

    
  Hash: 141b2f6d1f83487ae08ab0413df5f1f74e7dce23
  Files affected:

    configure.in

2004-08-23  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: 871358f0d61ac42fc5529ad1b480342da8ceb0f1
  Files affected:

    configure.in

2004-08-23  Adam Sampson  <ats@offog.org>

    Fix logic error: maximum network speeds should be KiB, not Mbit.

    
  Hash: 3e374e9768d4529b1f8abe783d1264d6a47e3551
  Files affected:

    src/statgrab/statgrab-make-mrtg-config.in

2004-08-23  Adam Sampson  <ats@offog.org>

    Update NEWS for statgrab changes.

    
  Hash: 3a2f5fbd1d31ec484ea3ab0238211bb8a52cec58
  Files affected:

    NEWS

2004-08-10  Adam Sampson  <ats@offog.org>

    Repair whitespace damage in help message. (It's still there in the other
    code.)

    
  Hash: 1ef3c7bfd9a1ada1a4491e0fa3238f26c28eb118
  Files affected:

    src/statgrab/statgrab.c

2004-08-10  Adam Sampson  <ats@offog.org>

    "Mebibyte", not "mibibyte".

    
  Hash: 34900755624e650b630e2742e3503c9bb3d50f0d
  Files affected:

    src/statgrab/statgrab.c

2004-08-10  Adam Sampson  <ats@offog.org>

    We do know the interface speed these days, so we don't (always) have to
    guess.

    
  Hash: dd6913d3b0407f15088c0784dfbedae8d12f58a9
  Files affected:

    src/statgrab/statgrab-make-mrtg-config.in

2004-08-10  Adam Sampson  <ats@offog.org>

    Use -K and -f to produce better MRTG output.

    
  Hash: ee5981152ec39e641f01463ba23238fb84d103a4
  Files affected:

    src/statgrab/statgrab-make-mrtg-config.in

2004-08-10  Adam Sampson  <ats@offog.org>

    Add -K, -M and -G to display byte counts in kibibytes, mibibytes and
    gibibytes (mostly for MRTG use, since it can't deal with numbers bigger
    than 32 bits).

    
  Hash: 4ea841d876ba45648400518d0c5ef5978cd7029e
  Files affected:

    src/statgrab/statgrab.c

2004-08-10  Adam Sampson  <ats@offog.org>

    Add -f option to scale floating-point values to integers for MRTG
    output.

    
  Hash: fcfc251e8f0a80ba308fa46583eb2b7f9a62d645
  Files affected:

    src/statgrab/statgrab.c

2004-07-27  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: 9ed36c69da3565760a8046bf73f511a8962c7936
  Files affected:

    configure.in

2004-07-27  Tim Bishop  <tim@bishnet.net>

    Fix the shared library version.

    
  Hash: b26238bb6e2d836123ab29d6c2f864f4040d2b21
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2004-07-25  Tim Bishop  <tim@bishnet.net>

    Fix release date.

    
  Hash: 7c13a73f201412273e5389c7e7a2deb70426459d
  Files affected:

    NEWS

2004-07-18  Adam Sampson  <ats@offog.org>

    getpagesize() cannot fail.

    
  Hash: 5e68cdb56d16f1e304ab052dfd6f0873b374e244
  Files affected:

    src/libstatgrab/memory_stats.c

2004-07-18  Adam Sampson  <ats@offog.org>

    Use sg_set_error_with_errno whenever errno's valid. Change the one user
    of SG_ERROR_ENOENT to SG_ERROR_SYSCTL instead (since that's what it
    should have been).

    
  Hash: c9306f8f499ddbab2df1dc8795d060b46dbd1723
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/user_stats.c

2004-07-18  Adam Sampson  <ats@offog.org>

    Document sg_get_error_errno. Note that sg_get_error_arg can return NULL.

    
  Hash: f2061c795e0c837e4d793904944d694409ee7b61
  Files affected:

    docs/libstatgrab/statgrab.xml
    docs/statgrab.xml

2004-07-18  Adam Sampson  <ats@offog.org>

    Remove extraneous consts.

    
  Hash: 244967ce941c501d53320ef001d3303f365d88e0
  Files affected:

    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h

2004-07-18  Adam Sampson  <ats@offog.org>

    Clear errno_value on errors that don't have a valid errno.

    
  Hash: 579b0576118804e8beabaf2791185450908ee9f6
  Files affected:

    src/libstatgrab/error.c

2004-07-18  Adam Sampson  <ats@offog.org>

    Fix a couple of typos.

    
  Hash: 80cafcaa673eed0caf249b3b300106e1ddf076e7
  Files affected:

    NEWS

2004-07-18  Tim Bishop  <tim@bishnet.net>

    Post-release version increment.

    
  Hash: dc207c64e4f03c8653468c2a8f42b899fd95e919
  Files affected:

    configure.in

2004-07-18  Tim Bishop  <tim@bishnet.net>

    Catch a few bits of documentation/comments containing the deprecated
    function names.

    
  Hash: 021c2bc0791565c3b8cad6cb6e64bc1a697d9d5b
  Files affected:

    PLATFORMS
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/sg_get_disk_io_stats.xml
    src/statgrab/statgrab.c

2004-07-18  Tim Bishop  <tim@bishnet.net>

    Update NEWS and library version for next release.

    
  Hash: 9196d1425bc847b933f684b3395ab2d7013547ed
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2004-07-16  Tim Bishop  <tim@bishnet.net>

    Do the errno capturing in a nicer way.

    
  Hash: 74cfc44efabd6700c23dcb8144c24fdb3131ef85
  Files affected:

    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/tools.c

2004-07-16  Tim Bishop  <tim@bishnet.net>

    Add function to allow grabbing of the current errno. Should we store
    errno too maybe?

    
  Hash: 4bb6787deabf20ab9691a6e9c43354adaecffc4b
  Files affected:

    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/tools.c

2004-07-16  Adam Sampson  <ats@offog.org>

    Make sure that network interfaces get an interface_name stat, even if
    they don't have IO stats (like for loopback interfaces on Solaris).

    
  Hash: ffc36810237a293908b4d9fa5b2481ed4d514b03
  Files affected:

    src/statgrab/statgrab.c

2004-07-02  Tim Bishop  <tim@bishnet.net>

    Make sure statgrab.h can't be included twice.

    
  Hash: f6ffcca1d39a3c197c1c66f1230ea4acf0d4e5dd
  Files affected:

    src/libstatgrab/statgrab.h

2004-06-21  Tim Bishop  <tim@bishnet.net>

    Add three variables to the pkg-config file: bin_owner, bin_group,
    bin_perm

    The purpose of these variables is to suggest the required owner, group
    and permissions that might be used to make a binary using libstatgrab
    work fully. I'm not sure if this is the "best" way of doing this, but it
    seems like a reasonable idea.

  Hash: e638f3d0559d62671a7f6d2476c359251260cdff
  Files affected:

    configure.in
    libstatgrab.pc.in

2004-06-21  Tim Bishop  <tim@bishnet.net>

    Let libstatgrab know about the veritas file system (vxfs).

    
  Hash: a1fe2057497d1d29e175574db066791639fe99be
  Files affected:

    src/libstatgrab/disk_stats.c

2004-06-21  Tim Bishop  <tim@bishnet.net>

    Fix memory leak on NetBSD 2.0. (kl_stats wasn't being free'd)

    
  Hash: c40d11b62ba0832983fd3cd8f2d0c5cd13f899db
  Files affected:

    src/libstatgrab/process_stats.c

2004-06-20  Tim Bishop  <tim@bishnet.net>

    On NetBSD 2.0 (in fact, all BSD's, but only know of NetBSD 2.0) use
    statvfs instead of statfs when available.

    No guarantees I've got this right - I need to upgrade our NetBSD 2 test 
    machine to a more recent build.

  Hash: a2615d6590dc8a381ad92320fe5105f60fb9a863
  Files affected:

    configure.in
    src/libstatgrab/disk_stats.c

2004-06-20  Tim Bishop  <tim@bishnet.net>

    Since OpenBSD 3.5 disk io stats have been seperated into read and write,
    just like NetBSD. This fixes libstatgrab to work on 3.5+.

    Bug reported by Wijnand Wiersma and Christian Weisgerber.

  Hash: 19c7f1dbbe62dc22b150f17a4e2b4ca4ed984a34
  Files affected:

    configure.in
    src/libstatgrab/disk_stats.c

2004-06-18  Tim Bishop  <tim@bishnet.net>

    Fix permission setting when DESTDIR is used. There still seems to be an
    issue with libtool on my FreeBSD box, but a google search suggests this
    is fixed in later versions of libtool.

    Thanks to Daniel <dragonheart@gentoo.org> for this one.

  Hash: 2a42457fbfbea708d924b75f185b8dd81cb61ef2
  Files affected:

    src/saidar/Makefile.am
    src/statgrab/Makefile.am

2004-05-30  Adam Sampson  <ats@offog.org>

    Clear the error buffer on startup.

    
  Hash: 63f6f9c0c7f679b40d40b0bcc83aa128cebf2c6d
  Files affected:

    src/libstatgrab/tools.c

2004-05-19  Tim Bishop  <tim@bishnet.net>

    Post-release increment.

    
  Hash: e7954000786b08539e10926e0481d3edd6a10210
  Files affected:

    configure.in

2004-05-19  Tim Bishop  <tim@bishnet.net>

    Update NEWS file for 0.10 release.

    
  Hash: b7daaeea8be5ecd8e08ccb3af8956916dfc7a6ff
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2004-05-18  Peter Saunders  <pajs@i-scream.org>

    Added details about the supplied sorting functions that can be passed to
    qsort

    
  Hash: 9ec11958b00872ea3f2ff1758478a5b1b7207976
  Files affected:

    docs/libstatgrab/sg_get_process_stats.xml
    docs/sg_get_process_stats.xml

2004-05-08  Tim Bishop  <tim@bishnet.net>

    Eek. I commited XML that didn't parse!

    
  Hash: a9e6673c123aa06648ad37862ae616bb1f2f2b03
  Files affected:

    docs/libstatgrab/sg_get_fs_stats.xml
    docs/sg_get_fs_stats.xml

2004-05-08  Tim Bishop  <tim@bishnet.net>

    Reword some bits about the entries parameter.

    
  Hash: 5680b380231d82ce6b21025238c8de7463af4ac3
  Files affected:

    docs/libstatgrab/sg_get_fs_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/sg_get_fs_stats.xml
    docs/sg_get_process_stats.xml

2004-05-05  Tim Bishop  <tim@bishnet.net>

    And add sg_get_fs_stats properly :-)

    
  Hash: 7780143040ba08cd2babd23ee4adb242173192fd
  Files affected:

    docs/libstatgrab/statgrab.xml
    docs/statgrab.xml

2004-05-05  Tim Bishop  <tim@bishnet.net>

    Add sg_get_fs_stats to statgrab.xml.

    
  Hash: a5821edb9f088a177ca48f7e21158791f3498b38
  Files affected:

    docs/libstatgrab/statgrab.xml
    docs/statgrab.xml

2004-05-05  Tim Bishop  <tim@bishnet.net>

    Add docs for sg_get_fs_stats.

    
  Hash: 7bc91f28c4f6e90ab29a61a850197c78199a9481
  Files affected:

    docs/Makefile.am
    docs/libstatgrab/sg_get_fs_stats.xml
    docs/sg_get_fs_stats.xml

2004-05-04  Tim Bishop  <tim@bishnet.net>

    Document the new process stats code a bit, and the error reporting code.
    No mention of the sorting stuff, because I'm not sure how that works.

    That's it for new stuff - assuming I haven't missed anything.

  Hash: b0fd9f01b870748668627b2a9ff03ddccc0ac031
  Files affected:

    docs/Makefile.am
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/statgrab.xml
    docs/sg_get_process_stats.xml
    docs/statgrab.xml

2004-05-02  Tim Bishop  <tim@bishnet.net>

    Another pass, finish off the main page and fix a few problems.

    Still to document: process stats (new stuff), error stuff, and some fs 
    related stuff.

  Hash: 06bfc4062406fe026ddc6552a72766b24e45658f
  Files affected:

    docs/Makefile.am
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/statgrab.xml
    docs/sg_get_cpu_stats.xml
    docs/sg_get_process_stats.xml
    docs/statgrab.xml

2004-05-02  Tim Bishop  <tim@bishnet.net>

    First pass as updating contents of documentation.

    
  Hash: 130f282dcb4e9e1cec31918162a3e16f3f9578fa
  Files affected:

    docs/Makefile.am
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/sg_get_user_stats.xml
    docs/sg_get_cpu_stats.xml
    docs/sg_get_disk_io_stats.xml
    docs/sg_get_host_info.xml
    docs/sg_get_load_stats.xml
    docs/sg_get_mem_stats.xml
    docs/sg_get_network_iface_stats.xml
    docs/sg_get_network_io_stats.xml
    docs/sg_get_page_stats.xml
    docs/sg_get_process_stats.xml
    docs/sg_get_user_stats.xml

2004-05-02  Tim Bishop  <tim@bishnet.net>

    Do a repo copy of the documentation to their new names, then delete the
    old ones. They still need their content updating though. We also need
    docs for the new process stats stuff, the error reporting code, and I
    think the FS stats which seem to be missing.

    
  Hash: bbfb532761e753c52c12d827f37747532838351d
  Files affected:

    docs/cpu_percent_usage.xml
    docs/get_diskio_stats.xml
    docs/get_general_stats.xml
    docs/get_load_stats.xml
    docs/get_memory_stats.xml
    docs/get_network_iface_stats.xml
    docs/get_network_stats.xml
    docs/get_page_stats.xml
    docs/get_process_stats.xml
    docs/get_user_stats.xml

2004-04-08  Adam Sampson  <ats@offog.org>

    Skip over argv pointers on OpenBSD.

    
  Hash: 00fa4238e533e5cc415cd4cbb7e1aefe4670f4a2
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-08  Tim Bishop  <tim@bishnet.net>

    Attempt to rework the command line argument fetching - mallocing 256Kb
    was a bit on the large side. Now we start with something sensible and
    make it bigger as required.

    This produces odd results on OpenBSD.

  Hash: 5cf639964ed290feeb1b22850d7e9193a9ffd6ea
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-08  Tim Bishop  <tim@bishnet.net>

    Fix bugs in error code.

    
  Hash: 31ed19a196c764522015d3f410ffc823511f5baa
  Files affected:

    src/libstatgrab/disk_stats.c

2004-04-08  Adam Sampson  <ats@offog.org>

    Add comparison functions for names where that's likely to be useful.

    Make the network_iface_stats example show how to use bsearch to find an 
    interface by name.

  Hash: 1a1b5a1b965041117f1004be8f6678c1cd2930e7
  Files affected:

    examples/network_iface_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h

2004-04-08  Adam Sampson  <ats@offog.org>

    Nuke sg_process_sort, and make the process stats example demonstrate how
    to sort using the compare functions and qsort.

    
  Hash: 4a1a8666f6c47a4fc6ce40b528d5b0927f804ecd
  Files affected:

    examples/process_snapshot.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h

2004-04-08  Tim Bishop  <tim@bishnet.net>

    s/sg_sort_method/sg_process_sort_method/

    
  Hash: 3a7a2ef409a1a6819561fc92c9c463f31b9277b4
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h

2004-04-08  Peter Saunders  <pajs@i-scream.org>

    Name change for future friendlyness.

    
  Hash: 536d3e6afd39f56a02ea5a12f7c6bdf4ef4938c6
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h

2004-04-08  Peter Saunders  <pajs@i-scream.org>

    Added some generic sorting methods for process_stats.

    
  Hash: 1be73abbcb871f8a254f1e34b0c14ca7bf4abcf7
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h

2004-04-08  Adam Sampson  <ats@offog.org>

    ... and include tools.h to get the definition of sg_strlcpy.

    
  Hash: d7f0d61dd365311ae232a377768c545c70e08761
  Files affected:

    src/libstatgrab/error.c

2004-04-08  Adam Sampson  <ats@offog.org>

    sg_strlcpy, not strlcpy.

    (I think that bit of code's won the "most errors in a three-line commit" 
    award...)

  Hash: ae6cdd27bf66305269258ff07f8f6b7259e14b9c
  Files affected:

    src/libstatgrab/error.c

2004-04-08  Tim Bishop  <tim@bishnet.net>

    Shift a bunch of parsing functions to be linux/cygwin only. Prompted by
    a regex related compile error on FreeBSD (we don't use regex's on
    FreeBSD).

    
  Hash: 50676852563a96dd505e8cb1da12d6d948d79f1c
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2004-04-07  Tim Bishop  <tim@bishnet.net>

    Bugfix in error setting code - we can't strlcpy a NULL. Test out the
    error code in an example.

    
  Hash: f0c22d1b527eb015c491269fb3fd2b467abcb252
  Files affected:

    examples/vm_stats.c
    src/libstatgrab/error.c

2004-04-07  Adam Sampson  <ats@offog.org>

    Remove a couple of FIXMEs that have been dealt with.

    
  Hash: cc30c6f849e1608c966d4d1203cb70b1cf908840
  Files affected:

    src/libstatgrab/statgrab.h

2004-04-07  Adam Sampson  <ats@offog.org>

    Add sg_get_error_arg. It uses a static buffer for storage rather than
    sg_update_string because we can't do anything about a malloc failure at
    that point.

    Remove the default case in the switch, so GCC will give an "unhandled 
    enum value in switch" warning if we add a new error code without a 
    string.

  Hash: b1beee81439c1bf945d6002ae2e11fd1e3dbe369
  Files affected:

    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h

2004-04-07  Tim Bishop  <tim@bishnet.net>

    The rest of the error handling stuff (except the vector code).

    I've been extremely unimaginative with the string names in error.c, but 
    they're all in one place so much easier to tidy up. I'm also beginning
    to wonder if we actually needed an SG_ERROR_SYSTEM_CALL to indicate some
    call into the system failed - because the majority of our errors are
    those :-)

    Still to do, then:
    - vector code
    - better string names in error.c
    - deal with arg string in some way
    - make use of the error status in statgrab/saidar/examples

  Hash: a908e912552d5d3f9fb1a9a24167d8a5096d59d7
  Files affected:

    src/libstatgrab/error.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/user_stats.c

2004-04-07  Tim Bishop  <tim@bishnet.net>

    Error reporting for disk_stats.

    
  Hash: e62aafbfb309491c044821dc23c52d486fd743ed
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h

2004-04-07  Tim Bishop  <tim@bishnet.net>

    More whitespace tidyup (spaces->tabs).

    
  Hash: 2e2d3c60b1761b879798eef3733ec87c30e68a28
  Files affected:

    examples/process_snapshot.c
    src/saidar/saidar.c
    src/statgrab/statgrab.c

2004-04-07  Peter Saunders  <pajs@i-scream.org>

    Fixed tools.c change of enum Fixed a FD leak in solaris and added nice
    value.

    
  Hash: 10492acbc9c448edbd66b4660c7b0bf171fd8e7e
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c

2004-04-07  Tim Bishop  <tim@bishnet.net>

    Whitespace tidyup - change spaces to tabs.

    
  Hash: 0a1ca6f679a43a2844a0367eac1d1d473d35d895
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/user_stats.c
    src/libstatgrab/vector.c

2004-04-07  Tim Bishop  <tim@bishnet.net>

    Add error reporting to cpu_stats.

    
  Hash: 489ede889de56cafb1e199ecbd4621ae6bc33bce
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h

2004-04-07  Peter Saunders  <pajs@i-scream.org>

    More linux code, now does uid/gid.

    
  Hash: bdd5d5ea3d1e692b24bfb8e06af16de3c62e9f77
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-07  Adam Sampson  <ats@offog.org>

    Include tools.h to get sg_realloc.

    
  Hash: bdd442fe0ceb9d05fd51b7e90febd08d66244b4d
  Files affected:

    src/libstatgrab/vector.c

2004-04-07  Adam Sampson  <ats@offog.org>

    Change malloc -> sg_malloc, realloc -> sg_realloc, and rewrite the one
    calloc call to use sg_malloc.

    
  Hash: 62d181edaa7b2e7ad465f7b92d2b0fa54483f6a6
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/vector.c

2004-04-07  Adam Sampson  <ats@offog.org>

    Change the last few instances of strdup to use sg_update_string.

    
  Hash: ebdd80d8106b057b8f5d40d6fa53290640faa047
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c

2004-04-07  Tim Bishop  <tim@bishnet.net>

    Add sg_realloc, and a macro fo sg_malloc.

    
  Hash: 02e39fc58f063bfaa82ccb3941de95191f6dfd3c
  Files affected:

    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2004-04-06  Adam Sampson  <ats@offog.org>

    Add SG_ERROR_NONE.

    Make sg_str_error return const char *.

  Hash: 1d7e4fe4244d7d8641e554ad99fa2dd905339613
  Files affected:

    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h

2004-04-06  Tim Bishop  <tim@bishnet.net>

    Some very basic startings of error handling stuff. I've not put much
    thought into this yet, it's basically just the idea we've discussed.

    Of course, this is the easy task. The hard job is creating a whole list
    of different errors and using them across libstatgrab :-)

  Hash: cd4cfaa36d51dea96fdce4fa26aafa1b9624a5e2
  Files affected:

    src/libstatgrab/Makefile.am
    src/libstatgrab/error.c
    src/libstatgrab/statgrab.h

2004-04-06  Tim Bishop  <tim@bishnet.net>

    Fix a couple of includes.

    
  Hash: c6c069f42b8833ef87a7653650940adb7a098310
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab_deprecated.c

2004-04-06  Adam Sampson  <ats@offog.org>

    Consistently return -1 for error.

    
  Hash: 740c34612946fae785b6c7646d32d821b672230d
  Files affected:

    src/libstatgrab/tools.c

2004-04-06  Adam Sampson  <ats@offog.org>

    NetBSD's sysctl sometimes (repeatably) misreports the size of struct
    uvmexp. Fortunately, it's a fixed-size structure anyway, so we don't
    need to dynamically allocate it.

    We probably should be using struct uvmexp_sysctl anyway, since it's
    ABI-stable.

  Hash: b5dd0af6f1e283913fe8459196eabdb8cf553181
  Files affected:

    src/libstatgrab/tools.c

2004-04-06  Tim Bishop  <tim@bishnet.net>

    Add compatibility code. This provides a working pre-0.10 API for old
    applications. To use simply change the #include line to:

  define SG_ENABLE_DEPRECATED
  include <statgrab.h>

    This can be disabled at build time completely using
    --disable-deprecated.

  Hash: 99ac0e9eacbbaff3c58c6dea9c6e7e4e91da201d
  Files affected:

    configure.in
    src/libstatgrab/Makefile.am
    src/libstatgrab/statgrab.h
    src/libstatgrab/statgrab_deprecated.c
    src/libstatgrab/statgrab_deprecated.h

2004-04-06  Peter Saunders  <pajs@i-scream.org>

    A bit more of the linux code.. Need to do uid/gid bit still. Also,
    haven't done nice on solaris yet.

    
  Hash: 6615325a8f5e3adb8b298708b02e30d59f36d0b8
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-06  Tim Bishop  <tim@bishnet.net>

    Add header block.

    
  Hash: de3ad684a0726b13c223b363c720214377d45316
  Files affected:

    src/libstatgrab/vector.h

2004-04-06  Tim Bishop  <tim@bishnet.net>

    Update name of project at the top of all soure files. These files now
    exist in their own right, rather than as part of the "CMS".

    
  Hash: 549fddd68669d462167b65a9e23900f0917b0fec
  Files affected:

    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/network_iface_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_snapshot.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c
    src/libstatgrab/vector.c
    src/saidar/saidar.c
    src/statgrab/statgrab-make-mrtg-config.in
    src/statgrab/statgrab-make-mrtg-index.in
    src/statgrab/statgrab.c

2004-04-06  Tim Bishop  <tim@bishnet.net>

    Add a note about something that needs fixing. We still have problems
    getting proctitle on some of the BSD's :-(

    
  Hash: da731fbceb09678c6de46782dca2b54fd583c637
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-06  Tim Bishop  <tim@bishnet.net>

    Add mention of NetBSD 2.0. I'm not sure of the best way to format this..
    we have platforms we expect to work, and platforms we know to work. For
    example, we might not have tested OpenBSD 3.4 but we're pretty sure it
    works.

    
  Hash: c75d5704394571a4b8e02ced8981fdb1334c4722
  Files affected:

    PLATFORMS

2004-04-06  Tim Bishop  <tim@bishnet.net>

    Fix process stats on NetBSD 2.0 (beta). Also fix the
    5-processes-workaround Adam committed yesterday on the rest of the BSD's
    (not just FreeBSD5).

    
  Hash: 957cb1f375354a271ea123a907b99aa7c89895e1
  Files affected:

    configure.in
    src/libstatgrab/process_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    To quote from the FreeBSD kernel source: "/* overestimate by 5 procs
    */". This is the workaround.

    
  Hash: fc22704de055ef73761d35acfc1e10d403a099ac
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Make sg_update_string return an int to indicate success, so that it can
    be used to set a string to NULL.

    Make Linux process_stats code set proctitle to NULL if it's empty rather 
    than "".

  Hash: 82aa974246a83187f94c75c9f651135d60190834
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2004-04-05  Tim Bishop  <tim@bishnet.net>

    Update examples to use new names. I guess some renaming could probably
    be done here, but at least they all compile again now.

    
  Hash: be558daad8430f19ac464f505bdd74ef96bd9bcd
  Files affected:

    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/network_iface_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_snapshot.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Rename all the functions, types and enums in the API to be consistent.
    Types are now of the form "sg_mem_stats"; functions of the form
    "sg_get_mem_stats"; enums of the form "SG_PROCESS_STATE_RUNNING". (The
    old get_proc_snapshot follows the usual calling convention now.)

    Make internal functions static where possible.

    Rename non-static internal functions to have an sg_ prefix so they don't 
    collide with those from other libraries. In particular, strlcpy and 
    strlcat are now called sg_strlcpy and sg_strlcat and are always 
    included.

    Fix saidar and statgrab to use the new API.

  Hash: ce02a5f7377337b0a9553b6cb08944a20b4c2973
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c
    src/libstatgrab/vector.c
    src/libstatgrab/vector.h
    src/saidar/saidar.c
    src/statgrab/statgrab.c

2004-04-05  Tim Bishop  <tim@bishnet.net>

    Fixed, and properly tested.

    
  Hash: c0103e9fcd99281e4f28239d3257fe3b16b226d9
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-05  Tim Bishop  <tim@bishnet.net>

    Instead of reallocing on the fly, work out the size of the buffer in
    advance and then fill it on a second pass. Suggested by Adam.

    
  Hash: 7f42d15e605d0489f6bba454acdfb7214696951e
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    NULL -> \0, initialise malloced memory to \0, and plug a memory leak.

    
  Hash: a34e5866ff2c276ab917148d3230a6718909dae9
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Use vectors and update_string. (I haven't really touched the BSD code
    here yet.)

    
  Hash: 9921edff2b21e6a7e665097c0608555f9afe83cb
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Kill a memory leak when the mapping already exists.

    
  Hash: 4e37c1f8c6da9edf4cb89d6eb742af97d3cc8b23
  Files affected:

    src/libstatgrab/tools.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Add a missing check for vector resize failing.

    
  Hash: 4d114cfbc417fc5e4f23c460570cc956840cc4e3
  Files affected:

    src/libstatgrab/user_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Fix the strict-aliasing problem in a clean, sensible way that actually
    works.

    As a bonus, we now get a "value computed is not used" warning from GCC 
    if we don't check the return value of VECTOR_RESIZE. (This is dubiously 
    a bonus when it's being resized to 0, but it's not going to hurt to 
    check even then -- we might support destructors failing in the future.)

  Hash: ab13430f6f21302fbc6149a1eede8b2f163e95d7
  Files affected:

    src/libstatgrab/vector.c
    src/libstatgrab/vector.h

2004-04-05  Adam Sampson  <ats@offog.org>

    Fix the strict-aliasing warnings.

    This is even uglier than the previous code, since it pushes a test for a 
    sentinel value into the VECTOR_RESIZE macro. I'm pretty certain that the 
    pointer-to-static-used-as-sentinel is my own invention. I'm not entirely 
    convinced that it's a good idea, but I can't see anything technically 
    wrong with it...

  Hash: 24e444d73b7127ea32fa625de0714cc440fc9409
  Files affected:

    src/libstatgrab/vector.c
    src/libstatgrab/vector.h

2004-04-05  Tim Bishop  <tim@bishnet.net>

    We nearly forgot to make the process stats work on cygwin again :-)

    
  Hash: d9d7cb0d4868ac1b82540ce45a09a4aa75aa80ec
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Deal with vectors as char ** rather than void **, so we can do pointer
    arithmetic without Sun cc complaining.

    
  Hash: 899c3015ddcace40f86a824777f46cc2efa72c5a
  Files affected:

    src/libstatgrab/vector.c
    src/libstatgrab/vector.h

2004-04-05  Tim Bishop  <tim@bishnet.net>

    Fix a couple of warnings on Solaris.

    
  Hash: e44ee4b8861bca0488593410d1a534664cc6c956
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/tools.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Use update_string.

    
  Hash: 34c77c552b29e5f30a05e52b5ba10c56688dcfbe
  Files affected:

    src/libstatgrab/network_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Use update_string throughout.

    
  Hash: c960c65057be798b14af3452a11e481edfd37917
  Files affected:

    src/libstatgrab/disk_stats.c

2004-04-05  Adam Sampson  <ats@offog.org>

    Add prototype for get_svr_from_bsd, and make it take and return const
    char *.

    
  Hash: 3eca300abc1778ddc1115c6f82792b4dae78e0e1
  Files affected:

    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Returning NULL in a function that returns int's is wrong :)

    Now returns -1 on failure. Also change code that calls us to check for <
    0 for failures.

  Hash: 6aeb1a865534610a24d3210fc0607fac739726e6
  Files affected:

    examples/process_snapshot.c
    src/libstatgrab/process_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    I like copy_string. We should use it EVERYWHERE. Also, the name needed
    changing.

    
  Hash: 80a81b61adae4466f2d98f33cbed41ae6b717f18
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2004-04-04  Adam Sampson  <ats@offog.org>

    Fix realloc memory leak.

    
  Hash: 6cd0c745b3e65a4acba76a1894f2142b613724d1
  Files affected:

    src/libstatgrab/tools.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Rework user_stats to use vectors, which gets rid of all the
    MAX_LOGIN_NAME_SIZE stuff too.

    
  Hash: c33042a03d8d797f795ec7a4b291b417ce4d43e1
  Files affected:

    src/libstatgrab/user_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Minor bugfixes.

    
  Hash: ad7e65730bd94fe5b5bfac7f5b2c3f7007db5bd6
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Convert another realloc-managed static array to a vector.

    
  Hash: 3118b075e21898ec6a8348fa239fa3858eb567da
  Files affected:

    src/libstatgrab/disk_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Fix a bunch of silly errors.

    
  Hash: c82653511a0b7e53d7a8d5a9bb4c24bee656ae83
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    get_proc_snapshot returns an int, not a pointer.

    
  Hash: 26855f2a9ead0e379c34905e7f464cfa892ee150
  Files affected:

    examples/process_snapshot.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Make network_stats use vectors.

    
  Hash: 38dbd998adec74832b00ff5ce39f8a42f2ead7ad
  Files affected:

    src/libstatgrab/network_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Fix a bunch of warnings on the BSD's.

    
  Hash: 2f874f5ced1b8af85c475dfac098b0b493b7a912
  Files affected:

    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/network_traffic.c
    examples/page_stats.c
    examples/process_snapshot.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/saidar/saidar.c

2004-04-04  Adam Sampson  <ats@offog.org>

    atoll's a static helper function; it shouldn't be in the header.

    
  Hash: 7fe328383c4c586f3b4b890431ae1dac01360add
  Files affected:

    src/libstatgrab/tools.h

2004-04-04  Adam Sampson  <ats@offog.org>

    Make copy_string not leak memory on realloc() failure. Make copy_string
    static.

    We probably ought to move copy_string to tools.c/h at some point in the 
    future, since it's useful.

  Hash: 630d7c0b8d0a01bebd25fadc9f62df6a6ac06fc7
  Files affected:

    src/libstatgrab/disk_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Make disk_stats use vectors.

    (Note that this introduces some harmless strict aliasing warnings on GCC 
    3.3; I'll do something about that later.)

  Hash: 2963ae4b894282e2812529b390d6d1f7c8a1ccbe
  Files affected:

    src/libstatgrab/disk_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Add an get_kvm2 function to open kvm with slightly different args. This
    set of args doesn't seem to need elevated privileges, but in my last
    test wouldn't perform the functions required in swap_stats.

    
  Hash: 013edd4dbcc40b6f767e48e3d09d2ee4d8ab0c4b
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/tools.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Fix TIME_T printing on systems where time_t isn't a long.

    
  Hash: d2f4eadb953940c199989619e5b4f47122361473
  Files affected:

    src/statgrab/statgrab.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Fix a bunch of warnings.

    
  Hash: b52543e8c8f1bb30a5be9b9d5951fb0ed4eaaa99
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Silence a (harmless) "enumeration value `UNKNOWN' not handled in switch"
    error.

    
  Hash: a76c7e6c921ca1be8c585db04e146dea355e5af8
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    get_proc_snapshot returns an integer, not a pointer.

    
  Hash: 918a4b2fbe4ffd04473e92ef001556f560c3036d
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Silence 40-odd (harmless) "use of assignment suppression and length
    modifier together" errors.

    
  Hash: 69fdac7898618dfa6c061dc36f8a9ff2a1dc0694
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Silence another (harmless) "may be used uninitialised" error.

    
  Hash: 90c94f6e44e750ddae92a16d2f52b524719339e4
  Files affected:

    src/libstatgrab/network_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Silence a (harmless) "may be used uninitialised" error.

    
  Hash: df1838f930cab7333502d366497f5e6f03d6f49b
  Files affected:

    src/libstatgrab/disk_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    No longer need kvm on FreeBSD 5, OpenBSD, and NetBSD.

    
  Hash: 9d323cdf526dd22c9198d80efacc7c343469453c
  Files affected:

    configure.in

2004-04-04  Tim Bishop  <tim@bishnet.net>

    This has been a bit more complex than it probably should have been. We
    now have the command line arguments on FreeBSD5, NetBSD, and probably
    OpenBSD without using kvm. The sysctl interface provided the required
    information.

    However, on FreeBSD 4 and Dragonfly BSD there was no matching sysctl 
    interface, so the kvm way remains. Fortunately neither of those two OS's 
    require elevated privileges to use that bit of kvm.

    Finally in a decent position with no elevated privileges required for
    this section of code, on any of the BSD's.

    Still one bug to fix: there are 5 "null" processes on the end of the
    list. This has been introduced at some point, because it wasn't there
    yesterday.

  Hash: 3c8e47515509700ba6efafcf05965a35ee35bbff
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Adam Sampson  <ats@offog.org>

    Add a macro for declaring static vectors too.

    
  Hash: e763a92eb3c5dd7fa66e50b403b9e32514041401
  Files affected:

    src/libstatgrab/vector.h

2004-04-04  Adam Sampson  <ats@offog.org>

    Add generic vector-handling code. This can be used to implement
    resizable arrays of objects with optional initialisation/destruction
    functions.

    
  Hash: 825cd5386d21e122484a7430d51688d8fa59e682
  Files affected:

    src/libstatgrab/Makefile.am
    src/libstatgrab/vector.c
    src/libstatgrab/vector.h

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Revert to using sysctl instead of kvm to get process stats. This should
    be more compatible with NetBSD and OpenBSD. Still need to use kvm to get
    the command line args, but this seems unavoidable.

    At this stage we don't bail if kvm fails (eg. not enough privs), instead 
    the command line args will just be set to NULL. Seems a fair compromise.

  Hash: e384144bb6187df9bd18804199d175606374aad1
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Add support for DragonFly BSD. Seems to be working correctly, and works
    without needing any extra privileges. Some stuff comes from proc.h,
    whilst some comes from thread.h.

    A word of warning - the DragonFly folk seem to be changing a lot of
    stuff to do with processes and threads, so it's likely this could break
    very easily :-)

  Hash: 0a9f41502ad3439ef435f20608793067e08254ee
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Support for OpenBSD, although it suffers the same problems as NetBSD.

    
  Hash: b6efd4b3fc247ee9b9bd5673e6444b2cb80efcc1
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    This adds support for NetBSD, although it currently needs elevated
    privileges. I will try and fix that.

    
  Hash: d7520594744a284dd8e1039f13f37d469ec386e1
  Files affected:

    configure.in
    src/libstatgrab/process_stats.c

2004-04-04  Tim Bishop  <tim@bishnet.net>

    Handle failure to get a snapshot.

    
  Hash: 53ff461995d7496d44690cf7586f389f9c21eee5
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-03  Tim Bishop  <tim@bishnet.net>

    Add default to case statement which uses the UNKNOWN process state.

    
  Hash: 37170dbade0a4a2e79208e6d515b6390c708c5b1
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-03  Tim Bishop  <tim@bishnet.net>

    Add support for FreeBSD 4. I suspect this may work on OpenBSD and NetBSD
    too, although I'll need to verify that.

    Also add an additional process state of UNKNOWN.

  Hash: 677d7c41d89c530f3f6c1af87994630b6030f4c9
  Files affected:

    examples/process_snapshot.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h

2004-04-03  Tim Bishop  <tim@bishnet.net>

    Now need -lkvm on FreeBSD 5.

    
  Hash: 77f08e4a725c8742c1b4049ffd6412f43c067e52
  Files affected:

    configure.in

2004-04-03  Tim Bishop  <tim@bishnet.net>

    Add test for failure to get stats.

    
  Hash: 3b4a29ed0b281ac73430d31751085dbbdd3e2d98
  Files affected:

    examples/process_snapshot.c

2004-04-03  Tim Bishop  <tim@bishnet.net>

    Got the command line args. Now using kvm to get information, although
    fortunately this doesn't need any special privileges. Switched to using
    kvm to get the process listing too.

    When no command line arguments available doing something similar to ps
    and putting the command name in brackets.

  Hash: 247c78915f3b6c7abea4ca21b73228a7d6ec108d
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-03  Tim Bishop  <tim@bishnet.net>

    Fix CPU percentages on FreeBSD 5. Set args to NULL until we can figure
    out how to collect them. Still need to add code for other BSD's.

    
  Hash: 61d3aa94f823f7c0437b06d16766c559e9f745cd
  Files affected:

    src/libstatgrab/process_stats.c

2004-04-03  Tim Bishop  <tim@bishnet.net>

    Add process_snapshot example for testing the new process stats code.

    
  Hash: 7cf41642709993c8c1f7ebfa9b17685d6dc2725b
  Files affected:

    examples/Makefile.am
    examples/process_snapshot.c

2004-04-02  Tim Bishop  <tim@bishnet.net>

    Reimplement get_process_stats. I presume the plan was to rewrite this to
    use the new function for collecting stats :-)

    Seems to work on FreeBSD5 - but I'm not entirely convinced my BSD code
    is working yet.

  Hash: 9e4d96f1710ef79bb270a9e10d0324adee7eb705
  Files affected:

    src/libstatgrab/process_stats.c

2004-03-30  Tim Bishop  <tim@bishnet.net>

    The startings of the BSD code. Only works on FreeBSD 5 so far.

    Doesn't yet do command line arguments, or CPU percentages correctly.

  Hash: cfc20ab4e7be0f7853a915f66b8a976418ce048e
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h

2004-03-30  Peter Saunders  <pajs@i-scream.org>

    Basic framework for linux.. Doesn't do CPU on a per process basis, as
    i'm not sure the best way to approach that yet.

    
  Hash: 3f50d6e2fadfdd4cd0d61adf60f8f05449ff9f60
  Files affected:

    src/libstatgrab/process_stats.c

2004-03-28  Peter Saunders  <pajs@i-scream.org>

    Added the state for solaris

    
  Hash: 104a547386c340477d93627fe491a2e03e4cf6b5
  Files affected:

    src/libstatgrab/process_stats.c

2004-03-28  Peter Saunders  <pajs@i-scream.org>

    Modifying the type of process states to an enum. The names maybe a touch
    unfriendly however..?

    
  Hash: 8c9ba14632dd6bf0777c491a01ecccf008160c14
  Files affected:

    src/libstatgrab/statgrab.h

2004-03-28  Peter Saunders  <pajs@i-scream.org>

    The start of the rework for process_stats to give more information, and
    to become a standard proc interface.

    
  Hash: 01ecf001e1f679d2638edee618c99f37bdee94cf
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h

2004-03-20  Tim Bishop  <tim@bishnet.net>

    We don't need kvm on FreeBSD 5 any more.

    
  Hash: a3cd20e84422f3617a01f00cca29e9b3fcd451e8
  Files affected:

    src/libstatgrab/tools.c

2004-03-20  Tim Bishop  <tim@bishnet.net>

    The libstatgrab python bindings are now their own package - pystatgrab.

    
  Hash: a35d0b2ca077c09bd1d57473cccd2ebf8d05330d
  Files affected:

    Makefile.am
    extras/python/setup.py
    extras/python/statgrab.pyx

2004-03-19  Adam Sampson  <ats@offog.org>

    People using devfs have partition names longer than 20 characters.

    
  Hash: 0acc5cdd5e1feb70ed5d3099584e3ad51ac84261
  Files affected:

    src/libstatgrab/disk_stats.c

2004-03-17  Adam Sampson  <ats@offog.org>

    Add a workaround for NetBSD: the first call to get_uvmexp() doesn't fill
    in the structure, so we would normally get junk values on the first call
    that used it.

    
  Hash: 38a604e5e1fc853125a6e9b17ca09c7ce3cdef84
  Files affected:

    src/libstatgrab/tools.c

2004-03-11  Tim Bishop  <tim@bishnet.net>

    Put libstatgrab URL, rather than i-scream URL, in the docs.

    
  Hash: d0bf8015fc268962ffa31c7a010babc6ab45ed3c
  Files affected:

    docs/cpu_percent_usage.xml
    docs/get_diskio_stats.xml
    docs/get_general_stats.xml
    docs/get_load_stats.xml
    docs/get_memory_stats.xml
    docs/get_network_iface_stats.xml
    docs/get_network_stats.xml
    docs/get_page_stats.xml
    docs/get_process_stats.xml
    docs/get_user_stats.xml
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/sg_get_user_stats.xml
    docs/libstatgrab/statgrab.xml
    docs/sg_get_cpu_stats.xml
    docs/sg_get_disk_io_stats.xml
    docs/sg_get_host_info.xml
    docs/sg_get_load_stats.xml
    docs/sg_get_mem_stats.xml
    docs/sg_get_network_iface_stats.xml
    docs/sg_get_network_io_stats.xml
    docs/sg_get_page_stats.xml
    docs/sg_get_process_stats.xml
    docs/sg_get_user_stats.xml
    docs/statgrab.xml

2004-03-09  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: 1e0614d2a993b962d2add9ebc16d9601189355da
  Files affected:

    configure.in
    extras/python/setup.py

2004-03-09  Tim Bishop  <tim@bishnet.net>

    Mention what UNKNOWN_DUPLEX could mean.

    
  Hash: e59176b6b193d39108b48e7a62f9494d5249cedb
  Files affected:

    docs/get_network_iface_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/sg_get_network_iface_stats.xml

2004-03-09  Adam Sampson  <ats@offog.org>

    Rework transfer_diff so that it doesn't need an inexpressible constant
    on 64-bit systems. Add OpenBSD to the platforms with 32-bit transfer
    stats.

    
  Hash: daa9723389f00b62138fc55d87c2f558257a64e6
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-09  Tim Bishop  <tim@bishnet.net>

    Add note about privileges, and more comment on state of cygwin port.

    
  Hash: 50f731e6e2d07b8c79ec1face4cdfa23e9507626
  Files affected:

    PLATFORMS

2004-03-09  Tim Bishop  <tim@bishnet.net>

    Add note about PLATFORMS to the NEWS file.

    
  Hash: ec092bc1bc706413bab45d7b72dde974223371d2
  Files affected:

    NEWS

2004-03-09  Tim Bishop  <tim@bishnet.net>

    Add platform specific notes (particularly on required privileges) to the
    PLATFORMS file.

    
  Hash: 55a3546794494ef3a96a98da16c1fa50989486eb
  Files affected:

    PLATFORMS
    README

2004-03-09  Adam Sampson  <ats@offog.org>

    Add a FIXME note on the network interface stats code; some Solaris
    interfaces have packet counts but not byte counts, so it would be useful
    to return those once we have a way of indicating the byte count is
    unknown.

    
  Hash: d5ed76edd2aa59052a172bb1fd62040411458356
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-08  Tim Bishop  <tim@bishnet.net>

    Getting ready for 0.9.

    
  Hash: 984625282dd063fce3dace56851890c4ec89add6
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2004-03-08  Tim Bishop  <tim@bishnet.net>

    On OpenBSD IFM_1000_TX is defined to be IFM_1000_T. We can't have both
    in our case statement, so ignore IFM_1000_TX.

    
  Hash: 7fb2fa03eb4c15020ab3adc00ded628a5390159e
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-08  Tim Bishop  <tim@bishnet.net>

    Add support for new network stats on Solaris. Please check this change
    cos this is the first time I've coded Solaris stuff :-)

    
  Hash: d48452894f0fa2d1b9fd922bffee94e00b3fee6f
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-08  Tim Bishop  <tim@bishnet.net>

    The values are long long, not long.

    
  Hash: a42c13b61bce7cc1599378b84289d6feb0d5ea85
  Files affected:

    examples/network_traffic.c

2004-03-08  Tim Bishop  <tim@bishnet.net>

    Change MAXVAL to Hex. I've made an assumption that they were +1 too big
    before. I might be wrong, though.

    
  Hash: ed2dfa7957b6de46f9dd4770f55c59b10d1799e4
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-08  Tim Bishop  <tim@bishnet.net>

    Fix layout problems with network traffic example.

    
  Hash: 847643e04780fdc3eeff4a4c5b1c174deb3255ef
  Files affected:

    examples/network_traffic.c

2004-03-06  Tim Bishop  <tim@bishnet.net>

    Update documentation to know about the new functions and return data.

    
  Hash: c3130b05a631b690d9de3b4c4bc7fbb6e62673b8
  Files affected:

    docs/Makefile.am
    docs/get_network_iface_stats.xml
    docs/get_network_stats.xml
    docs/libstatgrab/sg_get_network_iface_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/libstatgrab/statgrab.xml
    docs/sg_get_network_iface_stats.xml
    docs/sg_get_network_io_stats.xml
    docs/statgrab.xml

2004-03-06  Adam Sampson  <ats@offog.org>

    "And if a 4 turned out to be 9, I don't mind, I don't mind..." Fix
    regexec result count.

    
  Hash: 0c07b933bb6b36dd68e8b69830147070d128286b
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-06  Tim Bishop  <tim@bishnet.net>

    Fix bug in network_iface_stats example - I forgot to increment pointer
    :-)

    
  Hash: 66ea3c3c75fed0c3e1e851b08e58d9cd98b8d26c
  Files affected:

    examples/network_iface_stats.c

2004-03-06  Tim Bishop  <tim@bishnet.net>

    Update network traffic example to make it aware of new data.

    
  Hash: db8b36c34ae68c7cf4e156b49a7233d386827dc1
  Files affected:

    examples/network_traffic.c

2004-03-06  Adam Sampson  <ats@offog.org>

    Chase new network interface stats.

    
  Hash: 4ad5fe1b4c21dfd5ca71c233f15a4ccf50b39e54
  Files affected:

    src/statgrab/statgrab.c

2004-03-06  Adam Sampson  <ats@offog.org>

    Make the network stats regexp simpler. Since /proc/net/dev is a fixed
    format, there's no need to use [[:space:]] and [[:digit:]]; a literal
    space and [0-9] will suffice.

    
  Hash: 60cfa970ef88d085f3a104d3121bb7a8aa7c18f5
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-06  Adam Sampson  <ats@offog.org>

    Make the regexp match array the right size for Linux.

    
  Hash: 13f0fc81cd8bab7e9df35dd56650e99ba70c632e
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-06  Tim Bishop  <tim@bishnet.net>

    Add new features to python wrapper.

    
  Hash: 6d167bf6d898a2c691626f71ec82b47814393304
  Files affected:

    extras/python/statgrab.pyx

2004-03-06  Tim Bishop  <tim@bishnet.net>

    Add support for errors/packets/collisions to Linux.

    
  Hash: bd13cddb002ee3a6570bfecd459e8ebe8afaf23b
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-06  Tim Bishop  <tim@bishnet.net>

    Make the rest of the code aware of the new values in the struct.

    
  Hash: 3a3050355db9addbff909ed94b71c958a5b0dd46
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-06  Tim Bishop  <tim@bishnet.net>

    Add getting errors, packets, and collisions for network interfaces on
    BSD.

    
  Hash: f23411758fb2b3796009d19ee1f2aab0db4e6779
  Files affected:

    src/libstatgrab/network_stats.c

2004-03-04  Tim Bishop  <tim@bishnet.net>

    An "idea" what the network stats might look like with extra stuff in.
    Pete, please approve/fix then I'll do the BSD code :-)

    
  Hash: 196dd4e7476e751f0f7671f894b402edf716b8a5
  Files affected:

    src/libstatgrab/statgrab.h

2004-02-18  Adam Sampson  <ats@offog.org>

    Buggy Solaris qsort/bsearch still try to access the array if the length
    is zero.

    
  Hash: ac249514c1716f4855276935c80f7510fbe8f3c7
  Files affected:

    src/statgrab/statgrab.c

2004-02-16  Tim Bishop  <tim@bishnet.net>

    Add support for DragonFly BSD 1.0. Also a minor tweak to the network
    interface code to make it more portable.

    
  Hash: 0ccfd296db0b6bcf017517ea6fdea20581a2f9e4
  Files affected:

    PLATFORMS
    configure.in
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c

2004-02-15  Tim Bishop  <tim@bishnet.net>

    Seems we sometimes need root privs on linux :/

    
  Hash: f8844e1d961308f9a43fe5d92d54ef214b760987
  Files affected:

    configure.in
    src/saidar/Makefile.am
    src/statgrab/Makefile.am

2004-02-15  Tim Bishop  <tim@bishnet.net>

    Update AUTHORS; it's not quite so clear cut anymore, so just list names.

    
  Hash: 883958708f5d315249fcd2e2906aaff2d4c33483
  Files affected:

    AUTHORS

2004-02-14  Adam Sampson  <ats@offog.org>

    get_kvm() only on FreeBSD.

    
  Hash: 8f0c356ce1fb994d4dee7ab07302d6382c5ac37e
  Files affected:

    src/libstatgrab/tools.h

2004-02-14  Tim Bishop  <tim@bishnet.net>

    We don't need to be setuid root on Solaris 8+. On Solaris 7 and below we
    do need to, but only if we care about the disk mappings.

    This leaves us needing to be setuid root for disk mappings on Solaris 7 
    and below, and needing setgid kmem on FreeBSD 4 for swap statistics.

  Hash: b5a4792302f1b04a0222e86e80a6426ed4d1a068
  Files affected:

    configure.in

2004-02-14  Tim Bishop  <tim@bishnet.net>

    Change swap_stats on FreeBSD 5 - no longer uses kvm. This means that we
    no longer need setgid kmem on FreeBSD 5, or kvm, at all. However, this
    change doesn't work on FreeBSD 4 - so kvm is still needed there.

    
  Hash: ff66078d38d9f5bed01da0de8e212a1f207cfd2f
  Files affected:

    configure.in
    src/libstatgrab/swap_stats.c

2004-02-14  Tim Bishop  <tim@bishnet.net>

    Chase changes in statgrab.h.

    
  Hash: 350e1e88734c1051c9519ee246be838c65361609
  Files affected:

    extras/python/statgrab.pyx

2004-02-14  Adam Sampson  <ats@offog.org>

    Rework iface_stat code for Solaris so that it uses SIOCGIFFLAGS to find
    out whether an interface is up or not. This means that we need to link
    with -lsocket -lnsl now to get socket().

    Also make the comment about when bytes-transferred stats a bit more
    explicit. We're now in the slightly odd situation where it's possible
    for an interface to show up in either or both of get_network_stats and
    get_network_iface_stats: for instance, on raptor at the moment, ce0 is
    in use so shows up in both, lo0 doesn't have kstats for bytes
    transferred and thus only shows up in the second, and ce1 exists but
    hasn't been plumbed so only shows up in the first. I'd be mildly
    inclined to "fix" this by making get_network_stats do a SIOCGIFFLAGS 
    ioctl so unplumbed interfaces don't show up at all (and add packets 
    received/transmited to the get_network_stats result so we can at least
    show something for lo0).

  Hash: d3b089b3212654ca707bdec1b93ea993e28eb446
  Files affected:

    configure.in
    src/libstatgrab/network_stats.c

2004-02-14  Adam Sampson  <ats@offog.org>

    Move free inside the right #ifdef, and fix a memory leak when sysctl
    fails.

    
  Hash: 0dbfac505eaf0fc3b85b424a648e95bee2b4fa34
  Files affected:

    src/libstatgrab/process_stats.c

2004-02-14  Tim Bishop  <tim@bishnet.net>

    Look at all the process states on all the BSD's. Tidly done using
    ifdef's.

    
  Hash: c7f808d8fed1935cc6e1f9951a1008837e4c5ad8
  Files affected:

    src/libstatgrab/process_stats.c

2004-02-14  Adam Sampson  <ats@offog.org>

    ifaces doesn't need to be static.

    
  Hash: a66565347516e268b9da736e03f0fcecfbbc6712
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-14  Adam Sampson  <ats@offog.org>

    There's no need to get_uvmexp on startup on NetBSD any more.

    
  Hash: 644ad27a9494952cead90bbe8fc382719e7dd99d
  Files affected:

    src/libstatgrab/tools.c

2004-02-14  Tim Bishop  <tim@bishnet.net>

    kvm is now only needed for FreeBSD, so change defines accordingly.

    
  Hash: 3befdae60fd466f4c2e9b0c82bb3993fdf88be6e
  Files affected:

    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2004-02-14  Adam Sampson  <ats@offog.org>

    Define u64 to fix Linux 2.4.21 build.

    
  Hash: aba1e60e690ca6db8663ac59d30a486129db3556
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-14  Tim Bishop  <tim@bishnet.net>

    NetBSD and OpenBSD no longer need any elevated privileges, or any extra
    libraries to link against.

    
  Hash: fb783fc0b4262d667697fa8cd798e8a780f10ea9
  Files affected:

    configure.in

2004-02-14  Peter Saunders  <pajs@i-scream.org>

    Fixed compile error. We not sure that link_up gets us what we want tho.

    
  Hash: 68dbd048ed03eca7ef4addbcedc259014f7e9094
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-14  Tim Bishop  <tim@bishnet.net>

    Switch process stats to using sysctl on ALLBSD. On OpenBSD and hopefully
    NetBSD (this hasn't been tested yet - but I'm quite confident) this
    means we no longer need any elevated privileges.

    
  Hash: 1e8581ff0006884f1cb0c490825131ff8b862a83
  Files affected:

    src/libstatgrab/process_stats.c

2004-02-14  Adam Sampson  <ats@offog.org>

    Rearrange the BSD network_iface_stat code in the same way as the Linux
    code; try SIOCGIFFLAGS first to find out whether the interface is up,
    then only fill in the other information if it's available.

    
  Hash: cebf0376c8581d59397739c9b2a00407a395a43e
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-14  Adam Sampson  <ats@offog.org>

    Make the unknown speed 0 to match the BSD code.

    
  Hash: 4ff1ff8eefca76f11ec7880a7b211c385d87fbd3
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-14  Adam Sampson  <ats@offog.org>

    Tidy up the Linux iface_stat code.

    - fclose(f) once we're done to avoid fd leak
    - no need to malloc struct ethtool_cmd since it's of constant size (and
     this avoids some odd-looking casts)
    - use switch rather than multiple ifs for duplex codes
    - use SIOCGIFFLAGS ioctl first to find out whether the interface is up,
     since this works on all interfaces

    The user-visible change here is that ->speed and ->dup now get filled in 
    with -1, UNKNOWN_DUPLEX for interfaces that don't support SIOCETHTOOL. 
    Fixing this properly is on the todo list...

  Hash: 8728d2b4c24c16c870f76f80b59a181ef9afcfad
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-14  Adam Sampson  <ats@offog.org>

    Rename BSD "int s" to "int sock" to match Linux code and fix compile
    error. Make BSD code set the interface name before calling ioctl so it
    gets the stats for the right interface.

    
  Hash: 8b2935c701b2aaa11af1856b3dfb2d60aaea2fa5
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-14  Adam Sampson  <ats@offog.org>

    Add support for interface .up.

    
  Hash: 3ac9c1951cefd3ca1bb07f0852eb328905e79370
  Files affected:

    src/statgrab/statgrab.c

2004-02-14  Adam Sampson  <ats@offog.org>

    uvm.h needs sys/time.h on NetBSD to get struct timeval.

    
  Hash: 8b551144c0c978c690c691dea4a1655cb2b9581d
  Files affected:

    src/libstatgrab/memory_stats.c
    src/libstatgrab/swap_stats.c

2004-02-13  Peter Saunders  <pajs@i-scream.org>

    *bsd didn't do what i wanted. Still needs testing for all platforms.

    
  Hash: baae0072dd871ca5641994c5efde03977017809d
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-13  Peter Saunders  <pajs@i-scream.org>

    Added up/down interface detection. Not tested (or even compiled) on any
    os. So that really needs to be done :)

    
  Hash: 5449b6972857ca14cd0c0ade7407c0dffa88c6f8
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/statgrab.h

2004-02-13  Tim Bishop  <tim@bishnet.net>

    Chase statgrab_duplex name changes. Add variables that can be accessed
    within python for the duplex enum.

    
  Hash: fa7ebb339bd882fcc9e8d363d79e7ccea25ea3b4
  Files affected:

    extras/python/statgrab.pyx

2004-02-13  Tim Bishop  <tim@bishnet.net>

    Finish support for OpenBSD.

    Get disknames out of sysctl as well for Disk IO. Fix memory/page/swap
    stats to use get_uvmexp in tools.c (same as NetBSD).

  Hash: ab2ea9abf3426b39a8af9ac774d69966587b7fd9
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.h

2004-02-13  Tim Bishop  <tim@bishnet.net>

    Remove debugging line.

    
  Hash: 209625088387e6ccada30293481c7efc54f07aa0
  Files affected:

    examples/network_iface_stats.c

2004-02-13  Tim Bishop  <tim@bishnet.net>

    Add example for network_iface_stats. Fix duplex on Solaris.

    
  Hash: 44361e286f677e32b2b1c906bbb26af8973f30ee
  Files affected:

    examples/Makefile.am
    examples/network_iface_stats.c
    src/libstatgrab/network_stats.c

2004-02-13  Peter Saunders  <pajs@i-scream.org>

    Solaris bug fix for duplex detection.

    
  Hash: 9e256525238d82e2009ca799f7ab324eb70a32e1
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-13  Adam Sampson  <ats@offog.org>

    Fix another DUPEX-for-DUPLEX typo. Include <unistd.h> to get the
    definition of close().

    
  Hash: 0f8350ae9857a6cd72f819bb30277f79d2a0d337
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-13  Adam Sampson  <ats@offog.org>

    Use sysctl to read struct uvmexp, since this works on both NetBSD and
    OpenBSD.

    
  Hash: d62088ba5097f26d967fb39b3aac24cc8e6aa796
  Files affected:

    src/libstatgrab/tools.c

2004-02-13  Adam Sampson  <ats@offog.org>

    Track rename of duplex to statgrab_duplex.

    
  Hash: bd794b72370dcd2aa1cff79bedc7ab9de5085e4c
  Files affected:

    src/statgrab/statgrab.c

2004-02-13  Adam Sampson  <ats@offog.org>

    DUPLEX, not DUPEX. NetBSD has FreeBSD 5-like speed definitions.

    
  Hash: a664aa62309dbe61b16e019aba8b7d827e09dc1c
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-13  Peter Saunders  <pajs@i-scream.org>

    Added a couple of forgotten close's.

    
  Hash: 1dd6d7ba99fadf16bce6a6c03d51011546efc7a7
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-13  Peter Saunders  <pajs@i-scream.org>

    Couple of name changes, and a tidy up.

    
  Hash: 56c63e4b1d43dcc3c46953431e5e6db62bf881f7
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/statgrab.h

2004-02-13  Adam Sampson  <ats@offog.org>

    Add network_iface_stat support.

    
  Hash: 799496383b8fe288193e7a2af52a1f5a7e1c8199
  Files affected:

    src/statgrab/statgrab.c

2004-02-13  Tim Bishop  <tim@bishnet.net>

    There's no need to return how many entries are in a list at the start of
    the list. There's much easier ways to work out how many there are :-)

    
  Hash: 25823ee034268ba08a066c331a90035fa8036661
  Files affected:

    extras/python/statgrab.pyx

2004-02-13  Tim Bishop  <tim@bishnet.net>

    Bring the python extension up-to-date with the latest libstatgrab
    functions. Still need to look at that enum thing and how best to use it.

    
  Hash: 109e9645e3388083a8fbec5f8d11a71469fad28a
  Files affected:

    extras/python/setup.py
    extras/python/statgrab.pyx

2004-02-12  Tim Bishop  <tim@bishnet.net>

    Fix on FreeBSD 5. Also add IFM_1000_FX missed on FreeBSD 4.

    
  Hash: 7b1776a1a01ae65ff9d7f890c53d699c09bd1ebb
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-12  Tim Bishop  <tim@bishnet.net>

    We'll almost certainly go with 0.9 for our next release.

    
  Hash: 8704e02b9483f46a318e7619d80f9392f220e91d
  Files affected:

    configure.in

2004-02-12  Tim Bishop  <tim@bishnet.net>

    Add preliminary support for OpenBSD (tested on 3.3).

    All works apart from Disk IO stats - currently the disks are not named 
    correctly. The fix for this is probably to use KVM.

    Mostly similar to the NetBSD code, the notable exception being the uvm 
    stuff. In NetBSD there's a function to get it, in OpenBSD sysctl is
    needed to get hold of it.

  Hash: 70dc2fdc3edb6b782a76578ee2c16671849dc124
  Files affected:

    PLATFORMS
    configure.in
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/user_stats.c

2004-02-12  Peter Saunders  <pajs@i-scream.org>

    Added network interface stats for linux.

    Points to remember: a) This code will need to be run as root. Otherwise,
    it should
      safely return null. b) the "speed" may be incorrect if the interface
    is not actually up
      and talking to anything. However, duplex will be set to NO_DUPLEX
      so as long as they use that test first, there should be no problem.
      (This is safe assumption to work on, even for other platforms) c) This
    was a nastyish and hard bit of code. Maybe bugs, would appricate
      a look over by people :)

  Hash: 628944eca72e2f503769e371c11c8fa7238ae396
  Files affected:

    src/libstatgrab/network_stats.c

2004-02-10  Tim Bishop  <tim@bishnet.net>

    StatgrabException should be derived from Exception.

    
  Hash: 6cf61a903ba9cd2a279204dfb42766cea5625dd6
  Files affected:

    extras/python/statgrab.pyx

2004-02-10  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: 5ac6c5e0090a93ae409f75c53a6a1743468da54d
  Files affected:

    extras/python/setup.py

2004-02-10  Tim Bishop  <tim@bishnet.net>

    Update version.

    
  Hash: 2afc42989f9d789043820b56a08a39b67880ba2b
  Files affected:

    extras/python/setup.py

2004-02-10  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: 4c6b279c82bc98493f2384b040f57aa09cfdbc75
  Files affected:

    configure.in

2004-02-10  Tim Bishop  <tim@bishnet.net>

    Update for release of 0.8.2.

    
  Hash: be64fcdbca598b7ecec5dc9b8d18f7a3d108e3e2
  Files affected:

    NEWS
    PLATFORMS
    src/libstatgrab/Makefile.am

2004-02-10  Tim Bishop  <tim@bishnet.net>

    Make setup.py figure out compiler flags using pkg-config. This makes it
    portable across platforms.

    
  Hash: ff798dc0ad666100269eae34ab533815b63bf3a8
  Files affected:

    extras/python/setup.py

2004-02-10  Tim Bishop  <tim@bishnet.net>

    On solaris 6/7 test for libdevinfo and only try to link it if we find
    it.

    
  Hash: 26679c8084ff2523db3e8b75c4fe71e37ca74357
  Files affected:

    configure.in

2004-02-10  Peter Saunders  <pajs@i-scream.org>

    Added extra ifdef due to compile error

    
  Hash: ebe310115af382e0eb1d4daadb29dc98d42f7400
  Files affected:

    src/libstatgrab/tools.c

2004-02-10  Peter Saunders  <pajs@i-scream.org>

    Ooops, wrong logic and didn't think hard enough about it.

    
  Hash: 095138f918b26c8a56ad367f28aea1419be117a4
  Files affected:

    src/libstatgrab/tools.c

2004-02-10  Peter Saunders  <pajs@i-scream.org>

    Solaris 6 doesn't have libdevinfo. So, as a way to get it to compile, we
    will not do the drive mappings sol 6 and lower.

    
  Hash: 5d5040df0681960985d5df4e3fe1e7385bf64a45
  Files affected:

    src/libstatgrab/tools.c

2004-02-10  Tim Bishop  <tim@bishnet.net>

    Add check for libdevinfo.h

    
  Hash: 6d4c3dd7c350192e9d7ada76878d602f07966e42
  Files affected:

    configure.in

2004-02-10  Peter Saunders  <pajs@i-scream.org>

    Fix it so it will actually work :)

    
  Hash: 28cccdc01f439258435fa920a0e4a3a3d1ba699c
  Files affected:

    src/libstatgrab/load_stats.c

2004-02-10  Peter Saunders  <pajs@i-scream.org>

    Allow load_stats to work on solaris 6 (and probably 5)

    
  Hash: 26bfd7cc4d1f6a93ecd5585df450d8a86663b680
  Files affected:

    src/libstatgrab/load_stats.c

2004-02-10  Tim Bishop  <tim@bishnet.net>

    Add check for sys/loadavg.h. We need to test for it on Solaris 2.6...

    
  Hash: a08a2ed7a8520a18b1d7d8a6317b34098ba22f99
  Files affected:

    configure.in

2004-02-09  Tim Bishop  <tim@bishnet.net>

    statgrabmodule -> statgrab.

    
  Hash: 4b2eb66df368ec4fd74da3af570105277b3ed995
  Files affected:

    Makefile.am

2004-02-09  Tim Bishop  <tim@bishnet.net>

    Add error checking to the python bindings. They previously didn't check
    for a NULL response from the libstatgrab functions - which resulted in
    python core dumping. It now raises an exception instead. Also add a
    first stab at a setup.py so people can quickly build/install this
    extension if they want.

    
  Hash: bfc5d417631f3733c9a18ecee7c2bef97e0b040d
  Files affected:

    Makefile.am
    extras/python/setup.py
    extras/python/statgrab.pyx

2004-02-06  Tim Bishop  <tim@bishnet.net>

    Return objects instead of hash-like-things :)

    
  Hash: 031f1fc19d0108167409762d46966f65861de421
  Files affected:

    extras/python/statgrab.pyx

2004-02-06  Tim Bishop  <tim@bishnet.net>

    Add the python wrappers to the Makefile so they're added to the dist.

    
  Hash: 570366d5abd24ccd9d8f75c630102ccb86f2aede
  Files affected:

    Makefile.am

2004-02-06  Tim Bishop  <tim@bishnet.net>

    Add libstatgrab python wrapper. This won't be installed with
    libstatgrab, or in fact have anything done to it - it's just there if
    people want it. If it matures, I'll consider making it a package in it's
    own right.

    
  Hash: e5b63cd083e48a1c9acc915fcce8f1c7c0309d62
  Files affected:

    extras/python/statgrab.pyx

2004-01-25  Peter Saunders  <pajs@i-scream.org>

    Added code for freebsd to do the network interface speeds. I've put it
    under the label ALLBSD however, as i suspect it will work on all the
    BSD's of intrest.

    
  Hash: 76e9506ba09297f5ec2a070a6f1bef5f36e49cb6
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/statgrab.h

2004-01-23  Peter Saunders  <pajs@i-scream.org>

    Added the ability to get the interface speed/duplex for solaris. Not
    really checked code, but it appears to work.

    
  Hash: 806a6a52c2e41dafc6d5ab4cb573670c6cfc57e8
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/statgrab.h

2004-01-21  Adam Sampson  <ats@offog.org>

    Tidy up get_network_stats_diff and get_diskio_stats_diff.

    
  Hash: 23695ae8f29cafbb8131bb5f5d0cc0bba028835b
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/network_stats.c

2004-01-21  Adam Sampson  <ats@offog.org>

    Fix build on NetBSD.

    
  Hash: 1b54bd2d02d2e832dc254adaf48ae88f88d9f9ea
  Files affected:

    src/libstatgrab/user_stats.c

2004-01-21  Tim Bishop  <tim@bishnet.net>

    Fix compile error on cygwin.

    
  Hash: 15f4fae2bb1b477506a07ecda4df0c9026e75169
  Files affected:

    src/libstatgrab/user_stats.c

2004-01-21  Tim Bishop  <tim@bishnet.net>

    Very minor fix to saidar. It happily accepted a negative number for it's
    delay flag - which wasn't overly useful :-)

    
  Hash: 826a862a73aefb670c243fc10db6506fd5ec9fb7
  Files affected:

    NEWS
    src/saidar/saidar.c

2004-01-19  Tim Bishop  <tim@bishnet.net>

    Post release version increment.

    
  Hash: 7d2f6e4ef5eb1a7a7d0b1a66a72b8157a28afd25
  Files affected:

    configure.in

2004-01-19  Tim Bishop  <tim@bishnet.net>

    A whole bunch of minor cosmetic changes.

    
  Hash: 70dfdfb9a566a7fca8f8c14e0282d4a2f4bd45f2
  Files affected:

    AUTHORS
    Makefile.am
    NEWS
    README
    README.CVS
    docs/Makefile.am
    examples/Makefile.am
    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c
    libstatgrab.pc.in
    src/Makefile.am
    src/libstatgrab/Makefile.am
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c
    src/saidar/Makefile.am
    src/saidar/saidar.c
    src/statgrab/Makefile.am
    src/statgrab/statgrab-make-mrtg-config.in
    src/statgrab/statgrab-make-mrtg-index.in
    src/statgrab/statgrab.c

2004-01-19  Tim Bishop  <tim@bishnet.net>

    Update relevant files for release of 0.8.1.

    
  Hash: 9a0573ca14e9c7cfbe1002df983242942d9217c4
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2004-01-16  Tim Bishop  <tim@bishnet.net>

    Alter the licensing of libstatgrab. The library part is now under the
    LGPL, whilst the tools/examples are under the GPL. Both licenses are
    included in the distribution (and are both now in CVS). Also made a
    minor alteration to the webpage where it said everything was licensed
    under the GPL.

    
  Hash: 52a2ca4665f94d15c677b0bb12adda397c653b95
  Files affected:

    COPYING
    COPYING.LGPL
    Makefile.am
    README
    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c
    src/saidar/saidar.c
    src/statgrab/statgrab-make-mrtg-config.in
    src/statgrab/statgrab-make-mrtg-index.in
    src/statgrab/statgrab.c

2004-01-15  Peter Saunders  <pajs@i-scream.org>

    Not the exactly "nice" code. Infact, not entirely happy with it... But,
    it makes a *massive* speed increase to the statgrab_init() function on
    solaris. It goes from take 15-20 seconds on pelican to < 1.

    
  Hash: 60b2193dc638f0927d99e9179e1fd8c254f92109
  Files affected:

    src/libstatgrab/tools.c

2004-01-10  Adam Sampson  <ats@offog.org>

    Add a couple of missing checks for NULL return values; this fixes the
    crash when libstatgrab runs out of FDs.

    
  Hash: ff8200da67494f4c499dc68702d34a902b1cb9d9
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/network_stats.c

2004-01-10  Adam Sampson  <ats@offog.org>

    Don't close f twice.

    
  Hash: 417291b5a765c1b2431c8f33635e6a6a04112e8f
  Files affected:

    src/libstatgrab/disk_stats.c

2004-01-10  Adam Sampson  <ats@offog.org>

    Fix broken comment.

    
  Hash: 8fc0a13ae80e229cff49907a68f1e8d0bac0c8d1
  Files affected:

    src/libstatgrab/tools.c

2004-01-09  Peter Saunders  <pajs@i-scream.org>

    As pointed out by azz.... time_t will be needed, thus the #include of
    sys/types.h

    
  Hash: e44981686b7e5cd4d508890636dd376040f00516
  Files affected:

    src/libstatgrab/statgrab.h

2004-01-09  Peter Saunders  <pajs@i-scream.org>

    Solaris 7 "fix" :)

    
  Hash: a4a496b82e32cb025352fcf264e1ab5f5b0846bb
  Files affected:

    src/libstatgrab/tools.c

2004-01-09  Peter Saunders  <pajs@i-scream.org>

    Removed #ifdef's as they should not be there.

    
  Hash: a4c03548e22e74f743b867df900eaa1328f2fa73
  Files affected:

    src/libstatgrab/statgrab.h

2004-01-09  Peter Saunders  <pajs@i-scream.org>

    Added strlcat/strlcpy (taken from openssh). Added a #define for both,
    and also atoll which we appear to of forgotten about when it was
    written.

    Removed that #ifdef around get_ll_match as atoll will now always be
    defined.

  Hash: 1da56116b04a58610a310a52b1b113da0aad835b
  Files affected:

    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2004-01-09  Adam Sampson  <ats@offog.org>

    Oops, yes. f can't be NULL at that point, though. Fix unterminated
    comment.

    
  Hash: 95412139c87974938c58f07ff1ef350db30f0752
  Files affected:

    src/libstatgrab/disk_stats.c

2004-01-09  Peter Saunders  <pajs@i-scream.org>

    Fixed leaking fd in diskio_stats code. Fixed a potential leak in
    page_stats.

    
  Hash: 99796ebbf900a3694dbf069f49443e45feab9010
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/page_stats.c

2004-01-06  Peter Saunders  <pajs@i-scream.org>

    Moving the MAX_LOGIN_NAME_SIZE to where it should be.

    
  Hash: ff89efbf1bf319ce41e72eb1bd87355c2a9022b1
  Files affected:

    src/libstatgrab/statgrab.h
    src/libstatgrab/user_stats.c

2004-01-06  Peter Saunders  <pajs@i-scream.org>

    Minor correction in docs.

    
  Hash: 26fc069362740c634dc5f0f6b56e62dea58b1ce8
  Files affected:

    docs/libstatgrab/statgrab.xml
    docs/statgrab.xml

2004-01-06  Tim Bishop  <tim@bishnet.net>

    Post-release version increments.

    
  Hash: 22e8d7b277250783d6b1c55297ec8bde4b221e90
  Files affected:

    configure.in

2004-01-06  Tim Bishop  <tim@bishnet.net>

    We're going with 0.8.

    
  Hash: c8e3568b189236f802eb10d9da4cf1ac8c71e12b
  Files affected:

    NEWS
    configure.in

2004-01-06  Tim Bishop  <tim@bishnet.net>

    Add new drop privileges function to NEWS.

    
  Hash: e8fe18afb4f2fe6dee9336d19b6aa3b8f5a93816
  Files affected:

    NEWS

2004-01-06  Tim Bishop  <tim@bishnet.net>

    Add dropping privileges to all the examples.

    
  Hash: 4fdf526dcae4c3635874c3406fe612cd0b0f06a7
  Files affected:

    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c

2004-01-05  Adam Sampson  <ats@offog.org>

    Make one of the examples use statgrab_drop_privileges.

    
  Hash: 79ab2775a9089440584373dbff55a411d82bcef4
  Files affected:

    examples/network_traffic.c

2004-01-05  Adam Sampson  <ats@offog.org>

    Fix a typo. Tidy up the description of statgrab_init a bit. Update the
    list of supported platforms.

    
  Hash: f868c4a1a3764b3eb8aa66dbc3f5a0e95adfce6a
  Files affected:

    docs/libstatgrab/statgrab.xml
    docs/statgrab.xml

2004-01-05  Tim Bishop  <tim@bishnet.net>

    Update shared library version.

    
  Hash: 2ca280b47bc17eb5eda9d3331c4431a532885990
  Files affected:

    src/libstatgrab/Makefile.am

2004-01-05  Adam Sampson  <ats@offog.org>

    Replace duplicated code for dropping privileges with a library function
    that always drops setuid/setgid privileges.

    
  Hash: 0ed4522a8dd693591a63d0449072f6420955307f
  Files affected:

    docs/libstatgrab/statgrab.xml
    docs/statgrab.xml
    src/libstatgrab/statgrab.h
    src/libstatgrab/tools.c
    src/saidar/saidar.c
    src/statgrab/statgrab.c

2004-01-05  Adam Sampson  <ats@offog.org>

    Remove unused variable "gid".

    
  Hash: 7706e8e6aee85e95174c844239dac8edc6a60808
  Files affected:

    src/saidar/saidar.c

2004-01-05  Adam Sampson  <ats@offog.org>

    Drop setuidness on Solaris.

    
  Hash: 65dec31411e596492bbbeafd47df2172f8a5f60b
  Files affected:

    src/statgrab/statgrab.c

2004-01-05  Tim Bishop  <tim@bishnet.net>

    Update stuff for new release.

    
  Hash: d5c1a2a0e295f1a61f9b43c1d28c9236dcc0a4bb
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2004-01-05  Peter Saunders  <pajs@i-scream.org>

    Drop setuid for solaris.

    
  Hash: bbf40090d35f32c2ef087d165ef7c9bc02c85f51
  Files affected:

    src/saidar/saidar.c

2004-01-05  Peter Saunders  <pajs@i-scream.org>

    Minor tiding

    
  Hash: 7ac0489fe91900a34e8e49bf871fb1888d987f35
  Files affected:

    src/libstatgrab/tools.c

2003-12-12  Tim Bishop  <tim@bishnet.net>

    On Solaris we sometimes need to be setuid root.

    
  Hash: 95c68cf473773b8c10ca54ca32402f12640759b7
  Files affected:

    configure.in
    src/saidar/Makefile.am
    src/statgrab/Makefile.am

2003-12-11  Tim Bishop  <tim@bishnet.net>

    Fix problem with -d flag in saidar. The line removed subtracted 1 from
    the delay. I guess at some point this was needed, but not now. So
    setting a delay of 1 resulted in a sleep 0 :-)

    
  Hash: b491a8b39f1cd7d70fd31f4a4d1e16d86b025066
  Files affected:

    src/saidar/saidar.c

2003-11-23  Tim Bishop  <tim@bishnet.net>

    Add statgrab_init() call to the examples. If people are going to copy
    them I guess we should try and make them correct :-)

    Also tidied up whitespace in the examples.

  Hash: 1b321fc8365c6f1384913316a96212b16948722f
  Files affected:

    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/page_stats.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c

2003-11-21  Tim Bishop  <tim@bishnet.net>

    Add section about new disk mappings.

    
  Hash: af446c3febf7ad466ecb2afe2993ab0854280a4c
  Files affected:

    docs/get_diskio_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/sg_get_disk_io_stats.xml

2003-11-20  Tim Bishop  <tim@bishnet.net>

    Add PLATFORMS file to list the known working operating systems. The list
    is roughly right, I think. It's just a starting point really.

    
  Hash: 203c129ef8b7bb82526c45b5c8134fdeb019a4b1
  Files affected:

    Makefile.am
    PLATFORMS

2003-11-20  Tim Bishop  <tim@bishnet.net>

    Turn on the solaris disk mapping code. Fix some minor bugs, and remove
    some debugging code.

    
  Hash: 637fdf1ee3187696d107315b15234818a4b4b1e0
  Files affected:

    configure.in
    src/libstatgrab/disk_stats.c
    src/libstatgrab/tools.c

2003-11-19  Tim Bishop  <tim@bishnet.net>

    Die nasty incorrect whitespace. Ahem. Excuse me.

    
  Hash: 0e521e64dd997ab924c0784892dd05947caf06c2
  Files affected:

    src/libstatgrab/tools.c

2003-11-13  Peter Saunders  <pajs@i-scream.org>

    Basic implementation of name mapping for solaris. The code is ugly,
    mostly because its initially taken from a sun example, and modified. It
    needs tiding somewhat. I'm not sure if tools.c is the right place for
    this, i guess it could go in disk_stats.c, but its doing a specific job,
    and we could right another mini-program which does the disk mappings.

    Comments welcome about the general implementation.

    Should we call build_mapping if the user calls get_svr_from_bsd and 
    build_mapping hasn't been run before? Or should we force them to use the 
    init function? (Bare in mind, on some systems, to do the mappings
    correctly the program will require to be root. (Only ones with a
    /dev/osa , so everything with an A1000 for e.g.)

  Hash: 664c601ba74a53fa9014e3a0997076ecb5a0ecd5
  Files affected:

    src/libstatgrab/tools.c

2003-11-12  Tim Bishop  <tim@bishnet.net>

    Remove a line added for Cygwin that's no longer needed.

    
  Hash: 4dec1ba45dc9056538662687b3bf81a7c8bae027
  Files affected:

    src/libstatgrab/load_stats.c

2003-11-12  Adam Sampson  <ats@offog.org>

    Use the userspace limits.h header, not the kernel one.

    
  Hash: 17faab46f2d903175c99ebe8cc57c7c17e51aa58
  Files affected:

    src/libstatgrab/process_stats.c

2003-11-12  Adam Sampson  <ats@offog.org>

    Make libstatgrab functions return NULL for stats that can't be fetched
    on cygwin.

    
  Hash: 27955e00dbd0781d228b84f7b23a7b36ebf6a1fa
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/process_stats.c

2003-11-11  Tim Bishop  <tim@bishnet.net>

    Fix a couple of Cygwin build issues. Not all the #ifdef LINUX's were
    changed in a previous commit.

    
  Hash: cd3989f443ee87711c6e9268aad60f6597b75536
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/statgrab.h

2003-11-10  Adam Sampson  <ats@offog.org>

    Strip colons from Cygwin drive names.

    
  Hash: 3566ce9ad782dd6100fc60a7d42d7b0e909abf9d
  Files affected:

    src/statgrab/statgrab.c

2003-11-10  Adam Sampson  <ats@offog.org>

    Factor out duplicated code that checks for valid FS types.

    
  Hash: 9957160f7530ffca096b53624e53ca9471847424
  Files affected:

    src/libstatgrab/disk_stats.c

2003-11-10  Adam Sampson  <ats@offog.org>

    Make Cygwin its own platform, rather than defining LINUX. This stops
    libstatgrab from trying to fetch stats that Cygwin doesn't have.

    
  Hash: 45688f718b75319dd668bd6f94e13e06df1d1040
  Files affected:

    configure.in
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/user_stats.c

2003-11-10  Adam Sampson  <ats@offog.org>

    Provide atoll() on platforms that don't have it.

    
  Hash: d0c7cf72daa4e27328328aa948620d0d272603d9
  Files affected:

    src/libstatgrab/tools.c

2003-11-10  Tim Bishop  <tim@bishnet.net>

    Add support for cygwin. This is a bit limited, there's a few things that
    can't be retrieved on cygwin such as load averages, diskio, network io,
    and process stats. The package compiles and runs, and both saidar and
    statgrab work.

    Taken from a patch submitted by Ron Arts <raarts@netland.nl>. Thanks
    Ron!

  Hash: 80739611acc9172b805cab7ddf4fb0aac1f7505b
  Files affected:

    README
    configure.in
    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/tools.c

2003-11-07  Adam Sampson  <ats@offog.org>

    Fix getopt() return value.

    
  Hash: 7bc1944750754fb5c066989d54de9bbb6614c36a
  Files affected:

    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/network_traffic.c
    examples/page_stats.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c

2003-11-07  Adam Sampson  <ats@offog.org>

    Remove a little bit of duplicated code.

    
  Hash: f5b14b6b30c5741e75a31bfcebf859e7fce3e5fe
  Files affected:

    src/saidar/saidar.c

2003-11-07  Adam Sampson  <ats@offog.org>

    Do the "don't update more than once a second" thing slightly
    differently; this avoids having it be unresponsive for 20 seconds if you
    type 20 spaces.

    
  Hash: 025f4a95ab87b200975a9bbb361b0794a63d86bc
  Files affected:

    src/saidar/saidar.c

2003-11-07  Adam Sampson  <ats@offog.org>

    getopt returns -1 on completion, not EOF.

    
  Hash: e6106ed48488772b8e324fe7b31d3daae4f3a25d
  Files affected:

    src/saidar/saidar.c

2003-11-07  Adam Sampson  <ats@offog.org>

    Fix type of ch.

    
  Hash: de1af90b67cb527acaaf0df152780cbb4489de64
  Files affected:

    src/saidar/saidar.c

2003-11-07  Adam Sampson  <ats@offog.org>

    Use curses' timeout() rather than select().

    
  Hash: d43fb5bb0835dea6720d47f0b5545fbe12fbb3dd
  Files affected:

    src/saidar/saidar.c

2003-11-07  Tim Bishop  <tim@bishnet.net>

    Add a space I removed by accident.

    
  Hash: 1998928211d1cc537338b9caab6084b4649ee074
  Files affected:

    src/statgrab/statgrab-make-mrtg-index.in

2003-11-07  Tim Bishop  <tim@bishnet.net>

    Now generates valid XHTML. Also added a line to the end of the page
    saying what generated it :-)

    
  Hash: 8af9a27d9b644ff0648d9dc2ee6ff090ee02ba33
  Files affected:

    src/statgrab/statgrab-make-mrtg-index.in

2003-10-24  Adam Sampson  <ats@offog.org>

    Support disk IO statistics on Linux 2.6. Remove a couple of unused
    variables.

    
  Hash: 8531cbfd39a4c39d1548bf3bb12902aa8f6ea2a8
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-24  Adam Sampson  <ats@offog.org>

    Support memory, swap and paging stats on Linux 2.6. For memory and swap,
    this just means reading the new-style data in /proc/meminfo (since it's
    present in 2.2 and 2.4 too); for paging, this means trying to read
    /proc/vmstat if it's available, else reading /proc/stat (for 2.2).

    
  Hash: d21c22a25fd1bf3b7e5b06dfa4efd82d7d964bfb
  Files affected:

    src/libstatgrab/memory_stats.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/swap_stats.c

2003-10-24  Adam Sampson  <ats@offog.org>

    Add the correct type to a couple of long long constants.

    
  Hash: 7d37be1c36d26b16ea4ad1690db50beae07fe0be
  Files affected:

    src/libstatgrab/network_stats.c

2003-10-24  Adam Sampson  <ats@offog.org>

    Initial Linux 2.6 support.

    
  Hash: 073c36dcf759b89d05057ac3dd710ed9852f2798
  Files affected:

    src/libstatgrab/memory_stats.c

2003-10-24  Adam Sampson  <ats@offog.org>

    Move MAX_LOGIN_NAME_SIZE definition to the right place.

    
  Hash: bcba79bedb4d8aed2af6e5f30070801a70a386e0
  Files affected:

    src/libstatgrab/statgrab.h
    src/libstatgrab/user_stats.c

2003-10-24  Tim Bishop  <tim@bishnet.net>

    Fix when --disable-saidar or --disable-statgrab used on BSD platforms.
    It seems you can do nested if statements, which is nice. Not sure if you
    can do combined ones (if foo && bar) or similar, though.

    
  Hash: 9a184bd71b7d82e334f02c98771267065cd55b4a
  Files affected:

    src/saidar/Makefile.am
    src/statgrab/Makefile.am

2003-10-24  Tim Bishop  <tim@bishnet.net>

    Fix for building from NetBSD pkgsrc. There the OS is detected as just
    netbsdelf, without a version suffix. I've left the elf bit, because I'm
    not sure what the implications would be for non-elf NetBSD's?

    
  Hash: 010156a3125cdacccfb72a69a7a0543f29f044c9
  Files affected:

    configure.in

2003-10-22  Tim Bishop  <tim@bishnet.net>

    Bump version post release.

    
  Hash: 627a3f21fca8840775fd1b91469dc7040b6f5e80
  Files affected:

    configure.in

2003-10-22  Tim Bishop  <tim@bishnet.net>

    Update the NEWS file to add new platforms we've tested on.

    
  Hash: 50cc300b3b99549f6fe5b4e1749f6f34294eb415
  Files affected:

    NEWS

2003-10-22  Tim Bishop  <tim@bishnet.net>

    Do the divides a bit more safely :-)

    
  Hash: d100e577db79fcc89493724a1bc0524b6327c667
  Files affected:

    src/saidar/saidar.c

2003-10-21  Tim Bishop  <tim@bishnet.net>

    Make saidar display the VM percentages for swap *or* memory if it can,
    rather than not displaying either if it can't get one or the other.

    
  Hash: c8db6a3ac4a49f1bb090c65c6204fdc1bb205304
  Files affected:

    src/saidar/saidar.c

2003-10-21  Tim Bishop  <tim@bishnet.net>

    Update for new release.

    
  Hash: f5b9ff09f6e0990fc6a14548aab60b2d3cf62b98
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2003-10-21  Peter Saunders  <pajs@i-scream.org>

    Added doc's for statgrab_init

    
  Hash: 74d96cdaffaaa249b891bc00c18caeed4c23466f
  Files affected:

    docs/libstatgrab/statgrab.xml
    docs/statgrab.xml

2003-10-20  Adam Sampson  <ats@offog.org>

    Only display the stats that are available (rather than bombing out if
    they aren't all available).

    
  Hash: 0b89834a2a29b44b3ece3f662dab0d6be08362b4
  Files affected:

    src/saidar/saidar.c

2003-10-20  Adam Sampson  <ats@offog.org>

    Use statgrab_init and drop privs as soon as possible.

    
  Hash: 38bca6a103661a641fcef1106194acf15b6df4e0
  Files affected:

    src/statgrab/statgrab.c

2003-10-20  Adam Sampson  <ats@offog.org>

    Clean up NetBSD memory calculations.

    
  Hash: e020eda2291abd98aad7ae4f04e74954f5a250ac
  Files affected:

    src/libstatgrab/memory_stats.c

2003-10-20  Peter Saunders  <pajs@i-scream.org>

    Changed the style slightly to be more readable.

    
  Hash: aacf8be61fba91dfce2ef8cf1374f477feea4e96
  Files affected:

    src/libstatgrab/tools.c

2003-10-20  Peter Saunders  <pajs@i-scream.org>

    Added statgrab_init()

    This function just calls the get_kvm type functions so all special
    privilages can be dropped after this function has been called. It
    currently only does stuff on *bsd (and needs testing on netbsd). All
    other OS's will just have a function that returns 0

    Solaris at somepoint may need to do something here so we can do the
    drive mappings.

  Hash: 5ede5c120eea442deaa7a7bacecad218410b4c51
  Files affected:

    src/libstatgrab/statgrab.h
    src/libstatgrab/tools.c
    src/saidar/saidar.c

2003-10-19  Tim Bishop  <tim@bishnet.net>

    Bump the version number.

    
  Hash: b960d3e979f1d8a96f08f6e532f36861aa3ebaf0
  Files affected:

    configure.in

2003-10-19  Adam Sampson  <ats@offog.org>

    Correct comment about where dk_rbytes is available.

    
  Hash: d24ffd4a5e0a87a372a282d41753eed3b00688ef
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Update VALID_FS_TYPES for FreeBSD (at least, those that I can see from a
    quick look at src/sys).

    
  Hash: 93a730218b1093520771fae3feb961d75786bc7a
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Update VALID_FS_TYPES for NetBSD.

    
  Hash: 7c285a7ce4586df27fcd8db4f884837551448ce1
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Implement diskio stats on NetBSD. Tested on 1.6, but should work on
    1.6.1 (and give more useful output, since 1.6.1 seperates read and write
    statistics).

    
  Hash: d212f731bade09219a2d19a297ca4c12be41b4d6
  Files affected:

    configure.in
    src/libstatgrab/disk_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Avoid bzero(NULL, ...) on malloc failure.

    
  Hash: dc4c6c3009b6965b05b85f55a6c5259b7bb592f1
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Update the Linux VALID_FS_TYPES list based on the writable disk-based
    filesystems in 2.4.22 (plus xfs and jfs).

    
  Hash: 8e98a9062dbb52fe21767cdca92c93b88f170178
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Remove another patch glitch.

    
  Hash: 064d9bb9ab55af10d8da212d6e392d9d7b7e48c0
  Files affected:

    src/libstatgrab/os_info.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Dear patch(1),   Kindly don't insert random lines from my code into the
    middle of other peoples' sscanfs.        love,          Adam

    
  Hash: b9d221a697440905282e66a816d7fa75e399d348
  Files affected:

    src/libstatgrab/memory_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Initial support for NetBSD. This adds NetBSD support for everything
    except diskio stats (since they're even more disturbingly complex to get
    at on NetBSD than the three OSs we already support). Tested against
    NetBSD 1.6 on i386.

    
  Hash: 21aa38b17814bcb1eb7cecf28ceeaed3b761dd24
  Files affected:

    configure.in
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Correct type of page.systime.

    
  Hash: 846e320c5b0a8544f2f457413b2da124fdac67fa
  Files affected:

    src/statgrab/statgrab.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Add a helper function for opening the kvm handle. This removes a little
    bit of duplicated code, and means that we don't open and close kvm
    (which can potentially be quite expensive) each time we use it. This
    will also be useful for NetBSD.

    
  Hash: e5a3b852b17e7d2b6e4d2bc5c744b36578196ac9
  Files affected:

    src/libstatgrab/process_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2003-10-19  Adam Sampson  <ats@offog.org>

    Fix warning when building on Linux.

    
  Hash: 440f87cd9e743d4eba487783e8e6d9b7e40a60a2
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-19  Adam Sampson  <ats@offog.org>

    Remove headers from tools.h that the prototypes don't need (since  
    they're included elsewhere where needed). Include tools.h in tools.c, so
    we get warnings if the prototypes are   wrong.

    
  Hash: 79f0c1d1bb9c24f51fa58ab67d3a52955229e462
  Files affected:

    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2003-10-18  Adam Sampson  <ats@offog.org>

    ... and the size parameter should be initialised to the size of the
    buffer first (although FreeBSD doesn't actually seem to care, NetBSD
    does, and the manual page says so).

    
  Hash: 2849cc62be327fd7d9633314aea4c043f4dda85b
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c

2003-10-18  Adam Sampson  <ats@offog.org>

    Fix a little bit of slightly-confused comment formatting.

    
  Hash: 6315bb548d347daedda73995921ea07a965bbd0c
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-18  Adam Sampson  <ats@offog.org>

    You only need to call sysctl{,byname}() twice if you're actually going  
    to do something with the size the first call returns. The last argument
    to sysctl{,byname}() is a size_t, not a pointer, so it   should be 0,
    not NULL.

    
  Hash: 19c8a51fd36dac9f2986aa09c0dc23c18467e5ad
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c

2003-10-18  Tim Bishop  <tim@bishnet.net>

    Update for new release - 0.6.1.

    
  Hash: 67241fe039d47b712e5e930e00ff7dbc2ec8e194
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2003-10-18  Adam Sampson  <ats@offog.org>

    Mangle device names more correctly; now a device like "/dev/vinum/foo"
    will become "vinum_foo", rather than "foo".

    
  Hash: c6849a7a444371b39357481d47fbafc447158b2e
  Files affected:

    src/statgrab/statgrab.c

2003-10-18  Adam Sampson  <ats@offog.org>

    Allow the user to specify the page title. Include the hostname in the
    page title by default.

    
  Hash: 59eb9d2f1fd3f56ea08d6e86e39f8c7c64326a83
  Files affected:

    src/statgrab/statgrab-make-mrtg-index.in

2003-10-18  Tim Bishop  <tim@bishnet.net>

    Now behaves a little bit more like df with regard to percentages. This
    needs a better fix somewhere in libstatgrab really; we don't currently
    know anything about the reserved space.

    
  Hash: 152aab4035f9264e882f84f9a9f8652f672c0622
  Files affected:

    src/saidar/saidar.c

2003-10-18  Peter Saunders  <pajs@i-scream.org>

    Brain failure over a confusion with strncpy (thinking it worked like
    strlcpy)

    
  Hash: 1c50ce817c369cc852988006061e8dc41c8ecc93
  Files affected:

    src/saidar/saidar.c

2003-10-18  Peter Saunders  <pajs@i-scream.org>

    Fix an annoying long hostname problem.

    
  Hash: 315d45f5ac6cf73c522ddb78d06656c4fdb2d079
  Files affected:

    src/saidar/saidar.c

2003-10-18  Tim Bishop  <tim@bishnet.net>

    Fix the total memory that I broke in the last commit.

    
  Hash: fbaf9351d74a5e1598a4cbceb297d052244ee52f
  Files affected:

    src/libstatgrab/memory_stats.c

2003-10-18  Tim Bishop  <tim@bishnet.net>

    Fix the FreeBSD memory code. The sysctl calls are returning ints, not
    long longs, so putting the values straight in to long longs was
    breaking. Now put the values into ints and then fill in the structure
    afterwards.

    This, for some reason, only showed up on FreeBSD 5.1/sparc64. The
    changed code works on the other FreeBSD's too.

    One bug still outstanding: on sparc64 the total memory isn't working.

  Hash: 3290e70c3d8e94a10b4c40f9336204c854d59e74
  Files affected:

    src/libstatgrab/memory_stats.c

2003-10-16  Tim Bishop  <tim@bishnet.net>

    Disk percentage may be arguably more "right" than it is before. It's
    debatable, of course :)

    
  Hash: cb5515a184a9134daa445742346e6e7353a192fb
  Files affected:

    src/saidar/saidar.c

2003-10-12  Tim Bishop  <tim@bishnet.net>

    Unbodge the pkgconfig stuff.

    
  Hash: 750c414bbca9cb197942fef68c7fdfdb464603b4
  Files affected:

    Makefile.am
    configure.in

2003-10-09  Tim Bishop  <tim@bishnet.net>

    Push version number for next release.

    
  Hash: 42b8d7009df2b377b5748a0fd706d6047207524d
  Files affected:

    configure.in

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    Fixed for freebsd 5 to count the new states a process can be in.
    Reverted back to the proper way for the total now this has been proven
    was the problem.

    
  Hash: 73b67ed366d0d5b197289479d22a7605f0e73c91
  Files affected:

    src/libstatgrab/process_stats.c

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    Possibly making sure that the total is always correct on freebsd 5, even
    if some of the states are left out.

    
  Hash: 2a7c7e0bf14365fc752a42eed3620ab8b146232c
  Files affected:

    src/libstatgrab/process_stats.c

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    Another stupid mistake. Now actually prints the program name :)

    
  Hash: a09b6c211ed9d9e74072343fb9a0e0d8b55a22f2
  Files affected:

    src/saidar/saidar.c

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    Tab problem in a fprintf and actually turn on the new command line
    options ;)

    
  Hash: 73c7ce44cc18d1e200e70bfa73f770637cce65f0
  Files affected:

    src/saidar/saidar.c

2003-10-09  Tim Bishop  <tim@bishnet.net>

    Ready for new release of libstatgrab - 0.6.

    
  Hash: d7ba856cebb1e40a8b9e5bd0029a4f66fb132544
  Files affected:

    AUTHORS
    NEWS
    src/libstatgrab/Makefile.am

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    Added some usage flags, and a -v for version and -h for help.

    
  Hash: 3d12d13883548c28ecf52fc473359067afb7e911
  Files affected:

    src/saidar/saidar.c

2003-10-09  Tim Bishop  <tim@bishnet.net>

    Standard header, plus make it include the right curses.h dependent on
    what the configure system finds.

    
  Hash: d23cc9dc451ce6e878e974467508d3e9a5e3e09a
  Files affected:

    src/saidar/saidar.c

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    First release of saidar. This version works on all platforms, using
    ncurses fine. Bugs exist when linked against the solaris curses. (E.g.
    if while running saidar you hammer a key repeatedly, the screen no
    longer updates. This only happens with the solaris curses however)

    Saidar takes a single optional flag, "-d" and an argument of the delay
    in seconds. e.g.

    saidar -d 1

    Will update the screen once a second (the fastest allowed update time).
    The default update it every 3 seconds. However, if you press any other
    key, it will update immidiately (unless its less than 1 second, in which
    case it will update at the earlist available time)

  Hash: df3f049cf17f66c2f800be7bc6eba308227ff95d
  Files affected:

    src/saidar/saidar.c

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    Fixed a forgotten line from the patch

    
  Hash: 749e526c41f0dae6f3b7a79dfa5d7d1b2ef52e62
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    Update to work for Freebsd5. Thanks to Tim Bishop for doing the hard
    work for this patch.

    
  Hash: 781cb270dc13de01c8986aac5c0537b0647e4caf
  Files affected:

    src/libstatgrab/process_stats.c

2003-10-09  Peter Saunders  <pajs@i-scream.org>

    Freebsd 5 patch for disk stats. Thanks to Tim Bishop for doing the hard
    work on this patch.

    
  Hash: e0f048a16be6d77f9907988cf19a2a5b1aca1b4e
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-09  Tim Bishop  <tim@bishnet.net>

    Enable binaries being setgid kmem on FreeBSD. Will set this based on the
    operating system, but is overridable using a configure flag.

    
  Hash: 23d6c8df53a6760981102e03faf95600d6839c8b
  Files affected:

    configure.in
    src/saidar/Makefile.am
    src/statgrab/Makefile.am

2003-10-08  Tim Bishop  <tim@bishnet.net>

    Add a define for FreeBSD 5.x.

    
  Hash: 6c2f42a0f3c018da5f777d3ae89e206337adba9e
  Files affected:

    configure.in

2003-10-08  Tim Bishop  <tim@bishnet.net>

    Unroll Pete's commits for doing drive mappings on Solaris. It doesn't
    work right and he wants to start again. Also, we don't want it in the
    next release :) This effectively removes revisions 1.22 and 1.23.

    
  Hash: 89507a88dbd07e60135a9709609797d60d1285d4
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-07  Tim Bishop  <tim@bishnet.net>

    Allow user to specify a different pkgconfig directory. Default is the
    sensible one (prefix/lib/pkgconfig). Main reason was that on FreeBSD
    they use prefix/libdata/pkgconfig, so a simple configure flag made it
    easier to do the port :-)

    
  Hash: 8014ec8487da374461bc65c9014344091951f300
  Files affected:

    Makefile.am
    configure.in

2003-10-07  Tim Bishop  <tim@bishnet.net>

    Further following of the manpage:

    "getdevs() expects the statinfo structure to be allocated, and it also 
    expects the dinfo subelement to be allocated and zeroed prior to the 
    first invocation of getdevs()."

    This finally makes saider work on FreeBSD.

  Hash: c0ccec46126d2644c5dab1c4df9fcf34e6f25d27
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-07  Tim Bishop  <tim@bishnet.net>

    Don't free stats.dinfo. If it used to store state between calls of
    getdevs it probably doesn't make sense to free it at the end of the
    first call of the function :)

    This follows Adam's last commit on this bit of which made sure we didn't
    reinitialise stats.dinfo every time round the loop.

  Hash: d6060756a465e1a139a478d689fd6d01e67f60fe
  Files affected:

    src/libstatgrab/disk_stats.c

2003-10-04  Tim Bishop  <tim@bishnet.net>

    Add autogen.sh, a script to run automake/autoconf/etc. This is used to
    build the build system when the package is checked out of CVS.

    Updated README.CVS files accordingly.

  Hash: 370ddbeb5899a4d5b0a861cf88845f16d6c718f9
  Files affected:

    README.CVS
    autogen.sh

2003-10-04  Tim Bishop  <tim@bishnet.net>

    The new version of ncurses installs it's headers in include/ncurses.
    Make the prefix setting stuff aware of this.

    
  Hash: e07b6054c6572b78105bccac522d87fd49492cb7
  Files affected:

    configure.in

2003-10-04  Tim Bishop  <tim@bishnet.net>

    Add all the build stuff for saidar (assuming Pete sticks with that
    name). The configure script will attempt to find curses, but if it can't
    will simply disable building of saidar (after giving a warning).

    Also made the building of saidar, statgrab, and the examples 
    conditional. They're enabled by default, but can be disabled using a 
    configure flag. Whilst I was at it, added a configure flag to disable 
    manpage installation at configure time.

    I'm not sure how well the curses detection works; we've had at least one
    report of a problem with it. Testing will be required.

  Hash: 170ff78536eb7439e8aefc8b75891c4ffa73242a
  Files affected:

    acinclude.m4
    configure.in
    docs/Makefile.am
    examples/Makefile.am
    src/Makefile.am
    src/saidar/Makefile.am
    src/statgrab/Makefile.am

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Add a central page statgrab(3) which links all the functions together.
    Add a link in the See Also section of each manual page back to the
    central one.

    
  Hash: e646b8e22574c8b709ed24ec58845ea685f34636
  Files affected:

    docs/Makefile.am
    docs/cpu_percent_usage.xml
    docs/get_diskio_stats.xml
    docs/get_general_stats.xml
    docs/get_load_stats.xml
    docs/get_memory_stats.xml
    docs/get_network_stats.xml
    docs/get_page_stats.xml
    docs/get_process_stats.xml
    docs/get_user_stats.xml
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/libstatgrab/sg_get_user_stats.xml
    docs/libstatgrab/statgrab.xml
    docs/sg_get_cpu_stats.xml
    docs/sg_get_disk_io_stats.xml
    docs/sg_get_host_info.xml
    docs/sg_get_load_stats.xml
    docs/sg_get_mem_stats.xml
    docs/sg_get_network_io_stats.xml
    docs/sg_get_page_stats.xml
    docs/sg_get_process_stats.xml
    docs/sg_get_user_stats.xml
    docs/statgrab.xml

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Dropped the old text documentation in favour of manpages.

    
  Hash: ae7b5a26a32e06fff0ee16cbab43acb4da52ba1e
  Files affected:

    docs/Makefile.am
    docs/cpu.txt
    docs/diskio.txt
    docs/load_average.txt
    docs/network.txt
    docs/os_stats.txt
    docs/page_stat.txt
    docs/process_stats.txt
    docs/user_list.txt
    docs/vm_stats.txt

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Add final manpage - swap and memory.

    
  Hash: 0f7ae5d30c75bd836acc1b33e0f7b5b9071f58dd
  Files affected:

    docs/Makefile.am
    docs/get_memory_stats.xml
    docs/libstatgrab/sg_get_mem_stats.xml
    docs/sg_get_mem_stats.xml

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Add process statistics.

    
  Hash: 4cc2c9b12abff424451f42b86f8ca6f8ae4d9c0a
  Files affected:

    docs/Makefile.am
    docs/get_process_stats.xml
    docs/libstatgrab/sg_get_process_stats.xml
    docs/sg_get_process_stats.xml

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Fix some markup.

    
  Hash: 4315433d982f0d98b4ccd516da5954c38c13549a
  Files affected:

    docs/get_diskio_stats.xml
    docs/get_network_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/sg_get_disk_io_stats.xml
    docs/sg_get_network_io_stats.xml

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Add page stats manpage.

    
  Hash: b57bee93e1c6fb5180d7fdb3282d508d92429f52
  Files affected:

    docs/Makefile.am
    docs/get_page_stats.xml
    docs/libstatgrab/sg_get_page_stats.xml
    docs/sg_get_page_stats.xml

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Add user statistics.

    
  Hash: ad486b66462943036dd07b7f140ba874bfce4121
  Files affected:

    docs/Makefile.am
    docs/get_user_stats.xml
    docs/libstatgrab/sg_get_user_stats.xml
    docs/sg_get_user_stats.xml

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Add diskio stats. Anyone notice there's no documentation or examples for
    the disk stats? :)

    
  Hash: e5fa9e14e746548bae7044b3d1cfd0c12afb9dfb
  Files affected:

    docs/Makefile.am
    docs/get_diskio_stats.xml
    docs/libstatgrab/sg_get_disk_io_stats.xml
    docs/sg_get_disk_io_stats.xml

2003-10-02  Tim Bishop  <tim@bishnet.net>

    Add network stats manpage.

    
  Hash: 1997ac6f71ea0bea9ad679647971bbe0bd9b1dc9
  Files affected:

    docs/Makefile.am
    docs/get_network_stats.xml
    docs/libstatgrab/sg_get_network_io_stats.xml
    docs/sg_get_network_io_stats.xml

2003-10-01  Tim Bishop  <tim@bishnet.net>

    Add CPU statistics documentation.

    
  Hash: 61409375d41f6fb4fe9f9c431d0d13a5053da51c
  Files affected:

    docs/Makefile.am
    docs/cpu_percent_usage.xml
    docs/libstatgrab/sg_get_cpu_stats.xml
    docs/sg_get_cpu_stats.xml

2003-10-01  Tim Bishop  <tim@bishnet.net>

    Add manual pages in docbook XML format. The Makefile will convert them
    in to manual pages at distribution time, so the archive will ship with
    manual pages, not XML.

    
  Hash: ca967bd6b1f06fa1dc4fa271ae1cc32f4fdd7ccd
  Files affected:

    docs/Makefile.am
    docs/get_general_stats.xml
    docs/get_load_stats.xml
    docs/libstatgrab/sg_get_host_info.xml
    docs/libstatgrab/sg_get_load_stats.xml
    docs/sg_get_host_info.xml
    docs/sg_get_load_stats.xml

2003-09-29  Tim Bishop  <tim@bishnet.net>

    By popular demand the next release will be 0.6 :-)

    
  Hash: 3d2030f78cbc03f25c8257240b529d6e31d09148
  Files affected:

    configure.in

2003-09-29  Tim Bishop  <tim@bishnet.net>

    Seperate out the flags used to link against libstatgrab. We use them to
    compile the examples and statgrab. They're also in the pkg-config file
    to allow other app's to know which libraries they'll need.

    
  Hash: 8e77228452b3433cb3dc2a3bbbd6567204d4e29e
  Files affected:

    configure.in
    examples/Makefile.am
    libstatgrab.pc.in
    src/statgrab/Makefile.am

2003-09-26  Peter Saunders  <pajs@i-scream.org>

    Bug fix on systems with large path_to_inst files.

    
  Hash: 1bd201fcab7e6ad3d0cbe399b667259f84b0a485
  Files affected:

    src/libstatgrab/disk_stats.c

2003-09-26  Tim Bishop  <tim@bishnet.net>

    Add pkg-config file for libstatgrab.

    
  Hash: f664809fc156c664a49f5309f207eedd71c39fae
  Files affected:

    Makefile.am
    configure.in
    libstatgrab.pc.in

2003-09-26  Peter Saunders  <pajs@i-scream.org>

    Added drive mapping for solaris from the old sunos names, to the more
    modern solaris names.

    E.g.

    ssd0 to c0t0d0s0

    This is rather more useful :)

  Hash: 3e688b57f69c0770d6b63a7807a3a70e494b8d33
  Files affected:

    src/libstatgrab/disk_stats.c

2003-09-09  Tim Bishop  <tim@bishnet.net>

    Update configure.in for next release.

    
  Hash: 4dc99ea25584253a25532cf9e61b0978626aa194
  Files affected:

    configure.in

2003-09-09  Tim Bishop  <tim@bishnet.net>

    Update NEWS with latest changes. Change bug report address in README
    file. Update AUTHORS to include Adam as the statgrab author. Now ready
    for the 0.5.1 release.

    
  Hash: 50c0bf36e279a248c47a3e944f4d8deb7cb77252
  Files affected:

    AUTHORS
    NEWS
    README

2003-09-09  Adam Sampson  <ats@offog.org>

    Fix FreeBSD segfault. From the getdevs() man page: "The dinfo subelement
    is used to store state between calls, and should not be modified after
    the first call to getdevs()."

    
  Hash: 4be02370b45bc77021a2cd2ed6df20069e8e7fa8
  Files affected:

    src/libstatgrab/disk_stats.c

2003-08-31  Adam Sampson  <ats@offog.org>

    If invoked as "statgrab foo.", print all stats starting with "foo.".
    Print multiple values with the same name correctly.

    
  Hash: d08b3f759ba371a992fb8cf81c9e5faa0db2f09b
  Files affected:

    src/statgrab/statgrab.c

2003-08-29  Adam Sampson  <ats@offog.org>

    Only fetch the stats that we're actually interested in.

    
  Hash: 569e8ccaf72738c9c85ada75ddf733c775b6888f
  Files affected:

    src/statgrab/statgrab.c

2003-08-29  Adam Sampson  <ats@offog.org>

    *Really* fill in time_taken correctly.

    
  Hash: 5e1d8d69b9ca06b9eb6f59094df514a407c26251
  Files affected:

    src/statgrab/statgrab.c

2003-08-29  Adam Sampson  <ats@offog.org>

    Fill in time_taken correctly.

    
  Hash: 8d605c085c287d892e697cc64185dc4e1e848ee4
  Files affected:

    src/statgrab/statgrab.c

2003-08-28  Adam Sampson  <ats@offog.org>

    Make disk_stats read /proc/partitions on Linux, which contains
    information for   all disks on recent 2.4 kernels. (It'll fall back to
    /proc/stat if it can't   find the information there.)

    
  Hash: 4f0987de9a4e980d514b5ae0969897519f6451c6
  Files affected:

    src/libstatgrab/disk_stats.c

2003-08-28  Adam Sampson  <ats@offog.org>

    Don't fclose(NULL).

    
  Hash: e0d1957ce23b1cdc4c4b6a8f53b375fd45d667e7
  Files affected:

    src/libstatgrab/disk_stats.c

2003-08-28  Adam Sampson  <ats@offog.org>

    -p doesn't make any sense unless you've got stat differences. -m should
    work with -o. Make statgrab-make-mrtg-config use -o for CPU stats.

    
  Hash: 26f9909d7f6b3dfa5abf0cba5b7870db43bac5f5
  Files affected:

    src/statgrab/statgrab-make-mrtg-config.in
    src/statgrab/statgrab.c

2003-08-28  Adam Sampson  <ats@offog.org>

    Generate statgrab MRTG scripts.

    
  Hash: ee86f1e599210cf3e7974cfd6c30631489c5c923
  Files affected:

    configure.in

2003-08-28  Adam Sampson  <ats@offog.org>

    Add scripts to generate MRTG config and index page from statgrab output.

    
  Hash: 10f34f27ce50ed830b9a0b021cb73611856ef52c
  Files affected:

    src/statgrab/Makefile.am
    src/statgrab/statgrab-make-mrtg-config.in
    src/statgrab/statgrab-make-mrtg-index.in

2003-08-27  Tim Bishop  <tim@bishnet.net>

    Apply patch in bug id #10. Submitted by Adam :-)

    
  Hash: 63cbece654ed1de10e1c6a7970a9553f0a324a6f
  Files affected:

    src/statgrab/statgrab.c

2003-08-27  Tim Bishop  <tim@bishnet.net>

    Have to pull in the definitions from config.h.

    
  Hash: 072b364ad59aed4ea17ebe3d963f51f1f1db59b3
  Files affected:

    src/statgrab/statgrab.c

2003-08-27  Tim Bishop  <tim@bishnet.net>

    Put the version number in the usage page.

    
  Hash: c434a2cda4c6d3c16d86d0d8857ef7e3a0dd3d7b
  Files affected:

    src/statgrab/statgrab.c

2003-08-26  Peter Saunders  <pajs@i-scream.org>

    Fix for freebsd network traffic too.. Everything stores it in 32bit with
    the exception of SOL8+ hosts.

    Its a stupid world ;)

  Hash: cf1e2001232807d15da61ef83875c47e6195ed0f
  Files affected:

    src/libstatgrab/network_stats.c

2003-08-26  Peter Saunders  <pajs@i-scream.org>

    Linux stores it as a 32bit unsigned long, so suffers the same wrap
    around bug as sol 7 hosts. This increases the chances it may happen on
    freebsd too so some testing maybe needed. If so, we prob should change
    this to a default and have a #ifdef 64bit for the odd (good) ones :)

    
  Hash: 5542af8120d71b752f9860d67831d5e746ce5a0d
  Files affected:

    src/libstatgrab/network_stats.c

2003-08-26  Tim Bishop  <tim@bishnet.net>

    Move the world around a bit to allow for subdirs in src.

    
  Hash: 335739628ea4dd71f16a07b6ec28af655450d0d4
  Files affected:

    configure.in
    examples/Makefile.am
    src/Makefile.am
    src/libstatgrab/Makefile.am
    src/statgrab/Makefile.am

2003-08-26  Tim Bishop  <tim@bishnet.net>

    A sysctl-style program to display system statistics collected through
    libstatgrab. Contributed by Adam Sampson, azz@us-lot.org.

    
  Hash: 4dbed79d1992376cb3cbd31b78a1410c69bc8486
  Files affected:

    src/statgrab/statgrab.c

2003-08-25  Tim Bishop  <tim@bishnet.net>

    Update version number for next release.

    
  Hash: 637d1da13e90d78f517a2c2d9c8ec5f871127324
  Files affected:

    configure.in

2003-08-25  Tim Bishop  <tim@bishnet.net>

    Ready for the next release.

     - Update NEWS with details of new release.
      (FreeBSD bug fix, new docs, new examples)
    - Update version number to 0.5.
    - Update shared library version.
    - Move docs directory to more sensible place.

  Hash: f176355fd9d9a79dfccea4faa6a29f9e52f9f2eb
  Files affected:

    NEWS
    configure.in
    docs/Makefile.am
    src/libstatgrab/Makefile.am

2003-08-24  Tim Bishop  <tim@bishnet.net>

    Tidy page_stat.txt, and add the page stats stuff to the Makefiles.

    
  Hash: e37e5e9c8040d0e0854a059291e25c67c567a5ac
  Files affected:

    docs/Makefile.am
    docs/page_stat.txt
    examples/Makefile.am

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    page stats example

    
  Hash: fd6c7981825b6b1eee077db441d62b174b95bad5
  Files affected:

    examples/page_stats.c

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    Page stats

    
  Hash: bd1a5106694f4fa79bafca244a38900672ab8d40
  Files affected:

    docs/page_stat.txt

2003-08-24  Tim Bishop  <tim@bishnet.net>

    Tidy cpu.txt and add to Makefile.

    
  Hash: eeb561658625dc7d5d60bc7cc4e08c8c1ab04124
  Files affected:

    docs/Makefile.am
    docs/cpu.txt

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    CPU documentaion

    
  Hash: c134cc37db834c8ea30a9717f32fdfa87e03a324
  Files affected:

    docs/cpu.txt

2003-08-24  Tim Bishop  <tim@bishnet.net>

    Tidy user_list too.

    
  Hash: 14e83ce8301d21a4a33cffdbdaee633eff9b24e9
  Files affected:

    docs/Makefile.am
    docs/user_list.txt

2003-08-24  Tim Bishop  <tim@bishnet.net>

    Tidy up of lots of little things. :)

    
  Hash: a427805c2cf694be14b4be8b8c11d693dfbe56d4
  Files affected:

    NEWS
    README
    docs/Makefile.am
    docs/diskio.txt
    docs/load_average.txt
    docs/network.txt
    docs/os_stats.txt
    docs/process_stats.txt
    docs/vm_stats.txt
    examples/Makefile.am
    examples/cpu_usage.c
    examples/disk_traffic.c
    examples/load_stats.c
    examples/network_traffic.c
    examples/os_info.c
    examples/process_stats.c
    examples/user_list.c
    examples/vm_stats.c
    src/libstatgrab/Makefile.am
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/page_stats.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/swap_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h
    src/libstatgrab/user_stats.c

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    User docs

    
  Hash: 36359be6ae20aa3d653547c549def0ea8066a2cd
  Files affected:

    docs/user_list.txt

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    User details example.

    
  Hash: b96b633768607f71207ed90f9e136e3d461641b4
  Files affected:

    examples/user_list.c

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    Documentation for memory and swap stats.

    
  Hash: 69fda15612999cb8b6364c7c262937e26e57d0fa
  Files affected:

    docs/vm_stats.txt

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    Memory and swap stats example

    
  Hash: eef8ccdbf9dec6ed5030abfae50dcc013f0b9644
  Files affected:

    examples/vm_stats.c

2003-08-24  Tim Bishop  <tim@bishnet.net>

    The AUTHORS file has been here since it was copied from ihost ;)

    
  Hash: b33a5157c60f889ae124a18b77f457e2af6382a1
  Files affected:

    AUTHORS

2003-08-24  Tim Bishop  <tim@bishnet.net>

    Add latest docs and examples.

    
  Hash: 224bb6e0223a85e42c0e68f9dde8ff94d66ebafe
  Files affected:

    docs/Makefile.am
    examples/Makefile.am

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    os_stats docs

    
  Hash: 976c2ba691e0a50ff026036d2c291be7007b3783
  Files affected:

    docs/os_stats.txt
    docs/process_stats.txt

2003-08-24  Peter Saunders  <pajs@i-scream.org>

    OS stats example

    
  Hash: 2604220f4f9d8f928e745fef16d1d42896431295
  Files affected:

    examples/os_info.c

2003-08-22  Peter Saunders  <pajs@i-scream.org>

    Basic process_stats documentation

    
  Hash: b50eafa6b2079c6932dfd7b4d5f31dca9aac47f8
  Files affected:

    docs/process_stats.txt

2003-08-21  Peter Saunders  <pajs@i-scream.org>

    Added a process stats example.

    
  Hash: 34156158e9e0315a3319aeaadd6d27ff27322c8f
  Files affected:

    examples/process_stats.c

2003-08-21  Tim Bishop  <tim@bishnet.net>

    Add the load stats to the Makefile.

    
  Hash: db542ba9abf16518e42c7443268ca51f170bfa9f
  Files affected:

    docs/Makefile.am
    examples/Makefile.am

2003-08-21  Peter Saunders  <pajs@i-scream.org>

    Added load_average examples and documentation.

    
  Hash: 7f2d563bd166a90c0cee72963ad2eb5b23513587
  Files affected:

    docs/load_average.txt

2003-08-21  Peter Saunders  <pajs@i-scream.org>

    Added load_stats example, and documentation.

    
  Hash: 4e1bb4fd7593764ab1eecb61a7f9f75fe6758a07
  Files affected:

    examples/load_stats.c

2003-08-21  Tim Bishop  <tim@bishnet.net>

    Bug reporting address is now bugs@i-scream.org.

    
  Hash: d55004d7d8d251ef1e26e48bc8f6057645132d24
  Files affected:

    configure.in

2003-06-05  Tim Bishop  <tim@bishnet.net>

    Add new examples to Makefile.

    
  Hash: 66a8171796b7215a1432a80e5d081074575e9d78
  Files affected:

    examples/Makefile.am

2003-06-05  Tim Bishop  <tim@bishnet.net>

    Proof read and slightly alter diskio.txt and network.txt. Also add
    diskio.txt to the Makefile.

    
  Hash: 51f8568de18fa8925ac6f0798a9deb9a994ac368
  Files affected:

    docs/Makefile.am
    docs/diskio.txt
    docs/network.txt

2003-06-05  Peter Saunders  <pajs@i-scream.org>

    Example for disk traffic.

    
  Hash: 0f42c8d70b0e19856da85616368b46b01dc0b45b
  Files affected:

    examples/disk_traffic.c

2003-06-05  Peter Saunders  <pajs@i-scream.org>

    Example of how to get and display cpu usage.

    
  Hash: 7640aaa1f7cc2a32ecad27e5a01c533ade74ba66
  Files affected:

    examples/cpu_usage.c
    examples/network_traffic.c

2003-06-04  Peter Saunders  <pajs@i-scream.org>

    Diskio doc's... Prob needs some serious proof reading :)

    
  Hash: 34b31bcdee61375b1e3dc788b9659f1c18e45d74
  Files affected:

    docs/diskio.txt

2003-06-04  Peter Saunders  <pajs@i-scream.org>

    Fix bug report #748942. Moved the ifdef to where it should be :)

    
  Hash: b8ee214293ebd60610e48d8ed8686921af8e5b60
  Files affected:

    src/libstatgrab/process_stats.c

2003-05-20  Tim Bishop  <tim@bishnet.net>

    Added building of examples. We don't, currently, install them though.

    
  Hash: 4199dceb902fcd195081bfb64837d10ab1f38610
  Files affected:

    Makefile.am
    configure.in
    examples/Makefile.am

2003-05-20  Tim Bishop  <tim@bishnet.net>

    Change i-scream.org.uk to i-scream.org.

    
  Hash: cdc929df499d3f20cf3cb2e8086cb26a7fad8f93
  Files affected:

    AUTHORS
    Makefile.am
    README
    README.CVS
    configure.in
    docs/Makefile.am

2003-05-20  Tim Bishop  <tim@bishnet.net>

    Allow documentation to be installed to $(datadir)/libstatgrab/docs.

    
  Hash: 57c123bfd9dddd09b904c54d55f66f84d8973d81
  Files affected:

    Makefile.am
    configure.in
    docs/Makefile.am

2003-05-12  Peter Saunders  <pajs@i-scream.org>

    Typo fixed, added another bug

    
  Hash: 881a7879f462ec3571ca955f165cb1fda6cab8be
  Files affected:

    docs/network.txt

2003-05-11  Peter Saunders  <pajs@i-scream.org>

    Added basic docs for network stats, and a example. Needs some basic
    work, and no doubt several typos :)

    
  Hash: 7e2f8bdb51afb64700445b93b34864e89eabffcb
  Files affected:

    docs/network.txt
    examples/network_traffic.c

2003-04-09  Tim Bishop  <tim@bishnet.net>

    Increment for next release.

    
  Hash: e860d96c9cd2abd7ea9cebb1cd3241f53df41494
  Files affected:

    configure.in

2003-04-09  Tim Bishop  <tim@bishnet.net>

    Version 0.4 now with FreeBSD support.

    
  Hash: cc3664992ccc7cc5b84d0e55a3afebacf95900b6
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2003-04-09  Tim Bishop  <tim@bishnet.net>

    Add the standard header. Particularly the bit about including config.h
    was needed to allow the ifdef around the last function to work.

    
  Hash: f1ffd15a963a0a427f014b60003491b1ead0c86a
  Files affected:

    src/libstatgrab/tools.c

2003-04-09  Tim Bishop  <tim@bishnet.net>

    libstatgrab needs to do a check for atoll too. This should fix
    libstatgrab on all platforms. New release coming shortly ;)

    
  Hash: 19370f8e8119fde78d15ee3aff98b3248d26f5d7
  Files affected:

    NEWS
    configure.in

2003-04-06  Peter Saunders  <pajs@i-scream.org>

    Added a library to link against on freebsd so that it will compile.

    
  Hash: 2c208011d1ef5849d2a434c3dabed4ad9306f059
  Files affected:

    configure.in

2003-04-06  Peter Saunders  <pajs@i-scream.org>

    Make the functions that use atoll have a #ifdef HAVE_ATOLL around them.
    I did this because freebsd doesn't have this function, and it doesn't
    need to run any of the functions in tools.h that uses them.

    
  Hash: 2591b93c5691da53fc062e843f5d7d9e972ef3e6
  Files affected:

    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2003-04-06  Peter Saunders  <pajs@i-scream.org>

    Now works on freebsd. This is the last of parts that needed to be ported
    so its now "finished" for testing. Solaris and Linux should also be
    tested as minor changes in code may of disturbed them (it shouldn't
    have, i just may of made a mistake :) )

    Certain things will require setgid kmem permissions (swap and processor 
    stats)

  Hash: 0d0cd7d55207da824ceb0d531a35c1db618a063e
  Files affected:

    src/libstatgrab/network_stats.c

2003-04-05  Peter Saunders  <pajs@i-scream.org>

    Should now work on freebsd.

    
  Hash: eb713b48e3e3651cbec64f6ad4162ff4ecc642f7
  Files affected:

    src/libstatgrab/disk_stats.c

2003-04-05  Tim Bishop  <tim@bishnet.net>

    Next release of libstatgrab will (hopefully) have FreeBSD support, and
    will therefore be version 0.4 I guess.

    
  Hash: cc386a731bcc75d737d65eaa8a037fb47330ee1e
  Files affected:

    configure.in

2003-04-04  Peter Saunders  <pajs@i-scream.org>

    Disk stats for freebsd. This does not currently include diskio stats.

    
  Hash: 9c05b660e4ff9496ee34e951e3deffa3b2d146cc
  Files affected:

    src/libstatgrab/disk_stats.c

2003-04-04  Peter Saunders  <pajs@i-scream.org>

    Ported to work onto freebsd.

    
  Hash: 8c90f2265ccbdd3bedbdcf46f80de9ca4845be2e
  Files affected:

    src/libstatgrab/statgrab.h
    src/libstatgrab/user_stats.c

2003-04-04  Peter Saunders  <pajs@i-scream.org>

    Now works on freebsd

    
  Hash: 8bdad32081a654dfda0bcd3c8dd5ffe95c97b026
  Files affected:

    src/libstatgrab/swap_stats.c

2003-04-03  Peter Saunders  <pajs@i-scream.org>

    Now works on freebsd.. Now why couldn't they follow the same scheme as
    everything else :) ?

    
  Hash: dd36536b70419a3dacbdef66bb58997ac57661e8
  Files affected:

    src/libstatgrab/process_stats.c

2003-04-03  Peter Saunders  <pajs@i-scream.org>

    Now works on freebsd.

    
  Hash: 3a502e95eda09826cc6dc6629193b08843d582cc
  Files affected:

    src/libstatgrab/page_stats.c

2003-04-03  Peter Saunders  <pajs@i-scream.org>

    Now works on freebsd

    
  Hash: 930738aaffd0ee09e255a7220c0207825bdee7dc
  Files affected:

    src/libstatgrab/os_info.c

2003-04-03  Peter Saunders  <pajs@i-scream.org>

    Should now work happily on freebsd. sysctlbyname seems to return a lot
    of things in long's. Im not completely trusting this code, but it does
    appear to work, and its the same as the old implementation.

    
  Hash: fc48e74b6e5d86db230263150a07ca22960d495a
  Files affected:

    src/libstatgrab/memory_stats.c

2003-04-03  Peter Saunders  <pajs@i-scream.org>

    Freebsd support. Smile tim ;)

    
  Hash: d895f0c3b968e65974c658522d93a1b629fc8efe
  Files affected:

    src/libstatgrab/cpu_stats.c

2003-03-31  Tim Bishop  <tim@bishnet.net>

    Update version for next release.

    
  Hash: c93f65bd652065a72adaaabc531f31a2acad75c5
  Files affected:

    configure.in

2003-03-31  Tim Bishop  <tim@bishnet.net>

    Package up 0.3.4 which fixes some leaking linux issues :-)

    
  Hash: d89fe67fed37469f6f48bef5db96cd3b05e94a8f
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2003-03-31  Peter Saunders  <pajs@i-scream.org>

    Fixed memory leak in regex stuff

    
  Hash: ffaddaf6a5a20d4c81e16f87706eb3b4e0c65785
  Files affected:

    src/libstatgrab/network_stats.c

2003-03-31  Peter Saunders  <pajs@i-scream.org>

    Fixed some issues with not closing FILE*'s.

    
  Hash: f92e8369f81e74178a167a1679c18a32fffe29a8
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/network_stats.c

2003-03-29  Tim Bishop  <tim@bishnet.net>

    Fix another #include.

    
  Hash: 121e9bf7810f622808a9b8f004a0378a8b12c119
  Files affected:

    src/libstatgrab/network_stats.c

2003-03-22  Tim Bishop  <tim@bishnet.net>

    Update version for next release.

    
  Hash: 4cd2885367310506a2ab83c6a74dcbbe8fe881c7
  Files affected:

    configure.in

2003-03-22  Tim Bishop  <tim@bishnet.net>

    Version 0.3.3. Bug fixed in the wraparound code.

    
  Hash: 9e937186404b0fc2eefac411e517bc5bd39bacdb
  Files affected:

    NEWS
    configure.in
    src/libstatgrab/Makefile.am

2003-03-22  Peter Saunders  <pajs@i-scream.org>

    Another stupid bug in the wrap around code.

    
  Hash: 778fa7a1fc27fef42d99a617602e36723833f760
  Files affected:

    src/libstatgrab/network_stats.c

2003-03-21  Tim Bishop  <tim@bishnet.net>

    Update the shared library version number too.

    
  Hash: ac6c73b7aca572b457b5a174d2538cd3af2d4b8f
  Files affected:

    src/libstatgrab/Makefile.am

2003-03-21  Tim Bishop  <tim@bishnet.net>

    Once again, heading for 0.4. If Pete manages to not find any more bugs
    :-)

    
  Hash: 819e90f9b9b7687e5ca0a198c226072fce8870be
  Files affected:

    configure.in

2003-03-21  Tim Bishop  <tim@bishnet.net>

    Version 0.3.2. Has fixed wraparound stuff, well tested by now :-)

    
  Hash: b4740fd83c5db1bef21351f972d7c6aca4ff209f
  Files affected:

    NEWS
    configure.in

2003-03-12  Peter Saunders  <pajs@i-scream.org>

    Well, i carefully made the function to look after wrap around issues,
    and then apparently didn't use it :)

    It now uses it :)

  Hash: de6405ade97a1c9d3c3cb8e26ad7c0a41143789d
  Files affected:

    src/libstatgrab/network_stats.c

2003-03-12  Tim Bishop  <tim@bishnet.net>

    Bump shared library version for 0.3.1.

    
  Hash: 9680741565c3202938a720b2b0c181d741607009
  Files affected:

    src/libstatgrab/Makefile.am

2003-03-12  Tim Bishop  <tim@bishnet.net>

    Hopefully heading towards 0.4 with FreeBSD support :-)

    
  Hash: 3e50d20070b2b39a833f3947c3378fdaef07f84a
  Files affected:

    configure.in

2003-03-12  Tim Bishop  <tim@bishnet.net>

    The configure setup explicitly checks for Solaris versions older then 8,
    and sets a define so the code knows not to use 64bit values. Also
    updated the NEWS file, bringing about version 0.3.1.

    
  Hash: 2317d93cb7a90878d1a002b76c98c2319699eb92
  Files affected:

    NEWS
    configure.in

2003-03-11  Peter Saunders  <pajs@i-scream.org>

    Ok, wrap around fixed for 32bit machines, not 64. I really ought to
    change all the long long's to ulong long's. I'll ponder if i can be
    bothered :)

    
  Hash: 98492c4ee7ece6c68bc15bc758fb78b6f0f5acb0
  Files affected:

    src/libstatgrab/network_stats.c

2003-03-11  Peter Saunders  <pajs@i-scream.org>

    Make network stats work on pre sol8. BUGS: On pre sol8 systems, it
    doesn't cope with a wrap around once the 32bit uint becomes too big. So
    when this happens it will report one set of dodgy data, then continue.
    This bug technically is there in the 64bit version too, but it will need
    to of sent 9223372036854775808 bytes first. (8388608 terrabytes, so
    basically a *big enough* number that will come around and byte me in 20
    years time or something ;) )

    
  Hash: 84c8e6378eeace37ff25af7e27a5c40536508810
  Files affected:

    src/libstatgrab/network_stats.c

2003-03-11  Peter Saunders  <pajs@i-scream.org>

    Bug fix, again :) .. I wasn't reporting the time taken since last
    statgrab correctly. So got very busy disks apparently ;)

    
  Hash: 375eee85221bc0fa043bd26d4acdb63b1a5ebee8
  Files affected:

    src/libstatgrab/disk_stats.c

2003-03-10  Peter Saunders  <pajs@i-scream.org>

    Think i've fixed another bug which causes seg faults on machines with no
    users :)

    
  Hash: 022f44a44c1188eab0b4506bf84ae7b6493dbc59
  Files affected:

    src/libstatgrab/user_stats.c

2003-03-10  Tim Bishop  <tim@bishnet.net>

    Increment version numbers so we're working towards the next versions...

    
  Hash: 8af77e02c9c5cc73d54109941349b427085a5e9d
  Files affected:

    configure.in

2003-03-10  Tim Bishop  <tim@bishnet.net>

    libstatgrab now has linux support and goes to version 0.3. ihost has
    only minor bugfixes and changes, so becomes version 1.5.1. NEWS files
    updated accordingly. libstatgrab shared library version numbered
    incremented using the libtool rules - under the assumption that someone
    must have thought about that idea, which is more than we can manage to
    do ;)

    
  Hash: 589384f499fa026e5ba01fffe168af52240db73c
  Files affected:

    NEWS
    src/libstatgrab/Makefile.am

2003-03-07  Tim Bishop  <tim@bishnet.net>

    Added tools.c and tools.h to the Makefile. It now compiles ok on both
    Solaris and Linux. Also fixed a minor compile bug in disk_stats.c - I
    did check the history in CVS, and it used to be like this. The bug got
    introduced in the Linux changes.

    
  Hash: 57112430828f34c075ef37eb5420cf32e951db94
  Files affected:

    src/libstatgrab/Makefile.am
    src/libstatgrab/disk_stats.c

2003-03-07  Peter Saunders  <pajs@i-scream.org>

    Made work with linux. Last thing that needs to be ported.

    
  Hash: b81524e06267dc4743ae18c3917c22060a736278
  Files affected:

    src/libstatgrab/swap_stats.c

2003-03-07  Peter Saunders  <pajs@i-scream.org>

    Added linux support.

    
  Hash: 005e59dcbcdb53c12f62bc9e89f154f856d6b907
  Files affected:

    src/libstatgrab/process_stats.c

2003-03-07  Peter Saunders  <pajs@i-scream.org>

    Removed getting of some data we didn't really need or use. Updated
    page_stats to work with linux. Fixed tools.h to compile nicely :)

    
  Hash: c6c14d07c5dc399abd5542f808f9e5b6cc6aa599
  Files affected:

    src/libstatgrab/page_stats.c
    src/libstatgrab/statgrab.h
    src/libstatgrab/tools.h

2003-03-07  Peter Saunders  <pajs@i-scream.org>

    Made it work with linux :)

    
  Hash: c2c9347cc43f1fc6a767b3e7faa22eaaea278a4c
  Files affected:

    src/libstatgrab/os_info.c

2003-03-07  Peter Saunders  <pajs@i-scream.org>

    Made network stats work with linux.

    
  Hash: 37daf15289de257cbac7387d78633450bdab311c
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2003-03-05  Peter Saunders  <pajs@i-scream.org>

    Updated Memory stats to work with linux.

    
  Hash: 3068e91a69c3216527f0bca7774ac8de2ec56dcd
  Files affected:

    src/libstatgrab/memory_stats.c

2003-03-05  Peter Saunders  <pajs@i-scream.org>

    Linux reports stupid results. Fixed to return real vaules. Side note,
    gkrellm is doing it wrong ;)

    
  Hash: dd466679e976eda0e3b76707b60e4871d51aa251
  Files affected:

    src/libstatgrab/disk_stats.c

2003-03-05  Peter Saunders  <pajs@i-scream.org>

    Working linux diskio stats. Fixed bug in tools.c

    
  Hash: 58b451133bddfe84b54602e21905d78471891aae
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/tools.c

2003-03-04  Peter Saunders  <pajs@i-scream.org>

    Useful tools, currently only one function. Function takes a file pointer
    and will read threw it until it hits a passed string. It will return
    that line.

    
  Hash: 995b00cb8e0fe22e1ee0fd89350d3f6c5e18574d
  Files affected:

    src/libstatgrab/tools.c
    src/libstatgrab/tools.h

2003-03-04  Peter Saunders  <pajs@i-scream.org>

    Diskio stats for linux. Not been checked. Relies on tools.c (seperate
    comit) If someone knows a nicer way of getting the device name, please
    tell me, as the way im doing it is horrible! :)

    
  Hash: e7ec5c8932a20f22ad4859b123bf75210d9fbe31
  Files affected:

    src/libstatgrab/disk_stats.c

2003-03-04  Peter Saunders  <pajs@i-scream.org>

    disk_stats for linux. Does not do diskio stats yet.

    
  Hash: c39139ef8b828e4bbea96979e0c5d67d44e62de4
  Files affected:

    src/libstatgrab/disk_stats.c

2003-03-03  Tim Bishop  <tim@bishnet.net>

    Update version numbers. It seems to make sense to increment version
    numbers just after a release. Then you're working towards the next
    version...

    
  Hash: 39a695a2e54409c17315bb82996c5cf6c0679cc7
  Files affected:

    configure.in

2003-03-03  Peter Saunders  <pajs@i-scream.org>

    Added linux support for cpu stats

    
  Hash: 375144386f274b3746e98c5ee20b170fbaa7f7f8
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/statgrab.h

2003-03-03  Peter Saunders  <pajs@i-scream.org>

    Removed headers that were not used.

    
  Hash: f0577346c6b189552c3bcbbbad7a2956b9f035be
  Files affected:

    src/libstatgrab/cpu_stats.c

2003-03-03  Tim Bishop  <tim@bishnet.net>

    Update NEWS and README files. We now have version 0.2 of libstatgrab!

    
  Hash: 9ecf0aae35004ca6d5a0c2ddfca53d2d30f7513b
  Files affected:

    NEWS
    README

2003-03-03  Peter Saunders  <pajs@i-scream.org>

    Made cpu stats to a type a bit more cross platform :)

    
  Hash: 41551cdae892f5527834e6216203125ae7f16002
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/statgrab.h

2003-03-03  Tim Bishop  <tim@bishnet.net>

    And we have 0.2 :-)

    
  Hash: 0b3b23dc59123368784e88668a795fe6ca88e8e4
  Files affected:

    configure.in

2003-03-02  Peter Saunders  <pajs@i-scream.org>

    Removed debugging statements

    
  Hash: 78218eaa898a30615b8feba1b62a89015888d921
  Files affected:

    src/libstatgrab/user_stats.c

2003-03-01  Peter Saunders  <pajs@i-scream.org>

    Bug fix :

    
  Hash: 2c68891f52c145d7f6ea99269b12b9da31dd1a7d
  Files affected:

    src/libstatgrab/process_stats.c

2003-03-01  Peter Saunders  <pajs@i-scream.org>

    changed user_stats to return something more useful for ihost, and prob
    something more useful to everyone else too. Although, they can't just
    itterate thru it now, they got to find ' ' :)

    
  Hash: bc17be01a255fbdfe6d132cb37db1370b3cde894
  Files affected:

    src/libstatgrab/statgrab.h
    src/libstatgrab/user_stats.c

2003-03-01  Peter Saunders  <pajs@i-scream.org>

    bug fix

    
  Hash: c84116e1acfa6af605d3dfb594d78f84fb611969
  Files affected:

    src/libstatgrab/network_stats.c
    src/libstatgrab/user_stats.c

2003-03-01  Peter Saunders  <pajs@i-scream.org>

    Bug fix

    
  Hash: 2b80862df1521d271b6fc9f88df8411329e33dd3
  Files affected:

    src/libstatgrab/disk_stats.c

2003-03-01  Peter Saunders  <pajs@i-scream.org>

    Removed debugging printf

    
  Hash: f3584b43bdb7b51cb80d56e93bb9099a93189ea6
  Files affected:

    src/libstatgrab/process_stats.c

2003-02-28  Tim Bishop  <tim@bishnet.net>

    Typo which meant the network stats code wasn't being compiled in to the
    library. Opps :-)

    
  Hash: 48b63afb0799c135e908c2808520d93514afa2c1
  Files affected:

    src/libstatgrab/Makefile.am

2003-02-28  Tim Bishop  <tim@bishnet.net>

    Tidy up of configure script, and includes.

    
  Hash: a6f6e7a70ae67d4a7a4a50ad14ec3f098c489167
  Files affected:

    configure.in
    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/network_stats.c
    src/libstatgrab/os_info.c
    src/libstatgrab/process_stats.c
    src/libstatgrab/user_stats.c

2003-02-23  Peter Saunders  <pajs@i-scream.org>

    Changed function name changed to be consistent.

    
  Hash: 05b8f8796c4776742bb51a81184b19a6d83967d9
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/statgrab.h

2003-02-23  Peter Saunders  <pajs@i-scream.org>

    Added a diff diskio_stats and fixed a bug. This is the last thing needed
    for the solaris version of the new libstatgrab, bar bug fixes.

    
  Hash: 67b33f8cfcc5c7261418049b4c190d0c7ebef6d3
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/statgrab.h

2003-02-23  Peter Saunders  <pajs@i-scream.org>

    Added support for read/write stats on a per disk basis. This does not
    count metadisks as disks. I will also add io transfer for mounted
    devices, and the ususal diff() function that gives you the differences
    since last time you called it.

    
  Hash: 3b7d3f8fbaaff7d2a639736657b667b1aa5d55bd
  Files affected:

    src/libstatgrab/disk_stats.c
    src/libstatgrab/statgrab.h

2003-02-20  Tim Bishop  <tim@bishnet.net>

    Removed references to ukcprog.h. Fixed a missing * in the disk stats.
    And removed a block of linux stuff that shouldn't have been there :-)
    All with Pete's approval, of course.

    
  Hash: 306cf982e2eaa0bba1d15d11b76fcf4b1f6c1465
  Files affected:

    src/libstatgrab/cpu_stats.c
    src/libstatgrab/disk_stats.c
    src/libstatgrab/load_stats.c
    src/libstatgrab/memory_stats.c
    src/libstatgrab/swap_stats.c
    src/libstatgrab/user_stats.c

2003-02-20  Peter Saunders  <pajs@i-scream.org>

    Header for new function.

    
  Hash: 7db6465bb97b854a7e2eac782c18035dafde850a
  Files affected:

    src/libstatgrab/disk_stats.c

2003-02-19  Tim Bishop  <tim@bishnet.net>

    Created the structure and automake stuff for the source files to be
    moved to a src subdirectory. This will break things until I repo-move
    the actual files, which I don't want to do until Pete is happy :-)

    
  Hash: 5210db6e48a4c6edb6b08e9ead045ac4e9ea86cb
  Files affected:

    Makefile.am
    configure.in
    src/libstatgrab/Makefile.am

2003-02-19  Tim Bishop  <tim@bishnet.net>

    Specified the version number. Not that I really understand them though,
    libtool seems a little confusing ;)

    
  Hash: abc1b601a3cb35a2bbe245cf23a6703bf6f7e257
  Files affected:

    Makefile.am

2003-02-19  Tim Bishop  <tim@bishnet.net>

    We now use libtool to build libstatgrab. This gives us static and shared
    versions of the library, which is nice :) Updated the CVS build
    instructions accordingly.

    
